<?php
/**
 * Theme Products Post Type
 *
 * @package   products_Post_Type
 * @author    Devin Price
 * @author    Gary Jones
 * @license   GPL-2.0+
 * @link      http://wptheming.com/products-post-type/
 * @copyright 2011 Devin Price, Gary Jones
 */

/**
 * Theme Products tag taxonomy.
 *
 * @package products_Post_Type
 * @author  Devin Price
 * @author  Gary Jones
 */
class products_Post_Type_Taxonomy_Tag extends Gamajoproducts_Taxonomy {
	/**
	 * Taxonomy ID.
	 *
	 * @since 1.0.0
	 *
	 * @type string
	 */
	protected $taxonomy = 'products_tag';

	/**
	 * Return taxonomy default arguments.
	 *
	 * @since 1.0.0
	 *
	 * @return array Taxonomy default arguments.
	 */
	protected function default_args() {
		$labels = array(
			'name'                       => __( 'Theme Products Tags', 'products-post-type' ),
			'singular_name'              => __( 'Theme Products Tag', 'products-post-type' ),
			'menu_name'                  => __( 'Theme Products Tags', 'products-post-type' ),
			'edit_item'                  => __( 'Edit Theme Products Tag', 'products-post-type' ),
			'update_item'                => __( 'Update Theme Products Tag', 'products-post-type' ),
			'add_new_item'               => __( 'Add New Theme Products Tag', 'products-post-type' ),
			'new_item_name'              => __( 'New Theme Products Tag Name', 'products-post-type' ),
			'parent_item'                => __( 'Parent Theme Products Tag', 'products-post-type' ),
			'parent_item_colon'          => __( 'Parent Theme Products Tag:', 'products-post-type' ),
			'all_items'                  => __( 'All Theme Products Tags', 'products-post-type' ),
			'search_items'               => __( 'Search Theme Products Tags', 'products-post-type' ),
			'popular_items'              => __( 'Popular Theme Products Tags', 'products-post-type' ),
			'separate_items_with_commas' => __( 'Separate Theme Products tags with commas', 'products-post-type' ),
			'add_or_remove_items'        => __( 'Add or remove Theme Products tags', 'products-post-type' ),
			'choose_from_most_used'      => __( 'Choose from the most used Theme Products tags', 'products-post-type' ),
			'not_found'                  => __( 'No Theme Products tags found.', 'products-post-type' ),
		);

		$args = array(
			'labels'            => $labels,
			'public'            => true,
			'show_in_nav_menus' => true,
			'show_ui'           => true,
			'show_tagcloud'     => true,
			'hierarchical'      => false,
			'rewrite'           => array( 'slug' => 'products_tag' ),
			'show_admin_column' => true,
			'query_var'         => true,
		);

		return apply_filters( 'productsposttype_tag_args', $args );
	}
}