<?php
	/*
	Template name: Fullwidth Template
	*/
	get_header();
	get_template_part('index-header');


	$proland_container_class 	= '-off';
	// page header css
	$proland_subtitle 			= 	rwmb_meta( 'proland_subtitle');
	$proland_headerbgcolor 			= 	rwmb_meta('proland_pagebgcolor');
	$proland_headerpaddingtop 		= 	rwmb_meta('proland_headerptop');
	$proland_headerpaddingbottom 	= 	rwmb_meta('proland_headerpbottom');
	$proland_att					=	get_post_thumbnail_id();
	$proland_image_src 				= 	wp_get_attachment_image_src( $proland_att, 'full' );
	$proland_image_src 				= 	$proland_image_src[0];

	// page title css
	$proland_headertextcolor 		= 	rwmb_meta('proland_pagetextcolor');
	$proland_pagetitlefs 			= 	rwmb_meta('proland_pagetitlefs');
	$proland_pagetitlemb 			= 	rwmb_meta('proland_pagetitlemb');
	// page subtitle css
	$proland_pagedesccolor 			= 	rwmb_meta('proland_pagedesccolor');
	$proland_pagedescfs 			= 	rwmb_meta('proland_pagedescfs');
	$proland_pagedescmb				= 	rwmb_meta('proland_pagedescmb');
	// page bread css
	$proland_pagebreadcolor			= 	rwmb_meta('proland_pagebreadcolor');
	$proland_pagebreadcurrentcolor	= 	rwmb_meta('proland_pagebreadcurrentcolor');
	// page layout
	$proland_pagelayout 			= 	rwmb_meta('proland_disable_container');
	$proland_pagebread 				= 	rwmb_meta('proland_pagebread');

?>

<style>

	<?php if ( $proland_headertextcolor ) : ?>
		.subpage-head.page-header h2{ color :<?php echo esc_attr( $proland_headertextcolor ); ?>; }
	<?php endif; ?>
	<?php if ( $proland_pagetitlefs ) : ?>
		.subpage-head.page-header h2{ font-size :<?php echo esc_attr( $proland_pagetitlefs ); ?>px ; }
	<?php endif; ?>
	<?php if ( $proland_pagetitlemb ) : ?>
		.subpage-head.page-header h2{ margin-bottom :<?php echo esc_attr( $proland_pagetitlemb ); ?>px; }
	<?php endif; ?>

	<?php if ( $proland_pagedesccolor ) : ?>
		.subpage-head.page-header .text-muted p{ color :<?php echo esc_attr( $proland_pagedesccolor ); ?>; }
	<?php endif; ?>
	<?php if ( $proland_pagedescfs ) : ?>
		.subpage-head.page-header .text-muted p{ font-size :<?php echo esc_attr( $proland_pagedescfs ); ?>px ; }
	<?php endif; ?>
	<?php if ( $proland_pagedescmb ) : ?>
		.subpage-head.page-header .text-muted p{ margin-bottom :<?php echo esc_attr( $proland_pagedescmb ); ?>px; }
	<?php endif; ?>

	<?php if ( $proland_pagebreadcolor ) : ?>
		.subpage-head.page-header .breadcrubms a, span.bredcrumb-separator, span.breadcrumb-current { color :<?php echo esc_attr( $proland_pagebreadcolor ); ?>; }
	<?php endif; ?>
	<?php if ( $proland_pagebreadcurrentcolor ) : ?>
		span.breadcrumb-current { color :<?php echo esc_attr( $proland_pagebreadcurrentcolor ); ?>; }
	<?php endif; ?>

	<?php if ( $proland_image_src ) : ?>
		.subpage-head.page-header {
		  background: url(<?php echo esc_url( $proland_image_src ); ?>) no-repeat center center fixed !important;
		  background-size: cover !important;
		  height: auto !important;
		}
	<?php endif; ?>
	<?php if ( $proland_headerbgcolor ) : ?>
		.subpage-head.page-header { background-color :<?php echo esc_attr( $proland_headerbgcolor ); ?> !important; }
	<?php endif; ?>
	<?php if ( $proland_headerpaddingtop ) : ?>
		.subpage-head.page-header { padding-top :<?php echo esc_attr( $proland_headerpaddingtop ); ?>px !important;}
	<?php endif; ?>
	<?php if ( $proland_headerpaddingbottom ) : ?>
		.subpage-head.page-header { padding-bottom :<?php echo esc_attr( $proland_headerpaddingbottom ); ?>px !important;	}
	<?php endif; ?>
</style>

<div class="masthead masthead-blog rel-1 subpage-head page-header">
	<div class="container">
		<div class="row">
			<div class="col-md-6-off col-md-offset-3-off">
				<?php  if ( ( get_post_meta( get_the_ID(), 'proland_disable_title', true )!= true) ) : ?>
					<?php if( get_post_meta( get_the_ID(), 'proland_alt_title', true ) ) : ?>
						<h2 class="lead-heading">
						<?php echo get_post_meta( get_the_ID(), 'proland_alt_title', true ); ?></h2>
						<?php else : ?>
						<h2 class="lead-heading"><?php the_title(); ?></h2>
					<?php endif; ?>
				<?php endif; ?>

				<?php  if ( ( get_post_meta( get_the_ID(), 'proland_disable_subtitle', true ) != true ) ) : ?>
					<?php if ( get_post_meta( get_the_ID(), 'proland_subtitle', true )): ?>
						<div class="text-muted blog-muted">
						<?php echo wp_kses( $proland_subtitle, proland_allowed_html()); ?></div>
					<?php endif; ?>
				<?php endif; ?>

				<?php if ( ot_get_option( 'ntb_p_bread' ) != 'off' ) : ?>
					<?php if ( ( get_post_meta( get_the_ID(), 'proland_disable_pagebread', true ) != true) ): ?>
						<?php if ( !function_exists('bcn_display') ) : ?>
							<p class="breadcrubms"><?php proland_breadcrubms(); ?></p>
						<?php endif; ?>
						<?php  if( function_exists('bcn_display') ) : ?>
							<p class="breadcrubms"> <?php  bcn_display();  ?></p>
						<?php endif; ?>
					<?php endif; ?>
				<?php endif; ?>
			</div>
		</div>
	</div>
</div>

<section id="blog">
	<?php if ( $proland_pagelayout == true ) : 	?>
	<div class="container<?php echo esc_attr($proland_container_class); ?> has-margin-bottom">
		<div class="row<?php echo esc_attr($proland_container_class); ?>">
	<?php else : ?>
	<div class="container has-margin-bottom">
		<div class="row">
	<?php endif; ?>

			<?php
				if ( have_posts() ) :
					while ( have_posts() ) : the_post();
						the_content();
					endwhile;
				endif;
			?>

		</div>
	</div>
</section>

<?php
	get_template_part('footer-content');
	get_footer();
?>
