<?php
/**
 * Custom functions that act independently of the theme templates
 *
 * Eventually, some of the functionality here could be replaced by core features
 *
 * @package proland
*/

function proland_color_scheme() { ?>

	<style>

	a {
	  color: <?php echo esc_attr( ot_get_option( 'proland_theme_color_one' ) ); ?>;
	}

	a:hover, a:focus {
	  color: #003566;
	}

	.btn-primary {
	  background: <?php echo esc_attr( ot_get_option( 'proland_theme_color_one' ) ); ?>;
	}

	.btn-warning {
	  background: <?php echo esc_attr( ot_get_option( 'proland_theme_color_three' ) ); ?>;
	}
	
	.single .sku_wrapper {
	  background: <?php echo esc_attr( ot_get_option( 'proland_theme_color_three' ) ); ?>;
	}

	.btn-block {
	  background: <?php echo esc_attr( ot_get_option( 'proland_theme_color_one' ) ); ?>;
	}
	
	.pricing .pricing__title {
		color: <?php echo esc_attr( ot_get_option( 'proland_theme_color_one' ) ); ?>;
	}

	
	.woocommerce #respond input#submit.alt, 
	.woocommerce a.button.alt, 
	.woocommerce button.button.alt, 
	.woocommerce input.button.alt,
	.woocommerce span.onsale,
	.woocommerce ul.products li.product .onsale,  
	.woocommerce .onsale,
	.woocommerce ul.products li.product .onsale,  
	.woocommerce .onsale,
	.pricing--featured	
	{
		background: <?php echo esc_attr( ot_get_option( 'proland_theme_color_one' ) ); ?>;
	}
	
	header.row .navbar {
	  background: #fff;
	}

	header.row .navbar .navbar-header .navbar-toggle {
	  background: none;
	  border: none;
	}

	header.row .navbar .navbar-header .navbar-toggle span {
	  background: #374048;
	}

	header.row .navbar .navbar-header .navbar-toggle[aria-expanded="true"] span {
	  background: #778897;
	}

	header.row .navbar.is-scrolling {
	  background: #fff;
	  -webkit-box-shadow: 0 2px 42px rgba(0, 0, 0, 0.1);
	  box-shadow: 0 2px 42px rgba(0, 0, 0, 0.1);
	}

	header.row .navbar.is-scrolling .nav li a {
	  color: #8f969d;
	}

	header.alt-bg .navbar-default .nav > li > a {
	  color: #fff;
	}

	header.alt-bg .navbar .navbar-header .navbar-toggle span {
	  background: #fff;
	}

	header.alt-bg .navbar.is-scrolling .navbar-header .navbar-toggle span {
	  background: #374048;
	}

	.navbar-default .nav li a {
	  color: #8f969d;
	}

	.navbar-default .nav li a:hover, .navbar-default .nav li a:focus {
	  color: #374048;
	  background: none;
	}

	.navbar-default .nav li.active > a {
	  background: none;
	  color: <?php echo esc_attr( ot_get_option( 'proland_theme_color_three' ) ); ?>;
	}

	.navbar-default .navbar-nav > .open > a,
	.navbar-default .navbar-nav > .open > a:hover,
	.navbar-default .navbar-nav > .open > a:focus {
	  background-color: transparent;
	  color: <?php echo esc_attr( ot_get_option( 'proland_theme_color_three' ) ); ?>;
	}

	.navbar-default .navbar-nav > .active > a, 
	.navbar-default .navbar-nav > .active > a:hover, 
	.navbar-default .navbar-nav > .active > a:focus,
	.pricing .pricing__price	{
	  color: <?php echo esc_attr( ot_get_option( 'proland_theme_color_three' ) ); ?>;
	}

	.top-banner h2 {
	  color: #374048;
	}

	.top-banner p {
	  color: #8a9095;
	}

	body.home header .navbar {
	  background: transparent;
	}


	.section-header:after {
	  background: #eee;
	}

	.section-header h2 {
	  color: #374048;
	}

	.section-header p {
	  color: #969da3;
	}

	.section-header.v2:after {
	  background: #f6f8fa;
	}

	.section-header.v2 p {
	  color: #4e575f;
	}

	.feature-note {
	  color: <?php echo esc_attr( ot_get_option( 'proland_theme_color_one' ) ); ?>;
	}

	.feature-note .indicator .plus-icon:before {
	  border-color: <?php echo esc_attr( ot_get_option( 'proland_theme_color_one' ) ); ?>;
	}

	.feature-note .indicator .plus-icon:after {
	  background: <?php echo esc_attr( ot_get_option( 'proland_theme_color_one' ) ); ?>;
	}

	.feature-note .indicator .plus-icon .plus {
	  background: <?php echo esc_attr( ot_get_option( 'proland_theme_color_one' ) ); ?>;
	  color: #fff;
	}

	.feature-note .feature-name:before {
	  background: <?php echo esc_attr( ot_get_option( 'proland_theme_color_one' ) ); ?>;
	}

	.feature-note .feature-name:after {
	  background: <?php echo esc_attr( ot_get_option( 'proland_theme_color_one' ) ); ?>;
	}


	.how-it-works {
	  background: #f8fbfd;
	}

	.work-process h3 {
	  color: #374048;
	}

	.work-process p {
	  color: #737c85;
	}

	.benefit .media .media-left span {
	  color: <?php echo esc_attr( ot_get_option( 'proland_theme_color_one' ) ); ?>;
	}
	
	header.row .navbar.is-scrolling .nav li.active a {
		 color: <?php echo esc_attr( ot_get_option( 'proland_theme_color_one' ) ); ?>;
	}

	.benefit .media .media-body h4 {
	  color: #374048;
	}

	.benefit .media .media-body p {
	  color: #82898f;
	}


	.left-right-contents {
	  background: #f8fbfd;
	}

	.left-right-contents .media .media-left span {
	  color: <?php echo esc_attr( ot_get_option( 'proland_theme_color_one' ) ); ?>;
	}

	.left-right-contents .media .media-body h4 {
	  color: #374048;
	}

	.left-right-contents .media .media-body p {
	  color: #82898f;
	}


	.collections .item .title {
	  color: <?php echo esc_attr( ot_get_option( 'proland_theme_color_one' ) ); ?>;
	}

	.collections .item .category {
	  color: #b4bcc3;
	}

	.collections .item .price {
	  color: <?php echo esc_attr( ot_get_option( 'proland_theme_color_three' ) ); ?>;
	}


	.the-watch {
	  background: #f8fbfd;
	}

	.the-watch-features ul li {
	  color: #696f74;
	}


	.split-column .texts h2 {
	  color: #374048;
	}

	.split-column .texts p {
	  color: #c0cad0;
	}


	.reviews {
	  background: #f8fbfd;
	}

	.review p {
	  color: #353535;
	}

	.featured-on {
	  background: #f8fbfd;
	}

	.featured-on h3 {
	  color: #374048;
	}


	.faq h4 {
	  color: #374048;
	}

	.faq p {
	  color: #82898f;
	}


	.tech-specs-row .tech-spec {
	  border-top-color: #f4f5f6;
	}

	.tech-specs-row h4 {
	  color: #374048;
	}

	.tech-specs-row ul li {
	  color: #82898f;
	}


	.team {
	  background: #f8fbfd;
	}

	.member .inner {
	  background: #fff;
	}

	.member .inner .texts h4 {
	  color: #374048;
	}

	.member .inner .texts h5 {
	  color: #82898f;
	}


	.timeline .timeline-row:before {
	  background: #dee0e2;
	}

	.timeline-post .bar-content .inner {
	  color: #bfc2c5;
	  background: #dee0e2;
	}

	.timeline-post .half-side:before {
	  border-color: #dee0e2;
	  background: #fff;
	}

	.timeline-post .half-side h4 {
	  color: #6a737b;
	}

	.timeline-post .half-side p {
	  color: #b7bbbf;
	}

	.timeline-post .half-side.date {
	  color: #dadce0;
	}

	.timeline-post .half-side.content .inner {
	  background: #f5f8fa;
	}

	.timeline-post .half-side + .half-side:before {
	  border-color: #dee0e2;
	  background: #fff;
	}

	@media (max-width: 767px) {
	  .timeline-post.has-content.odd .half-side + .half-side:before {
		border-color: #dee0e2;
	  }
	}


	.mobile-app {
	  background: #000;
	}

	.mobile-app h2 {
	  color: #fff;
	}

	.mobile-app p {
	  color: #feffff;
	}

	.newsletter-form .input-group .input-group-addon {
	  background: none;
	  border-color: transparent;
	}

	.newsletter-form .input-group .input-group-addon button {
	  background: <?php echo esc_attr( ot_get_option( 'proland_theme_color_one' ) ); ?>;
	}

	.newsletter-form .input-group .input-group-addon button:hover, .newsletter-form .input-group .input-group-addon button:focus {
	  background: #374048;
	}

	.newsletter-form p {
	  color: #c0cad0;
	}


	.contact-box {
	  background: #fff;
	}

	.contact-box h2 {
	  color: #374048;
	}

	.contact-box ul li {
	  color: #a5aeb3;
	}

	.contact-form {
	  background: #fff;
	}


	footer.row {
	  background: #f8fbfd;
	}

	footer.row .menu-rights p {
	  color: #c3cbd1;
	}

	.footer-menu li {
	  color: <?php echo esc_attr( ot_get_option( 'proland_theme_color_two' ) ); ?>;
	}

	.footer-menu li a {
	  color: <?php echo esc_attr( ot_get_option( 'proland_theme_color_two' ) ); ?>;
	}

	.footer-menu li a:hover, .footer-menu li a:focus {
	  background: none;
	  color: #374048;
	}

	.social-links {
	  border-bottom-color: #e9eef2;
	}

	.social-links ul li a {
	  background: <?php echo esc_attr( ot_get_option( 'proland_theme_color_two' ) ); ?>;
	  color: #fff;
	}

	.social-links ul li a:hover, .social-links ul li a:focus {
	  background: #374048;
	}

	.page-header {
	  background: #e9eaec;
	}

	.page-header h2 {
	  color: #374048;
	}

	.page-header h4 {
	  color: #828588;
	}


	.widget-title {
	  color: #374048;
	}

	.widget-search form .form-control {
	  border-color: #e2eaef;
	  background: #f8fbfd;
	}

	.widget-search form .form-control + .input-group-addon {
	  border-color: #e2eaef;
	  background: #f8fbfd;
	}

	.widget-search form .form-control + .input-group-addon button {
	  background-color: transparent;
	  color: #ced5da;
	}

	.recent-post .media-body h4 a {
	  color: #656d75;
	}

	.recent-post .media-body h5 {
	  color: #c7d0d8;
	}

	.recent-post .media-body h5 a {
	  color: #65a9f0;
	}

	.categories li a {
	  color: #8e9eac;
	}

	.categories li a:hover, .categories li a:focus {
	  background: none;
	  color: #374048;
	}

	.tag {
	  color: #bdc7ce;
	  background: #f8fbfd;
	  border-color: #e0e8ee;
	}

	.tag:hover, .tag:focus {
	  background: #374048;
	  border-color: #374048;
	  color: #fff;
	}


	.blog h2 a {
	  color: #323f4a;
	}

	.blog h2 a:hover, .blog h2 a:focus {
	  color: #2979ff;
	}

	.blog h5 {
	  color: #a9b9c7;
	}

	.blog h5 a {
	  color: #52a8f5;
	}

	.blog h5 a:hover, .blog h5 a:focus {
	  color: #374048;
	}

	.blog p {
	  color: #8e9eac;
	}

	.blog .btn-primary {
	  background: #2979ff;
	}

	.post-activity {
	  border-right-color: #e5e7ea;
	}

	@media (max-width: 499px) {
	  .post-activity {
		border-bottom-color: #e5e7ea;
		border-top-color: #e5e7ea;
	  }
	}

	.post-activity .activity + .activity {
	  border-top-color: #e5e7ea;
	}

	@media (max-width: 499px) {
	  .post-activity .activity + .activity {
		border-left-color: #e5e7ea;
	  }
	}

	.post-activity .activity a {
	  color: #97a1aa;
	}

	.author-about {
	  background: #f8fbfd;
	}

	.author-about .media-body h3 a {
	  color: #292929;
	}

	.author-about .media-body h3 a:hover, .author-about .media-body h3 a:focus {
	  color: #2979ff;
	}

	.author-about .media-body p {
	  color: #8e9eac;
	}

	.author-about .media-body ul li a {
	  color: #fff;
	  background: #bbd4e6;
	}

	.author-about .media-body ul li a:hover, .author-about .media-body ul li a:focus {
	  background: #374048;
	}


	.comment-count {
	  color: #292929;
	}

	.comment {
	  border-color: #d9e7f1;
	}

	.comment p {
	  color: #8e9eac;
	}

	.commenter-link img {
	  border-color: #d9e7f1;
	}

	.commenter-name a {
	  color: #292929;
	}

	.commenter-name small a {
	  color: #8e9eac;
	}

	.add-comment h2 {
	  color: #292929;
	}

	.add-comment p {
	  color: #c3d1de;
	}


	.mfp-bg {
	  background: #FFF;
	  opacity: 0.9;
	}


	.product-box {
	  background: #fff;
	}

	.product-box .mfp-close {
	  color: #8a9095;
	}

	.product-img-gallery {
	  background: #f8f8f8;
	}

	#product-imgs .carousel-indicators li {
	  background: #dadada;
	}

	#product-imgs .carousel-indicators li.active {
	  background: <?php echo esc_attr( ot_get_option( 'proland_theme_color_one' ) ); ?>;
	}

	.product-desc .name {
	  color: #848e96;
	}

	.product-desc .edition {
	  color: #374048;
	}

	.product-desc .model {
	  color: #a8afb5;
	}

	.product-desc .price {
	  color: <?php echo esc_attr( ot_get_option( 'proland_theme_color_one' ) ); ?>;
	}

	.product-desc .price del {
	  color: #808890;
	}

	.product-desc .price .label {
	  background: #ff840f;
	}

	.product-desc .description {
	  border-color: #eee;
	}

	.product-desc .description p {
	  color: #979a9d;
	}

	.product-desc .choose-form .choose-options {
	  border-color: #eee;
	}

	.product-desc .choose-form .option .form-label {
	  color: #6c6e71;
	}

	.product-desc .choose-form .option input[name="color"] + label[for="color-1"],
	.product-desc .choose-form .option input[name="os0"] + label[for="color-1"] {
	  background: #2eafff;
	}

	.product-desc .choose-form .option input[name="color"] + label[for="color-1"]:before,
	.product-desc .choose-form .option input[name="os0"] + label[for="color-1"]:before {
	  border-color: #2eafff;
	}

	.product-desc .choose-form .option input[name="color"] + label[for="color-2"],
	.product-desc .choose-form .option input[name="os0"] + label[for="color-2"] {
	  background: #5c2eff;
	}

	.product-desc .choose-form .option input[name="color"] + label[for="color-2"]:before,
	.product-desc .choose-form .option input[name="os0"] + label[for="color-2"]:before {
	  border-color: #5c2eff;
	}

	.product-desc .choose-form .option input[name="color"] + label[for="color-3"],
	.product-desc .choose-form .option input[name="os0"] + label[for="color-3"] {
	  background: #ff2e99;
	}

	.product-desc .choose-form .option input[name="color"] + label[for="color-3"]:before,
	.product-desc .choose-form .option input[name="os0"] + label[for="color-3"]:before {
	  border-color: #ff2e99;
	}

	.product-desc .choose-form .option input[name="color"] + label[for="color-4"],
	.product-desc .choose-form .option input[name="os0"] + label[for="color-4"] {
	  background: #ffe62e;
	}

	.product-desc .choose-form .option input[name="color"] + label[for="color-4"]:before,
	.product-desc .choose-form .option input[name="os0"] + label[for="color-4"]:before {
	  border-color: #ffe62e;
	}

	.product-desc .choose-form .option input[name="color"] + label[for="color-5"],
	.product-desc .choose-form .option input[name="os0"] + label[for="color-5"] {
	  background: #2effa1;
	}

	.product-desc .choose-form .option input[name="color"] + label[for="color-5"]:before,
	.product-desc .choose-form .option input[name="os0"] + label[for="color-5"]:before {
	  border-color: #2effa1;
	}

	.product-desc .choose-form .submit-area .btn:hover, .product-desc .choose-form .submit-area .btn:focus {
	  color: #fff;
	}

	.product-desc .choose-form .bootstrap-touchspin input {
	  border-color: #e0e8ee;
	  background: none;
	}

	.product-desc .choose-form .bootstrap-touchspin button {
	  border-color: #e0e8ee;
	}

	.product-desc .choose-form .bootstrap-touchspin button:before {
	  color: #96a1a9;
	}

	.product-desc .choose-form .bootstrap-select .dropdown-toggle {
	  border-color: #e0e8ee;
	  color: #374048;
	}

	.product-desc .choose-form .bootstrap-select .dropdown-toggle .bs-caret {
	  color: #96a1a9;
	  border-left-color: #e0e8ee;
	}


	.watch-review + button.mfp-close {
	  background: #fff;
	  color: #333;
	}

	.watch-review + button.mfp-close:hover {
	  color: #000;
	}

	.pagination li a {
	  background: #f7f7f7;
	  color: #999;
	}

	.pagination li a:hover, .pagination li a:focus {
	  color: #fff;
	  background: #2979ff;
	}

	.pagination li.active a {
	  color: #fff;
	  background: #2979ff;
	}

	.pagination li.active a:hover, .pagination li.active a:focus {
	  background: #374048;
	}

	.nav-pills > li.active > a,
	.nav-pills > li.active > a:focus,
	.nav-pills > li.active > a:hover {
	  background-color: <?php echo esc_attr( ot_get_option( 'proland_theme_color_one' ) ); ?>;
	}

	.help-block.text-danger {
	  color: #FF5B58;
	}

	.help-block.text-success {
	  color: #53CC2E;
	}

	
	</style>

<?php }
add_action( 'wp_head', 'proland_color_scheme' );