<?php

add_filter( 'rwmb_meta_boxes', 'proland_register_meta_boxes' );
function proland_register_meta_boxes( $meta_boxes ) {
$prefix = 'proland_';
$meta_boxes = array();



/* ----------------------------------------------------- */
// PRICE PLUGINS SETTINGS
/* ----------------------------------------------------- */

$meta_boxes[] = array(
	'id' 		=> 'eventssettings',
	'title' 	=> esc_html__('Price table', 'proland'),
	'pages' 	=> array( 'price' ),
	'context' 	=> 'normal',
	'priority' 	=> 'high',

	// List of meta fields
	'fields' => array(

		array(
			'name' 		=> esc_html__('Price pack name', 'proland'),
			'id'		=> $prefix . "packname",
			'clone'		=> false,
			'type'		=> 'text',
			'std'		=> 'Basic'
		),
		array(
			'name' 		=> esc_html__('Price currency', 'proland'),
			'id'		=> $prefix . "pricecurrency",
			'clone'		=> false,
			'type'		=> 'text',
			'std'		=> '$'
		),
		array(
			'name' 		=> esc_html__('Price amount', 'proland'),
			'id'		=> $prefix . "priceamount",
			'clone'		=> false,
			'type'		=> 'text',
			'std'		=> '$250'
		),
		array(
			'name' 		=> esc_html__('Price period', 'proland'),
			'id'		=> $prefix . "priceperiod",
			'clone'		=> false,
			'type'		=> 'text',
			'std'		=> 'per month'
		),

		array(
			'name' 		=> esc_html__('Table Features List', 'proland'),
			'desc'  	=> esc_html__( 'Format: 140GB or any text', 'proland' ),
			'id'    	=> $prefix . 'features_list',
			'type'  	=> 'text',
			'std'   	=> '25 theme included',
			'class' 	=> 'custom-class',
			'clone' 	=> true,
			'clone-group' => 'my-clone-group','clone-group' => 'my-clone-group',
        ),

		// responsive opt

		array(
			'type' 			=> 'divider',
			'id'   			=> 'fake_divider_7', // Not used, but needed
		),
		array(
			'name'		=> esc_html__( 'Mobile column size', 'proland' ),
			'id'		=> $prefix . "column_mobile",
			'type'		=> 'select',
			'multiple'	=> false,
			'std'		=> 'col-sm-6',
			'options'	=> array(
						''				=> esc_html__( 'Use Custom Column', 'proland' ),
						'col-sm-1'		=> esc_html__( 'col-sm-1', 'proland' ),
						'col-sm-2'		=> esc_html__( 'col-sm-2', 'proland' ),
						'col-sm-3'		=> esc_html__( 'col-sm-3', 'proland' ),
						'col-sm-4'		=> esc_html__( 'col-sm-4', 'proland' ),
						'col-sm-5'		=> esc_html__( 'col-sm-5', 'proland' ),
						'col-sm-6'		=> esc_html__( 'col-sm-6', 'proland' ),
						'col-sm-7'		=> esc_html__( 'col-sm-7', 'proland' ),
						'col-sm-8'		=> esc_html__( 'col-sm-8', 'proland' ),
						'col-sm-9'		=> esc_html__( 'col-sm-9', 'proland' ),
						'col-sm-10'		=> esc_html__( 'col-sm-10', 'proland' ),
						'col-sm-11'		=> esc_html__( 'col-sm-11', 'proland' ),
						'col-sm-12'		=> esc_html__( 'col-sm-12', 'proland' ),
			)
		),

		array(
			'name'		=> esc_html__( 'Desktop column size', 'proland' ),
			'id'		=> $prefix . "column_desk",
			'type'		=> 'select',
			'multiple'	=> false,
			'std'		=> 'col-md-3',
			'options'	=> array(
						''				=> esc_html__( 'Use Custom Column', 'proland' ),
						'col-md-1'		=> esc_html__( 'col-md-1', 'proland' ),
						'col-md-2'		=> esc_html__( 'col-md-2', 'proland' ),
						'col-md-3'		=> esc_html__( 'col-md-3', 'proland' ),
						'col-md-4'		=> esc_html__( 'col-md-4', 'proland' ),
						'col-md-5'		=> esc_html__( 'col-md-5', 'proland' ),
						'col-md-6'		=> esc_html__( 'col-md-6', 'proland' ),
						'col-md-7'		=> esc_html__( 'col-md-7', 'proland' ),
						'col-md-8'		=> esc_html__( 'col-md-8', 'proland' ),
						'col-md-9'		=> esc_html__( 'col-md-9', 'proland' ),
						'col-md-10'		=> esc_html__( 'col-md-10', 'proland' ),
						'col-md-11'		=> esc_html__( 'col-md-11', 'proland' ),
						'col-md-12'		=> esc_html__( 'col-md-12', 'proland' ),
			)
		),

		array(
			'name'		=> esc_html__( 'Column offset size for desktop', 'proland' ),
			'id'		=> $prefix . "column_offset",
			'type'		=> 'select',
			'multiple'	=> false,
			'std'		=> 'col-md-offset-0',
			'options'	=> array(
						'col-md-offset-0'		=> esc_html__( 'offset-0', 'proland' ),
						'col-md-offset-1'		=> esc_html__( 'offset-1', 'proland' ),
						'col-md-offset-2'		=> esc_html__( 'offset-2', 'proland' ),
						'col-md-offset-3'		=> esc_html__( 'offset-3', 'proland' ),
						'col-md-offset-4'		=> esc_html__( 'offset-4', 'proland' ),
						'col-md-offset-5'		=> esc_html__( 'offset-5', 'proland' ),
						'col-md-offset-6'		=> esc_html__( 'offset-6', 'proland' ),
						'col-md-offset-7'		=> esc_html__( 'offset-7', 'proland' ),
						'col-md-offset-8'		=> esc_html__( 'offset-8', 'proland' ),
						'col-md-offset-9'		=> esc_html__( 'offset-9', 'proland' ),
						'col-md-offset-10'		=> esc_html__( 'offset-10', 'proland' ),
						'col-md-offset-11'		=> esc_html__( 'offset-11', 'proland' ),
						'col-md-offset-12'		=> esc_html__( 'offset-12', 'proland' ),
			)
		),

	)
);

/* ----------------------------------------------------- */
// Theme Products Settings
/* ----------------------------------------------------- */

$meta_boxes[] = array(
    'title' => esc_html__( 'Theme product options', 'proland' ),
    'pages'    => array( 'products' ),
    'clone-group' => 'product-clone-group','clone-group' => 'product-clone-group',
    'id' => 'products_post_type_settings',
	'context' => 'normal',
	'priority' => 'high',
    'fields' => array(


	array(
		'name'  => esc_html__('Product ID or button url', 'proland'),
		'desc'  => esc_html__('Product ID - You must add unique ID for popups. Format : #product-choose-1, #product-choose-2 and more... or you can add any url if you want to use clickable button', 'proland'),
		'id'    => $prefix . 'product_small_btn_link',
		'type'  => 'text',
		'std'   => '#product-choose-1',
	),

	array(
		'name'  => esc_html__('Product box button text', 'proland'),
		'desc'  => esc_html__('You can add any text', 'proland'),
		'id'    => $prefix . 'product_small_btn_title',
		'type'  => 'text',
		'std'   => 'CHOOSE',
	),

	array(
		'name'  => esc_html__('Product item column number', 'proland'),
		'desc'  => esc_html__('You can use bootstrap offset. Default value : 3 and you can use 1-12 numbers.', 'proland'),
		'id'    => $prefix . 'product_column_number',
		'type'  => 'text',
	),

	array(
		'name'  => esc_html__('Product item column offset', 'proland'),
		'desc'  => esc_html__('You can use bootstrap offset. Default value : 0', 'proland'),
		'id'    => $prefix . 'product_offset',
		'type'  => 'text',
	),

	array(
		'name'  => esc_html__('Product item column delay', 'proland'),
		'desc'  => esc_html__('You can use numbers. Example : 0.8, 0.9, 1, 1.2 and more', 'proland'),
		'id'    => $prefix . 'product_delay',
		'type'  => 'text',
		'std'   => '0.3',
	),

	array(
		'name' => esc_html__('Left gallery images', 'proland'),
		'desc' => esc_html__('Select the images from the media library or upload your new ones.', 'proland'),
		'id'   => $prefix . 'product_images',
		'type' => 'image_advanced',
	),

	array(
		'name'  => esc_html__('Product name', 'proland'),
		'id'    => $prefix . 'product_name',
		'type'  => 'text',
		'std'   => 'SPORTS EDITION',
	),
	array(
		'name'  => esc_html__('Product description', 'proland'),
		'id'    => $prefix . 'product_description',
		'type'  => 'textarea',
	),
	array(
		'name'  => esc_html__('Product type - label', 'proland'),
		'desc'  => esc_html__('Product type - label on the product name', 'proland'),
		'id'    => $prefix . 'product_label',
		'type'  => 'text',
		'std'   => 'SMART WATCH',
	),
	array(
		'name'  => esc_html__('Product model number', 'proland'),
		'id'    => $prefix . 'product_model',
		'type'  => 'text',
		'std'   => 'MODEL AS1500',
	),
	array(
		'name'  => esc_html__('Product price label', 'proland'),
		'id'    => $prefix . 'product_price_label',
		'type'  => 'text',
		'std'   => 'EARLY BIRD OFFER',
	),
	array(
		'name'  => esc_html__('Product currency', 'proland'),
		'id'    => $prefix . 'product_currency',
		'type'  => 'text',
		'std'   => '$',
	),
	array(
		'name'  => esc_html__('Product sale price', 'proland'),
		'id'    => $prefix . 'product_sale',
		'type'  => 'text',
		'std'   => '333',
	),

	array(
		'name'  => esc_html__('Product price', 'proland'),
		'id'    => $prefix . 'product_price',
		'type'  => 'text',
		'std'   => '345',
	),

	array(
		'name'  => esc_html__('Color area heading', 'proland'),
		'id'    => $prefix . 'product_color_heading',
		'type'  => 'text',
		'std'   => 'AVALIABLE COLORS',
	),
	array(
		'name'  => 'Product avaliable colors',
		'id'    => $prefix . 'product_colors',
		'type'	=> 'color',
		'clone' => true,
		'clone-group' => 'product-clone-group','clone-group' => 'product-clone-group',
	),
	array(
		'name'  		=> 'Color name - ID',
		'desc'  		=> 'Format: color-1',
		'id'    		=> $prefix . 'product_color_item_id',
		'type'  		=> 'text',
		'clone' 		=> true,
		'clone-group' 	=> 'product-clone-group',
	),
	array(
		'name'  => esc_html__('Product leftover heading', 'proland'),
		'id'    => $prefix . 'product_left_heading',
		'type'  => 'text',
		'std'   => 'LEFT',
	),
	array(
		'name'  => esc_html__('Product leftover description', 'proland'),
		'id'    => $prefix . 'product_left_desc',
		'type'  => 'text',
		'std'   => '280 SOLD',
	),
	array(
		'name'  => esc_html__('Product size heading', 'proland'),
		'id'    => $prefix . 'product_size_heading',
		'type'  => 'text',
		'std'   => 'AVALIABLE SIZES',
	),
	array(
		'name'  => esc_html__('Product size description', 'proland'),
		'id'    => $prefix . 'product_size_desc',
		'type'  => 'text',
		'std'   => 'L, M, S, XS',
	),

	/* foreach for size qty
	array(
		'name'  => 'Avaliable Size',
		'desc'  => 'Format: M,L,S',
		'id'    => $prefix . 'product_sizes',
		'type'  => 'text',
		'clone' => true,
		'clone-group' => 'size-clone-group',
	),
	*/

	array(
		'name'		=> 'Product popup button link',
		'desc'  	=> esc_html__('You can use any url / link and if you want to use a form in the popup leave blank this area.', 'proland'),
		'id'		=> $prefix . "product_btn_link",
		'type'		=> 'text'
	),

	array(
		'name'		=> 'Product popup button link text',
		'id'		=> $prefix . "product_btn_title",
		'type'		=> 'text',
		'std'		=> 'CHECKOUT'
	),

	array(
		'name'  => esc_html__('Product form shortcode area', 'proland'),
		'id'    => $prefix . 'product_shortcode',
		'type'  => 'textarea',
	),


	),

);


/* ----------------------------------------------------- */
// Unlimited Page Settings
/* ----------------------------------------------------- */

$meta_boxes[] = array(
    'title' 		=> esc_html__( 'Unlimited page header & footer options', 'proland' ),
    'pages'    		=> array( 'page' ),
    'clone-group' 	=> 'my-clone-group','clone-group' => 'my-clone-group',
    'id' 			=> 'unlimited_page_menu',
	'context' 		=> 'normal',
	'priority' 		=> 'high',

	// show - hide
	'show'   => array(
		'relation' 	=> 'OR',
		'template'  =>  array( 'unlimited-page.php' ),
	),

	// Unlimited tab start
	'tabs'      => array(
		'logo' => array(
			'label' => esc_html__( 'Logo options', 'proland' ),
			'icon'  => 'dashicons-admin-settings',
		),
		'menu_options'  => array(
			'label' => esc_html__( 'Menu options', 'proland' ),
			'icon'  => 'dashicons-admin-settings',
		),
		'menu_color'  => array(
			'label' => esc_html__( 'Menu color', 'proland' ),
			'icon'  => 'dashicons-admin-appearance',
		),
		'menu_button'    => array(
			'label' => esc_html__( 'Menu button', 'proland' ),
			'icon'  => 'dashicons-share',
		),
		'menu_items'    => array(
			'label' => esc_html__( 'Menu items', 'proland' ),
			'icon'  => 'dashicons-admin-page',
		),
		'header_options'    => array(
			'label' => esc_html__( 'Header options', 'proland' ),
			'icon'  => 'dashicons-admin-settings',
		),
		'footer_options'    => array(
			'label' => esc_html__( 'Footer options', 'proland' ),
			'icon'  => 'dashicons-admin-settings',
		),
		'footer_social_items'    => array(
			'label' => esc_html__( 'Footer Social', 'proland' ),
			'icon'  => 'dashicons-admin-page',
		),
		'footer_link_items'    => array(
			'label' => esc_html__( 'Footer Links', 'proland' ),
			'icon'  => 'dashicons-admin-page',
		),
		'footer_copyright'    => array(
			'label' => esc_html__( 'Footer Copyright', 'proland' ),
			'icon'  => 'dashicons-admin-page',
		),
	),
	'tab_style' => 'left', // Tab style: 'default', 'box' or 'left'. Optional
	// Unlimited tab end
	'tab_wrapper' => true,

    'fields' => array(
		array(
			'name' => 'Hide logo',
			'id'   => $prefix . "unlimited_hide_logo",
			'type' => 'checkbox',
			'std'  => 0,
			'tab'  => 'logo',
		),
		array(
			'name'             => esc_html__( 'Logo Upload / Select', 'proland' ),
			'id'               => $prefix . "unlimited_logo",
			'type'             => 'image_advanced',
			'max_file_uploads' => 1,
			'tab'  => 'logo',
		),
		// SLIDER
		array(
			'name' => esc_html__( 'Logo height', 'proland' ),
			'id'   => $prefix . "logo_height",
			'type' => 'slider',
			'suffix' => esc_html__( ' Pixel', 'proland' ),
			'js_options' => array(
				'min'   => 0,
				'max'   => 203,
				'step'  => 1,
			),
			'std'  => 55,
			'tab'  => 'logo',
		),
		array(
			'name' => esc_html__( 'Logo width', 'proland' ),
			'id'   => $prefix . "logo_width",
			'type' => 'slider',
			'suffix' => esc_html__( ' Pixel', 'proland' ),
			'js_options' => array(
				'min'   => 0,
				'max'   => 400,
				'step'  => 1,
			),
			'std'  => 255,
			'tab'  => 'logo',
		),
		array(
			'name' => esc_html__( 'Logo margin top', 'proland' ),
			'id'   => $prefix . "logo_margin_top",
			'type' => 'slider',
			'suffix' => esc_html__( ' Pixel', 'proland' ),
			'js_options' => array(
				'min'   => 0,
				'max'   => 100,
				'step'  => 1,
			),
			'std'  => 1,
			'tab'  => 'logo',
		),
		//sticky
		array(
			'name' => 'Hide sticky logo',
			'id'   => $prefix . "sticky_logo_hide",
			'type' => 'checkbox',
			'std'  => 0,
			'tab'  => 'logo',
		),
		array(
			'name'             => esc_html__( 'Sticky logo Upload / Select', 'proland' ),
			'id'               => $prefix . "sticky_logo",
			'type'             => 'image_advanced',
			'max_file_uploads' => 1,
			'tab'  => 'logo',
		),
		// SLIDER
		array(
			'name' => esc_html__( 'Sticky logo height', 'proland' ),
			'id'   => $prefix . "sticky_logo_height",
			'type' => 'slider',
			'suffix' => esc_html__( ' Pixel', 'proland' ),
			'js_options' => array(
				'min'   => 0,
				'max'   => 203,
				'step'  => 1,
			),
			'std'  => 55,
			'tab'  => 'logo',
		),
		array(
			'name' => esc_html__( 'Sticky logo width', 'proland' ),
			'id'   => $prefix . "sticky_logo_width",
			'type' => 'slider',
			'suffix' => esc_html__( ' Pixel', 'proland' ),
			'js_options' => array(
				'min'   => 0,
				'max'   => 400,
				'step'  => 1,
			),
			'std'  => 255,
			'tab'  => 'logo',
		),
		array(
			'name' => esc_html__( 'Sticky logo margin top', 'proland' ),
			'id'   => $prefix . "sticky_margin_top",
			'type' => 'slider',
			'suffix' => esc_html__( ' Pixel', 'proland' ),
			'js_options' => array(
				'min'   => 0,
				'max'   => 100,
				'step'  => 1,
			),
			'std'  => 1,
			'tab'  => 'logo',
		),


      array(
         'name' => 'Open custom options for menu area',
         'id'   => $prefix . "menu_cust_opt",
         'type' => 'checkbox',
         'std'  => 0,
         'tab'  => 'menu_options',
      ),
		array(
			'name' => esc_html__( 'Menu padding top', 'proland' ),
			'id'   => $prefix . "menu_padding_top",
			'type' => 'slider',
			'suffix' => esc_html__( ' Pixel', 'proland' ),
			'js_options' => array(
				'min'   => 0,
				'max'   => 500,
				'step'  => 1,
			),
			'std'  => 20,
			'tab'  => 'menu_options',
		),
		array(
			'name' => esc_html__( 'Menu padding bottom', 'proland' ),
			'id'   => $prefix . "menu_padding_bottom",
			'type' => 'slider',
			'suffix' => esc_html__( ' Pixel', 'proland' ),
			'js_options' => array(
				'min'   => 0,
				'max'   => 500,
				'step'  => 1,
			),
			'std'  => 24,
			'tab'  => 'menu_options',
		),
		array(
			'name' => esc_html__( 'Menu area height', 'proland' ),
			'id'   => $prefix . "menu_height",
			'type' => 'slider',
			'suffix' => esc_html__( ' Pixel', 'proland' ),
			'js_options' => array(
				'min'   => 0,
				'max'   => 500,
				'step'  => 1,
			),
			'std'  => 55,
			'tab'  => 'menu_options',
		),
		array(
			'name'		=> 'Page menu background color',
			'id'		=> $prefix . "menu_bg_color",
			'clone'		=> false,
			'type'		=> 'color',
			'tab'  		=> 'menu_color',
		),
		array(
			'name'		=> 'Page header menu button background color',
			'id'		=> $prefix . "menu_button_bg_color",
			'clone'		=> false,
			'type'		=> 'color',
			'tab'  		=> 'menu_color',
		),
		array(
			'name'		=> 'Page header menu button color',
			'id'		=> $prefix . "menu_button_color",
			'clone'		=> false,
			'type'		=> 'color',
			'tab'  		=> 'menu_color',
		),
		array(
			'name'		=> 'Page header menu link color',
			'id'		=> $prefix . "menu_link_color",
			'clone'		=> false,
			'type'		=> 'color',
			'tab'  		=> 'menu_color',
		),
		array(
			'name'		=> 'Page header menu link active color',
			'id'		=> $prefix . "menu_link_active_color",
			'clone'		=> false,
			'type'		=> 'color',
			'tab'  		=> 'menu_color',
		),
		array(
			'name'		=> 'Page header menu button hover color',
			'id'		=> $prefix . "menu_button_hover_color",
			'clone'		=> false,
			'type'		=> 'color',
			'tab'  		=> 'menu_color',
		),
		array(
			'name'		=> 'Page header menu button background hover color',
			'id'		=> $prefix . "menu_button_bg_hover_color",
			'clone'		=> false,
			'type'		=> 'color',
			'tab'  		=> 'menu_color',
		),
		//sticky color

		array(
			'name'		=> 'Page sticky menu background color',
			'id'		=> $prefix . "sticky_menu_bg_color",
			'clone'		=> false,
			'type'		=> 'color',
			'tab'  		=> 'menu_color',
		),
		array(
			'name'		=> 'Page header sticky menu button background color',
			'id'		=> $prefix . "sticky_menu_button_bg_color",
			'clone'		=> false,
			'type'		=> 'color',
			'tab'  		=> 'menu_color',
		),
		array(
			'name'		=> 'Page header sticky menu button color',
			'id'		=> $prefix . "sticky_menu_button_color",
			'clone'		=> false,
			'type'		=> 'color',
			'tab'  		=> 'menu_color',
		),
		array(
			'name'		=> 'Page header sticky menu  link color',
			'id'		=> $prefix . "sticky_menu_link_color",
			'clone'		=> false,
			'type'		=> 'color',
			'tab'  		=> 'menu_color',
		),
		array(
			'name'		=> 'Page header sticky menu link active color',
			'id'		=> $prefix . "sticky_menu_link_active_color",
			'clone'		=> false,
			'type'		=> 'color',
			'tab'  		=> 'menu_color',
		),
		array(
			'name'		=> 'Page header sticky menu button hover color',
			'id'		=> $prefix . "sticky_menu_button_hover_color",
			'clone'		=> false,
			'type'		=> 'color',
			'tab'  		=> 'menu_color',
		),
		array(
			'name'		=> 'Page header sticky menu button background hover color',
			'id'		=> $prefix . "sticky_menu_button_bg_hover_color",
			'clone'		=> false,
			'type'		=> 'color',
			'tab'  		=> 'menu_color',
		),

		array(
			'name'		=> 'Header menu button url',
			'id'			=> $prefix . "button_url",
			'clone'		=> false,
			'type'		=> 'text',
			'tab'  		=> 'menu_button',
		),

		array(
			'name'		=> 'Header menu button url title',
			'id'			=> $prefix . "button_title",
			'clone'		=> false,
			'type'		=> 'text',
			'tab'  		=> 'menu_button',
		),
		array(
			'name'     => esc_html__( 'Header menu button target', 'proland' ),
			'id'       => $prefix . "button_target",
			'multiple'    => false,
			'type'     => 'select',
			'placeholder' => esc_html__( 'Select an Item', 'proland' ),
			'tab'  			=> 'menu_button',
			'options'  => array(
				'_target' => esc_html__( '_target', 'proland' ),
				'_self' => esc_html__( '_self', 'proland' ),
				'_top' => esc_html__( '_top', 'proland' ),
				'_parent' => esc_html__( '_parent', 'proland' ),
			),

		),

		array(
			'name'     => esc_html__( 'Unlimited page menu type', 'proland' ),
			'id'       => $prefix . "unlimited_menu_option",
			'type'     => 'select',
			'options'  => array(
				'metabox' => esc_html__( 'Metabox menu', 'proland' ),
				'primary' => esc_html__( 'Primary menu', 'proland' ),
			),
			'multiple'    => false,
			'std'         => 'metabox',
			'placeholder' => esc_html__( 'Select an Item', 'proland' ),
			'tab'  			=> 'menu_items',
		),

		array(
			'name'  => 'Menu item name',
			'desc'  => 'Format: Any text',
			'id'    => $prefix . 'unlimited_menu_item_name',
			'type'  => 'text',
			'std'   => 'Menu item name',
			'class' => 'custom-class',
			'clone' => true,
			'sort_clone' => true,
			'clone-group' => 'my-clone-group','clone-group' => 'my-clone-group',
			'tab'  			=> 'menu_items',
		),

		array(
			'name'  => 'Menu item Url',
			'desc'  => 'Format: #sectionname or http://yoururl.com',
			'id'    => $prefix . 'unlimited_menu_item_url',
			'type'  => 'text',
			'std'   => '#sectionname',
			'class' => 'custom-class',
			'clone' => true,
			'sort_clone' => true,
			'clone-group' => 'my-clone-group',
			'tab'  			=> 'menu_items',
		),
		// header options

		array(
			'name' => 'Open custom options',
			'id'   => $prefix . "header_cust_opt",
			'type' => 'checkbox',
			'std'  => 0,
			'tab'  => 'header_options',
		),

		array(
			'name'             => esc_html__( 'Header background image', 'proland' ),
			'id'               => $prefix . "header_background",
			'type'             => 'image_advanced',
			'max_file_uploads' => 1,
			'tab'  			   => 'header_options',
		),
		array(
			'name'		=> 'Page header background color',
			'id'		=> $prefix . "header_background_color",
			'clone'		=> false,
			'type'		=> 'color',
			'tab'  		=> 'header_options',
		),
		// SLIDER
		array(
			'name' => esc_html__( 'Header height', 'proland' ),
			'id'   => $prefix . "header_min_height",
			'type' => 'slider',
			'suffix' => esc_html__( ' Pixel', 'proland' ),
			'js_options' => array(
				'min'   => 0,
				'max'   => 1000,
				'step'  => 1,
			),
			'std'  => 1,
			'tab'  			   => 'header_options',
		),
		array(
			'name' => esc_html__( 'Header padding bottom', 'proland' ),
			'id'   => $prefix . "header_p_bottom",
			'type' => 'slider',
			'suffix' => esc_html__( ' Pixel', 'proland' ),
			'js_options' => array(
				'min'   => 0,
				'max'   => 400,
				'step'  => 1,
			),
			'std'  => 1,
			'tab'  			   => 'header_options',
		),
		array(
			'name' => esc_html__( 'Header padding top', 'proland' ),
			'id'   => $prefix . "header_p_top",
			'type' => 'slider',
			'suffix' => esc_html__( ' Pixel', 'proland' ),
			'js_options' => array(
				'min'   => 0,
				'max'   => 400,
				'step'  => 1,
			),
			'std'  => 1,
			'tab'  			   => 'header_options',
		),
		array(
			'name' => esc_html__( 'Header margin top', 'proland' ),
			'id'   => $prefix . "header_margin_bottom",
			'type' => 'slider',
			'suffix' => esc_html__( ' Pixel', 'proland' ),
			'js_options' => array(
				'min'   => 0,
				'max'   => 100,
				'step'  => 1,
			),
			'std'  => 1,
			'tab'  			   => 'header_options',
		),
		array(
			'name' => 'Hide woocommerce cart button',
			'id'   => $prefix . "cart_button",
			'type' => 'checkbox',
			'std'  => 0,
			'tab'  			   => 'header_options',
		),

		// footer options start
		array(
			'name' =>  esc_html__( 'Hide footer ?', 'proland' ),
			'id'   => $prefix . "footer_section",
			'type' => 'checkbox',
			'std'  => 0,
			'tab'  => 'footer_options',
		),
		array(
			'name' =>  esc_html__( 'Hide footer widgetize ?', 'proland' ),
			'id'   => $prefix . "unlimited_top_footerwd",
			'type' => 'checkbox',
			'std'  => 1,
			'tab'  => 'footer_options',
		),
		array(
			'name' =>  esc_html__( 'Hide footer social ?', 'proland' ),
			'id'   => $prefix . "footer_social_section",
			'type' => 'checkbox',
			'std'  => 0,
			'tab'  => 'footer_options',
		),
		array(
			'name' =>  esc_html__( 'Hide footer links menu ?', 'proland' ),
			'id'   => $prefix . "footer_link_section",
			'type' => 'checkbox',
			'std'  => 0,
			'tab'  => 'footer_options',
		),
		array(
			'name' =>  esc_html__( 'Hide footer powered', 'proland' ),
			'id'   => $prefix . "footer_hide_powered",
			'type' => 'checkbox',
			'std'  => 0,
			'tab'  => 'footer_options',
		),
		array(
			'name'     => esc_html__( 'Social icon target type', 'proland' ),
			'id'       => $prefix . "social_target",
			'type'     => 'select',
			'options'  => array(
				'_blank' 	=> esc_html__( '_blank', 'proland' ),
				'_self' 	=> esc_html__( '_self', 'proland' ),
				'_parent' 	=> esc_html__( '_parent', 'proland' ),
				'_top' 		=> esc_html__( '_top', 'proland' ),
			),
			'multiple'    => false,
			'std'         => 'metabox',
			'placeholder' => esc_html__( 'Select an Item', 'proland' ),
			'tab'  			=> 'footer_options',
		),
		array(
			'name'     => esc_html__( 'Footer links menu target type', 'proland' ),
			'id'       => $prefix . "link_target",
			'type'     => 'select',
			'options'  => array(
				'_blank' 	=> esc_html__( '_blank', 'proland' ),
				'_self' 	=> esc_html__( '_self', 'proland' ),
				'_parent' 	=> esc_html__( '_parent', 'proland' ),
				'_top' 		=> esc_html__( '_top', 'proland' ),
			),
			'multiple'    => false,
			'std'         => 'metabox',
			'placeholder' => esc_html__( 'Select an Item', 'proland' ),
			'tab'  			=> 'footer_options',
		),

		array(
			'name'  => esc_html__('Social icon class', 'proland' ),
			'desc'  => esc_html__('Format: fa fa-facebook or any other font family classess', 'proland' ),
			'id'    => $prefix . 'social_text',
			'type'  => 'text',
			'std'   => 'Menu item name',
			'class' => 'custom-class',
			'clone' => true,
			'sort_clone' => true,
			'clone-group' => 'social-clone-group','clone-group' => 'social-clone-group',
			'tab'  			=> 'footer_social_items',
		),

		array(
			'name'  => esc_html__('Social icon item Url', 'proland' ),
			'desc'  => esc_html__('Format: http://yoururl.com', 'proland' ),
			'id'    => $prefix . 'social_link',
			'type'  => 'text',
			'std'   => '#sectionname',
			'class' => 'custom-class',
			'clone' => true,
			'sort_clone' => true,
			'clone-group' => 'social-clone-group',
			'tab'  			=> 'footer_social_items',
		),

		array(
			'name'  => esc_html__('Footer links menu item text', 'proland' ),
			'desc'  => esc_html__('Format: fa fa-facebook or any other font family classess', 'proland' ),
			'id'    => $prefix . 'footer_link_name',
			'type'  => 'text',
			'std'   => 'Menu item name',
			'class' => 'custom-class',
			'clone' => true,
			'sort_clone' => true,
			'clone-group' => 'social-clone-group','clone-group' => 'social-clone-group',
			'tab'  			=> 'footer_link_items',
		),

		array(
			'name'  => esc_html__('Footer links menu item Url', 'proland' ),
			'desc'  => esc_html__('Format: http://yoururl.com', 'proland' ),
			'id'    => $prefix . 'footer_link_url',
			'type'  => 'text',
			'std'   => '#sectionname',
			'class' => 'custom-class',
			'clone' => true,
			'sort_clone' => true,
			'clone-group' => 'social-clone-group',
			'tab'  			=> 'footer_link_items',
		),

		array(
			'name'  => esc_html__('Footer copyright', 'proland' ),
			'id'    => $prefix . 'footer_copyright_section',
			'type'  => 'textarea',
			'std'   => 'Proland. All rights reserved',
			'tab'  	=> 'footer_copyright',
		),

	),

);


/* ----------------------------------------------------- */
// Unlimited Page Content Settings
/* ----------------------------------------------------- */

$meta_boxes[] = array(
    'title' 		=> esc_html__( 'Unlimited page header content', 'proland' ),
    'pages'    		=> array( 'page' ),
    'clone-group' 	=> 'my-clone-group','clone-group' => 'my-clone-group',
    'id' 			=> 'unlimited_page_content',
	'context' 		=> 'normal',
	'priority' 		=> 'high',

	// show - hide
	'show'   		=> array(
		'relation' 	=> 'OR',
		'template'  =>  array( 'unlimited-page.php' ),

	),

	// Unlimited tab start
	'tabs'      	=> array(
		'c_1' 		=> array(
			'label' => esc_html__( 'Content type 1', 'proland' ),
			'icon'  => 'dashicons-admin-settings',
		),
		'c_2'  		=> array(
			'label' => esc_html__( 'Content type 2', 'proland' ),
			'icon'  => 'dashicons-admin-settings',
		),
		'c_3'  		=> array(
			'label' => esc_html__( 'Color Options', 'proland' ),
			'icon'  => 'dashicons-admin-settings',
		),
	),

	'tab_style' => 'default', // Tab style: 'default', 'box' or 'left'. Optional
	// Unlimited tab end
	'tab_wrapper' => true,

    'fields' => array(

		array(
			'name' => 'Hide this section',
			'id'   => $prefix . "content_type_1",
			'type' => 'checkbox',
			'std'  => 0,
			'tab'  => 'c_1',
		),
		array(
			'name'		=> esc_html__( 'Header content title', 'proland' ),
			'id'		=> $prefix . "content_title",
			'clone'		=> false,
			'type'		=> 'text',
			'tab'  		=> 'c_1',
		),

		array(
			'name'		=> esc_html__( 'Add your shortcode content without "[]"', 'proland' ),
			'id'		=> $prefix . "form_shortcode_content",
			'clone'		=> false,
			'type'		=> 'text',
			'tab'  		=> 'c_1',
		),

		array(
			'name'		=> esc_html__( 'Add your youtube video url. If you want to use video leave blank background image of header.', 'proland' ),
			'id'		=> $prefix . "background_video_url",
			'clone'		=> false,
			'type'		=> 'text',
			'tab'  		=> 'c_1',
		),

		// WYSIWYG/RICH TEXT EDITOR
		array(
			'name'		=> esc_html__( 'Header description / content area. You can add your text or other elements', 'proland' ),
			'id'		=> $prefix . "content_main",
			'type' => 'wysiwyg',
			// Set the 'raw' parameter to TRUE to prevent data being passed through wpautop() on save
			'raw'  => true,
			'std'  => esc_html__( 'WYSIWYG default value', 'proland' ),

			// Editor settings, see wp_editor() function: look4wp.com/wp_editor
			'options' => array(
				'textarea_rows' => 4,
				'teeny'         => true,
				'media_buttons' => false,
			),
			'tab'  		=> 'c_1',
		),

		array(
			'name'		=> esc_html__( 'Header content popup video url', 'proland' ),
			'id'		=> $prefix . "content_video_url",
			'clone'		=> false,
			'type'		=> 'text',
			'tab'  		=> 'c_1',
		),

		array(
			'name'		=> esc_html__( 'Header content button left text', 'proland' ),
			'id'		=> $prefix . "content_button_text_left",
			'clone'		=> false,
			'type'		=> 'text',
			'tab'  		=> 'c_1',
		),
		array(
			'name' => 'Hide button center image',
			'id'   => $prefix . "content_button_center_img",
			'type' => 'checkbox',
			'std'  => 0,
			'tab'  => 'c_1',
		),
		array(
			'name' => 'Disable popup video / use default url',
			'id'   => $prefix . "content_video_url_disable",
			'type' => 'checkbox',
			'std'  => 0,
			'tab'  => 'c_1',
		),
		array(
			'name'		=> esc_html__( 'Header content button right text', 'proland' ),
			'id'		=> $prefix . "content_button_text_right",
			'clone'		=> false,
			'type'		=> 'text',
			'tab'  		=> 'c_1',
		),
		array(
			'name'             => esc_html__( 'Header content center image', 'proland' ),
			'id'               => $prefix . "content_center_image",
			'type'             => 'image_advanced',
			'max_file_uploads' => 1,
			'tab'  => 'c_1',
		),
		// Content 1 end


		// Content 2 start
		array(
			'name' => 'Hide this section',
			'id'   => $prefix . "content_type_2",
			'type' => 'checkbox',
			'std'  => 1,
			'tab'  => 'c_2',
		),
		array(
			'name'     => esc_html__( 'Content type ( image or video )', 'proland' ),
			'id'       => $prefix . "content_2_right_type",
			'type'     => 'select',
			'options'  => array(
				'img' 	=> esc_html__( 'Image', 'proland' ),
				'video' => esc_html__( 'Video', 'proland' ),
			),
			'multiple'    => false,
			'std'         => 'img',
			'placeholder' => esc_html__( 'Select an Item', 'proland' ),
			'tab'  			=> 'c_2',
		),

		array(
			'name'		=> esc_html__( 'Header content title', 'proland' ),
			'id'		=> $prefix . "content_2_title",
			'clone'		=> false,
			'type'		=> 'text',
			'tab'  		=> 'c_2',
		),

		// WYSIWYG/RICH TEXT EDITOR
		array(
			'name'		=> esc_html__( 'Header description', 'proland' ),
			'id'		=> $prefix . "content_2_main",
			'type' => 'wysiwyg',
			// Set the 'raw' parameter to TRUE to prevent data being passed through wpautop() on save
			'raw'  => true,
			'std'  => esc_html__( 'WYSIWYG default value', 'proland' ),

			// Editor settings, see wp_editor() function: look4wp.com/wp_editor
			'options' => array(
				'textarea_rows' => 4,
				'teeny'         => true,
				'media_buttons' => false,
			),
			'tab'  		=> 'c_2',
		),

		array(
			'name'		=> 'Select price catagories',
			'id'		=> $prefix . "content_2_button_type",
			'type'		=> 'select',
			'options'	=> array(
			    'k'			=> 'Select a section',
				'k'			=> 'Kickstarter',
				'i'			=> 'Indegogo'
			),
			'multiple'	=> false,
			'std'		=> 'Select a button type',
			'tab'  		=> 'c_2',
		),

		array(
			'name'		=> esc_html__( 'Header content button url', 'proland' ),
			'id'		=> $prefix . "content_2_button_url",
			'clone'		=> false,
			'type'		=> 'text',
			'tab'  		=> 'c_2',
		),

		array(
			'name'		=> esc_html__( 'Header content button left text', 'proland' ),
			'id'		=> $prefix . "content_2_button_text",
			'clone'		=> false,
			'type'		=> 'text',
			'tab'  		=> 'c_2',
		),
		array(
			'name' => 'Hide button image',
			'id'   => $prefix . "content_button_2_img",
			'type' => 'checkbox',
			'std'  => 0,
			'tab'  => 'c_2',
		),
		array(
			'name'             => esc_html__( 'Header content right image', 'proland' ),
			'id'               => $prefix . "content_2_right_image",
			'type'             => 'image_advanced',
			'max_file_uploads' => 1,
			'tab'  => 'c_2',
		),
		array(
			'name'		=> esc_html__( 'Header content right video popup url', 'proland' ),
			'id'		=> $prefix . "content_2_video_url",
			'clone'		=> false,
			'type'		=> 'text',
			'tab'  		=> 'c_2',
		),
		// Content 2 end
		array(
			'name' => esc_html__( 'Page header background color', 'proland' ),
			'id'   => $prefix . "c1",
			'type' => 'color',
			'tab'  		=> 'c_3',
		),
		array(
			'name' => esc_html__( 'Page header heading color', 'proland' ),
			'id'   => $prefix . "c2",
			'type' => 'color',
			'tab'  		=> 'c_3',
		),
		array(
			'name' => esc_html__( 'Page header text color', 'proland' ),
			'id'   => $prefix . "c3",
			'type' => 'color',
			'tab'  		=> 'c_3',
		),
		array(
			'name' => esc_html__( 'Page header button background color', 'proland' ),
			'id'   => $prefix . "c4",
			'type' => 'color',
			'tab'  		=> 'c_3',
		),
		array(
			'name' => esc_html__( 'Page header button text color', 'proland' ),
			'id'   => $prefix . "c5",
			'type' => 'color',
			'tab'  		=> 'c_3',
		),
		array(
			'name' => esc_html__( 'Page background color', 'proland' ),
			'id'   => $prefix . "c6",
			'type' => 'color',
			'tab'  		=> 'c_3',
		),
		array(
			'name' => esc_html__( 'Page background color', 'proland' ),
			'id'   => $prefix . "c7",
			'type' => 'color',
			'tab'  		=> 'c_3',
		),
		// colors end

	),

);

/* ----------------------------------------------------- */
// Frontpage Settings
/* ----------------------------------------------------- */

$meta_boxes[] = array(
	'id' 		=> 'default-page-settings',
	'title' 	=> 'Page Settings',
	'pages' 	=> array( 'page' ),
	'context' 	=> 'normal',
	'autosave' 	=> 'true',
	'priority' 	=> 'high',

	// show - hide
	'hide'   => array(
		'relation' 	=> 'OR',
		'template'  =>  array( 'unlimited-page.php' ),
	),


	// List of meta fields
	'fields' => array(

		// SELECT BOX
		// divider + heading start
		array(
			'type' 		=> 'divider',
			'id'   		=> 'fake_divider_id', // Not used, but needed
		),

		array(
			'type' 		=> 'heading',
			'id'   		=> 'page_design_section', // Not used, but needed
			'name'		=> 'Page Title Options',
		),

		array(
			'name' 		=> 'Disable Page Title',
			'id'   		=> $prefix . "disable_title",
			'type' 		=> 'checkbox',
			'std'  		=> 0,
		),

		array(
			'name'		=> 'Alternate Page Title',
			'id'		=> $prefix . "alt_title",
			'autosave' => 'true',
			'clone'		=> false,
			'type'		=> 'text',
			'std'		=> ''
		),

		array(
			'name' => esc_html__( 'Page title color', 'proland' ),
			'id'   => $prefix . "pagetextcolor",
			'type' => 'color',
		),
		array(
			'name' => esc_html__( 'Page title font-size', 'proland' ),
			'id'   => $prefix . "pagetitlefs",
			'type' => 'number',
			'placeholder' => 'font-size',
			'min'  => 0,
			'step' => 1,
		),
		array(
			'name' => esc_html__( 'Page title bottom spacing', 'proland' ),
			'id'   => $prefix . "pagetitlemb",
			'type' => 'number',
			'placeholder' => 'margin-bottom',
			'min'  => 0,
			'step' => 1,
		),
		array(
			'type' 		=> 'divider',
			'id'   		=> 'fake_divider_id', // Not used, but needed
		),

		array(
			'type' 		=> 'heading',
			'id'   		=> 'page_design_section', // Not used, but needed
			'name'		=> 'Subtitle Options',
		),
		array(
			'name' 		=> 'Disable Page Subtitle',
			'id'   		=> $prefix . "disable_subtitle",
			'type' 		=> 'checkbox',
			'std'  		=> 0,
		),
		array(
			'name' 		=> esc_html__( 'Page Subtitle / Rich Text Editor', 'proland' ),
			'id'		=> $prefix . "subtitle",
			'type' 		=> 'wysiwyg',
			'raw'  		=> false,
			'options' 	=> array(
				'textarea_rows' => 4,
				'teeny'         => true,
				'media_buttons' => false,
			),
		),

		array(
			'name' => esc_html__( 'Page text color', 'proland' ),
			'id'   => $prefix . "pagedesccolor",
			'type' => 'color',
		),
		array(
			'name' => esc_html__( 'Page text font-size', 'proland' ),
			'id'   => $prefix . "pagedescfs",
			'type' => 'number',
			'placeholder' => 'font-size',
			'min'  => 0,
			'step' => 1,
		),
		array(
			'name' => esc_html__( 'Page text bottom spacing', 'proland' ),
			'id'   => $prefix . "pagedescmb",
			'type' => 'number',
			'placeholder' => 'margin-bottom',
			'min'  => 0,
			'step' => 1,
		),
		array(
			'type' => 'divider',
			'id'   => 'fake_divider_id', // Not used, but needed
		),

		array(
			'type' 		=> 'heading',
			'id'   		=> 'page_design_section', // Not used, but needed
			'name'		=> 'Design Options',
		),

		// COLOR
		array(
			'name' => esc_html__('Disable page breadcrumb', 'proland'),
			'id' => $prefix . "disable_pagebread",
			'type' => 'checkbox',
			'std' => 1,
		),
		array(
			'name' => esc_html__( 'Page breadcrumb link color', 'proland' ),
			'id'   => $prefix . "pagebreadcolor",
			'type' => 'color',
		),
		array(
			'name' => esc_html__( 'Page breadcrumb current color', 'proland' ),
			'id'   => $prefix . "pagebreadcurrentcolor",
			'type' => 'color',
		),
		array(
			'type' => 'divider',
			'id'   => 'fake_divider_id', // Not used, but needed
		),
		array(
			'name' => esc_html__( 'Page header background color', 'proland' ),
			'id'   => $prefix . "pagebgcolor",
			'type' => 'color',
		),
		array(
			'name' => esc_html__( 'Page header padding top', 'proland' ),
			'id'   => $prefix . "headerptop",
			'type' => 'number',
			'placeholder' => 'padding-top',
			'min'  => 0,
			'step' => 1,
		),
		array(
			'name' => esc_html__( 'Page header padding bottom', 'proland' ),
			'id'   => $prefix . "headerpbottom",
			'type' => 'number',
			'placeholder' => 'padding-bottom',
			'min'  => 0,
			'step' => 1,

		),

		// SELECT BOX
		array(
			'name'     => esc_html__( 'Page sidebar', 'proland' ),
			'id'       => $prefix . "pagelayout",
			'type'     => 'select',
			// Array of 'value' => 'Label' pairs for select box
			'options'  => array(
				'left-sidebar' => esc_html__( 'left', 'proland' ),
				'right-sidebar' => esc_html__( 'right', 'proland' ),
				'full-width' => esc_html__( 'full', 'proland' ),
			),
			// Select multiple values, optional. Default is false.
			'multiple'    => false,
			'std'         => 'right-sidebar',
			'placeholder' => esc_html__( 'Select an Item', 'proland' ),
		),


		// divider + heading start
		array(
			'type' => 'divider',
			'id'   => 'fake_divider_id', // Not used, but needed
		),

		array(
			'type' 		=> 'heading',
			'id'   		=> 'page_design_section', // Not used, but needed
			'name'		=> 'Fullwidth Page Layout Options',
		),

		array(
			'name' => 'Disable Page Container structure for full width layout',
			'id'   => $prefix . "disable_container",
			'type' => 'checkbox',
			'std'  => 0,
		),

	)
);


$meta_boxes[] = array(
	'id' => 'customportfoliosettings',
	'title' => 'Portfolio Custom Options',
	'pages' => array( 'portfolio' ),
	'context' => 'normal',
	'priority' => 'high',

	// List of meta fields
	'fields' => array(

		array(
			'name'		=> 'Select image link type',
			'id'		=> $prefix . "image_link_type",
			'type'		=> 'select',
			'desc'  	=> 'The Default Lightbox option for to enable Lightbox and Custom Link option for your custom URL',
			'options'	=> array(
				'default'		=> 'Default Lightbox',
				'custom'		=> 'Custom Link'
			),
			'multiple'	=> false,
			'std'		=> 'default'
		),

		array(
			'name'		=> 'Custom external link',
			'id'		=> $prefix . "custom_link_url",
			'clone'		=> false,
			'desc'  	=> 'This option is compatible only Custom Link option.Format : http://facebook.com',
			'type'		=> 'text',
			'std'		=> '#'
		),

		array(
			'name'		=> 'Select target type',
			'id'		=> $prefix . "custom_target",
			'type'		=> 'select',
			'desc'  	=> 'This option is compatible only Custom Link option',
			'multiple'	=> false,
			'std'		=> '_blank',
			'options'	=> array(
				'_blank'		=> '_blank',
				'_self'			=> '_self',
				'_parent'		=> '_parent',
				'_top'			=> '_top',
			)
		),
	)
);


	$meta_boxes[] = array(
	'title' 		=> esc_html__( 'Member Social Box', 'proland' ),
	'pages'    		=> array( 'team' ),
	'clone-group' 	=> 'my-clone-group','clone-group' => 'my-clone-group',
	'id' 			=> 'mm_review',
	'context'     	=> 'normal',
	'priority'    	=> 'high',
	'fields' 		=> array(

			array(
				'name'		=> 'Team Job',
				'id'		=> $prefix . "team_job",
				'clone'		=> false,
				'type'		=> 'text',
				'std'		=> 'Developer'
			),
			array(
				'name'		=> 'Select social icon font family',
				'id'		=> $prefix . "font_family",
				'type'		=> 'select',
				'multiple'	=> false,
				'std'		=> 'etline',
				'options'	=> array(
					'select'		=> 'Select font-family',
					'fontawesome'	=> 'Fontawesome',
					'socicon'		=> 'Socicon',
					'etline'		=> 'Et-line',
				)
			),
			array(
				'name'		=> 'Select target type',
				'id'		=> $prefix . "social_target",
				'type'		=> 'select',
				'multiple'	=> false,
				'std'		=> '_blank',
				'options'	=> array(
					'_blank'		=> '_blank',
					'_self'			=> '_self',
					'_parent'		=> '_parent',
					'_top'			=> '_top',
				)
			),

			array(
				'name'  => 'Social Icon Name',
				'desc'  => 'Format: facebook. Enter social icon name here',
				'id'    => $prefix . 'social_icon',
				'type'  => 'text',
				'std'   => 'facebook',
				'class' => 'custom-class',
				'clone' => true,
				'clone-group' => 'my-clone-group','clone-group' => 'my-clone-group',
			),

			array(
				'name'  => 'Social Url',
				'desc'  => 'Format: http://facebook.com',
				'id'    => $prefix . 'social_url',
				'type'  => 'text',
				'std'   => '#',
				'class' => 'custom-class',
				'clone' => true,
				'clone-group' => 'my-clone-group',
			),
		),
	);


/*-----------------------------------------------------------------------------------*/
/*  Metaboxes for blog posts
/*-----------------------------------------------------------------------------------*/

    /* Gallery Post Format ------------*/

    $meta_boxes[] = array(
        'title'    => esc_html__('Gallery Settings', 'proland'),
        'pages'    => array('post'),
        'fields' => array(
            array(
                'name' => esc_html__('Gallery Style', 'proland'),
                'desc' => esc_html__('Select the gallery style.', 'proland'),
                'id'   => $prefix . 'gallery_style',
                'type' => 'select',
                'options'  => array(
                    'value1' => esc_html__( 'Slider', 'proland' ),
                    'value2' => esc_html__( 'Grid', 'proland' ),
                ),
                'std'         => 'value1'
            ),
            array(
                'name' => esc_html__('Select Images', 'proland'),
                'desc' => esc_html__('Select the images from the media library or upload your new ones.', 'proland'),
                'id'   => $prefix . 'gallery_image',
                'type' => 'image_advanced',
            ),
            array(
                'name' => esc_html__('Show Meta Information', 'proland'),
                'desc' => esc_html__('Check this to show metadata.', 'proland'),
                'id'   => $prefix . 'show_gallery_meta',
                'type' => 'select',
                'options'  => array(
                    'value1' => esc_html__( 'Yes', 'proland' ),
                    'value2' => esc_html__( 'No', 'proland' ),
                ),
                'multiple'    => false,
                'std'         => 'value1',
            ),
			array(
                'name' => esc_html__('Show Social Icons', 'proland'),
                'desc' => esc_html__('Check this to show Social Icons.', 'proland'),
                'id'   => $prefix . 'show_gallery_social_icons',
                'type' => 'select',
                'options'  => array(
                    'value1' => esc_html__( 'Yes', 'proland' ),
                    'value2' => esc_html__( 'No', 'proland' ),
                ),
                'multiple'    => false,
                'std'         => 'Yes'
            ),
			array(
                'name' => esc_html__('Post content', 'proland'),
                'desc' => esc_html__('Check this to show post content.', 'proland'),
                'id'   => $prefix . 'post_content',
                'type' => 'select',
                'options'  => array(
                    'value1' => esc_html__( 'Yes', 'proland' ),
                    'value2' => esc_html__( 'No', 'proland' ),
                ),
                'multiple'    => false,
                'std'         => 'Yes'
            ),
			array(
                'name' => esc_html__('Post content heading', 'proland'),
                'desc' => esc_html__('Check this to show post content heading.', 'proland'),
                'id'   => $prefix . 'post_content_heading',
                'type' => 'select',
                'options'  => array(
                    'value1' => esc_html__( 'Yes', 'proland' ),
                    'value2' => esc_html__( 'No', 'proland' ),
                ),
                'multiple'    => false,
                'std'         => 'Yes'
            )
        )
    );

    /* Quote Post Format ------------*/

    $meta_boxes[] = array(
        'title'    => esc_html__('Quote Settings', 'proland'),
        'pages'    => array('post'),
        'fields' => array(
            array(
                'name' => esc_html__('The Quote', 'proland'),
                'desc' => esc_html__('Write your quote in this field.', 'proland'),
                'id'   => $prefix . 'quote_text',
                'type' => 'textarea',
                'rows' => 5
            ),
            array(
                'name' => esc_html__('The Author', 'proland'),
                'desc' => esc_html__('Enter the name of the author of this quote.', 'proland'),
                'id'   => $prefix . 'quote_author',
                'type' => 'text'
            ),
            array(
                'name' => esc_html__('Background Color', 'proland'),
                'desc' => esc_html__('Choose the background color for this quote.', 'proland'),
                'id'   => $prefix . 'quote_bg',
                'type' => 'color'
            ),
            array(
                'name' => esc_html__('Background Opacity', 'proland'),
                'desc' => esc_html__('Choose the opacity of the background color.', 'proland'),
                'id'   => $prefix . 'quote_bg_opacity',
                'type' => 'text',
                'std' => 80
            ),
            array(
                'name' => esc_html__('Divider', 'proland'),
                'desc' => esc_html__('Divider.', 'proland'),
                'id'   => $prefix . 'quote_divider',
                'type' => 'divider'
            ),
            array(
                'name' => esc_html__('Show Meta Information', 'proland'),
                'desc' => esc_html__('Check this to show metadata.', 'proland'),
                'id'   => $prefix . 'show_quote_meta',
                'type' => 'select',
                'options'  => array(
                    'value1' => esc_html__( 'Yes', 'proland' ),
                    'value2' => esc_html__( 'No', 'proland' ),
                ),
                'multiple'    => false,
                'std'         => 'Yes'
            ),
			array(
                'name' => esc_html__('Show Social Icons', 'proland'),
                'desc' => esc_html__('Check this to show Social Icons.', 'proland'),
                'id'   => $prefix . 'show_quote_social_icons',
                'type' => 'select',
                'options'  => array(
                    'value1' => esc_html__( 'Yes', 'proland' ),
                    'value2' => esc_html__( 'No', 'proland' ),
                ),
                'multiple'    => false,
                'std'         => 'Yes'
            ),
			array(
                'name' => esc_html__('Post content', 'proland'),
                'desc' => esc_html__('Check this to show post content.', 'proland'),
                'id'   => $prefix . 'post_content',
                'type' => 'select',
                'options'  => array(
                    'value1' => esc_html__( 'Yes', 'proland' ),
                    'value2' => esc_html__( 'No', 'proland' ),
                ),
                'multiple'    => false,
                'std'         => 'Yes'
            ),
			array(
                'name' => esc_html__('Post content heading', 'proland'),
                'desc' => esc_html__('Check this to show post content heading.', 'proland'),
                'id'   => $prefix . 'post_content_heading',
                'type' => 'select',
                'options'  => array(
                    'value1' => esc_html__( 'Yes', 'proland' ),
                    'value2' => esc_html__( 'No', 'proland' ),
                ),
                'multiple'    => false,
                'std'         => 'Yes'
            )
        )
    );

    /* Link Post Format ------------*/

    $meta_boxes[] = array(
        'title'    => esc_html__('Link Settings', 'proland'),
        'pages'    => array('post'),
        'fields' => array(
            array(
                'name' => esc_html__('The URL', 'proland'),
                'desc' => esc_html__('Insert the URL you wish to link to.', 'proland'),
                'id'   => $prefix . 'the_link',
                'type' => 'textarea',
            ),
            array(
                'name' => esc_html__('Background Color', 'proland'),
                'desc' => esc_html__('Choose the background color for this link.', 'proland'),
                'id'   => $prefix . 'link_bg',
                'type' => 'color',
                'std'  => '#d5d85f'
            ),
            array(
                'name' => esc_html__('Background Opacity', 'proland'),
                'desc' => esc_html__('Choose the opacity of the background color.', 'proland'),
                'id'   => $prefix . 'link_bg_opacity',
                'type' => 'text',
                'std' => 80
            ),
            array(
                'name' => esc_html__('Divider', 'proland'),
                'desc' => esc_html__('Divider.', 'proland'),
                'id'   => $prefix . 'link_divider',
                'type' => 'divider'
            ),
            array(
                'name' => esc_html__('Show Meta Information', 'proland'),
                'desc' => esc_html__('Check this to show metadata.', 'proland'),
                'id'   => $prefix . 'show_link_meta',
                'type' => 'select',
                'options'  => array(
                    'value1' => esc_html__( 'Yes', 'proland' ),
                    'value2' => esc_html__( 'No', 'proland' ),
                ),
                'multiple'    => false,
                'std'         => 'Yes'
            ),
			array(
                'name' => esc_html__('Show Social Icons', 'proland'),
                'desc' => esc_html__('Check this to show Social Icons.', 'proland'),
                'id'   => $prefix . 'show_link_social_icons',
                'type' => 'select',
                'options'  => array(
                    'value1' => esc_html__( 'Yes', 'proland' ),
                    'value2' => esc_html__( 'No', 'proland' ),
                ),
                'multiple'    => false,
                'std'         => 'Yes'
            ),
			array(
                'name' => esc_html__('Post content', 'proland'),
                'desc' => esc_html__('Check this to show post content.', 'proland'),
                'id'   => $prefix . 'post_content',
                'type' => 'select',
                'options'  => array(
                    'value1' => esc_html__( 'Yes', 'proland' ),
                    'value2' => esc_html__( 'No', 'proland' ),
                ),
                'multiple'    => false,
                'std'         => 'Yes'
            ),
			array(
                'name' => esc_html__('Post content heading', 'proland'),
                'desc' => esc_html__('Check this to show post content heading.', 'proland'),
                'id'   => $prefix . 'post_content_heading',
                'type' => 'select',
                'options'  => array(
                    'value1' => esc_html__( 'Yes', 'proland' ),
                    'value2' => esc_html__( 'No', 'proland' ),
                ),
                'multiple'    => false,
                'std'         => 'Yes'
            )
        )
    );

    /* Image Post Format ------------*/

    $meta_boxes[] = array(
        'title'    => esc_html__('Image Settings', 'proland'),
        'pages'    => array('post'),
        'fields' => array(
            array(
                'name' => esc_html__('Enable Lightbox', 'proland'),
                'desc' => esc_html__('Check this to enable the lightbox.', 'proland'),
                'id'   => $prefix . 'enable_lightbox',
                'type' => 'select',
                'options'  => array(
                    'value1' => esc_html__( 'Yes', 'proland' ),
                    'value2' => esc_html__( 'No', 'proland' ),
                ),
                'multiple'    => false,
                'std'         => 'Yes'
            ),
            array(
                'name' => esc_html__('Enter URL', 'proland'),
                'desc' => esc_html__('Insert the url for the image.', 'proland'),
                'id'   => $prefix . 'the_image_url',
                'type' => 'text',
            ),
            array(
                'name' => esc_html__('Show Meta Information', 'proland'),
                'desc' => esc_html__('Check this to show metadata.', 'proland'),
                'id'   => $prefix . 'show_image_meta',
                'type' => 'select',
                'options'  => array(
                    'value1' => esc_html__( 'Yes', 'proland' ),
                    'value2' => esc_html__( 'No', 'proland' ),
                ),
                'multiple'    => false,
                'std'         => 'Yes'
            ),
			array(
                'name' => esc_html__('Show Social Icons', 'proland'),
                'desc' => esc_html__('Check this to show Social Icons.', 'proland'),
                'id'   => $prefix . 'show_image_social_icons',
                'type' => 'select',
                'options'  => array(
                    'value1' => esc_html__( 'Yes', 'proland' ),
                    'value2' => esc_html__( 'No', 'proland' ),
                ),
                'multiple'    => false,
                'std'         => 'Yes'
            ),
			array(
                'name' => esc_html__('Post content', 'proland'),
                'desc' => esc_html__('Check this to show post content.', 'proland'),
                'id'   => $prefix . 'post_content',
                'type' => 'select',
                'options'  => array(
                    'value1' => esc_html__( 'Yes', 'proland' ),
                    'value2' => esc_html__( 'No', 'proland' ),
                ),
                'multiple'    => false,
                'std'         => 'Yes'
            ),
			array(
                'name' => esc_html__('Post content heading', 'proland'),
                'desc' => esc_html__('Check this to show post content heading.', 'proland'),
                'id'   => $prefix . 'post_content_heading',
                'type' => 'select',
                'options'  => array(
                    'value1' => esc_html__( 'Yes', 'proland' ),
                    'value2' => esc_html__( 'No', 'proland' ),
                ),
                'multiple'    => false,
                'std'         => 'Yes'
            )
        )
    );

    /* Audio Post Format ------------*/

    $meta_boxes[] = array(
        'title'    => esc_html__('Audio Settings', 'proland'),
        'pages'    => array('post'),
        'fields' => array(
            array(
            'type' => 'heading',
            'name' => esc_html__( 'These settings enable you to embed audio in your posts. Note that for audio, you must supply both MP3 and OGG files to satisfy all browsers. For poster you can select a featured image.', 'proland' ),
            'id'   => 'audio_head'
            ),
            array(
                'name' => esc_html__('MP3 File URL', 'proland'),
                'desc' => esc_html__('The URL to the .mp3 audio file.', 'proland'),
                'id'   => $prefix . 'audio_mp3',
                'type' => 'text',
            ),
            array(
                'name' => esc_html__('OGA File URL', 'proland'),
                'desc' => esc_html__('The URL to the .oga, .ogg audio file.', 'proland'),
                'id'   => $prefix . 'audio_ogg',
                'type' => 'text',
            ),
            array(
                'name' => esc_html__('Divider', 'proland'),
                'desc' => esc_html__('divider.', 'proland'),
                'id'   => $prefix . 'audio_divider',
                'type' => 'divider'
            ),
            array(
                'name' => esc_html__('SoundCloud', 'proland'),
                'desc' => esc_html__('Enter the url of the soundcloud audio.', 'proland'),
                'id'   => $prefix . 'audio_sc',
                'type' => 'text',
            ),
            array(
                'name' => esc_html__('Color', 'proland'),
                'desc' => esc_html__('Choose the color.', 'proland'),
                'id'   => $prefix . 'audio_sc_color',
                'type' => 'color',
                'std'  => '#ff7700'
            ),
            array(
                'name' => esc_html__('Divider', 'proland'),
                'desc' => esc_html__('divider.', 'proland'),
                'id'   => $prefix . 'audio_divider',
                'type' => 'divider'
            ),
            array(
                'name' => esc_html__('Show Meta Information', 'proland'),
                'desc' => esc_html__('Check this to show metadata.', 'proland'),
                'id'   => $prefix . 'show_audio_meta',
                'type' => 'select',
                'options'  => array(
                    'value1' => esc_html__( 'Yes', 'proland' ),
                    'value2' => esc_html__( 'No', 'proland' ),
                ),
                'multiple'    => false,
                'std'         => 'Yes'
            ),
			array(
                'name' => esc_html__('Show Social Icons', 'proland'),
                'desc' => esc_html__('Check this to show Social Icons.', 'proland'),
                'id'   => $prefix . 'show_audio_social_icons',
                'type' => 'select',
                'options'  => array(
                    'value1' => esc_html__( 'Yes', 'proland' ),
                    'value2' => esc_html__( 'No', 'proland' ),
                ),
                'multiple'    => false,
                'std'         => 'Yes'
            ),
			array(
                'name' => esc_html__('Post content', 'proland'),
                'desc' => esc_html__('Check this to show post content.', 'proland'),
                'id'   => $prefix . 'post_content',
                'type' => 'select',
                'options'  => array(
                    'value1' => esc_html__( 'Yes', 'proland' ),
                    'value2' => esc_html__( 'No', 'proland' ),
                ),
                'multiple'    => false,
                'std'         => 'Yes'
            ),
			array(
                'name' => esc_html__('Post content heading', 'proland'),
                'desc' => esc_html__('Check this to show post content heading.', 'proland'),
                'id'   => $prefix . 'post_content_heading',
                'type' => 'select',
                'options'  => array(
                    'value1' => esc_html__( 'Yes', 'proland' ),
                    'value2' => esc_html__( 'No', 'proland' ),
                ),
                'multiple'    => false,
                'std'         => 'Yes'
            )
        )
    );

    /* Status Post Format */

    $meta_boxes[] = array(
        'title'    => esc_html__('Status Settings', 'proland'),
        'pages'    => array('post'),
        'fields' => array(
            array(
                'name' => esc_html__('Style', 'proland'),
                'desc' => esc_html__('Select status style.', 'proland'),
                'id'   => $prefix . 'status_style',
                'type' => 'select',
                'options'  => array(
                    'value1' => esc_html__( 'Normal', 'proland' ),
                    'value2' => esc_html__( 'Background', 'proland' ),
                ),
                'multiple'    => false,
                'std'         => 'Static'
            ),
            array(
                'name' => esc_html__('Background Color', 'proland'),
                'desc' => esc_html__('Choose the background color for this status.', 'proland'),
                'id'   => $prefix . 'status_bg',
                'type' => 'color',
                'std'  => '#d5d85f'
            ),
            array(
                'name' => esc_html__('Background Opacity', 'proland'),
                'desc' => esc_html__('Choose the opacity of the background color.', 'proland'),
                'id'   => $prefix . 'status_bg_opacity',
                'type' => 'text',
                'std' => 80
            ),
			array(
                'name' => esc_html__('Show Social Icons', 'proland'),
                'desc' => esc_html__('Check this to show Social Icons.', 'proland'),
                'id'   => $prefix . 'show_status_social_icons',
                'type' => 'select',
                'options'  => array(
                    'value1' => esc_html__( 'Yes', 'proland' ),
                    'value2' => esc_html__( 'No', 'proland' ),
                ),
                'multiple'    => false,
                'std'         => 'Yes'
            ),
			array(
                'name' => esc_html__('Post content', 'proland'),
                'desc' => esc_html__('Check this to show post content.', 'proland'),
                'id'   => $prefix . 'post_content',
                'type' => 'select',
                'options'  => array(
                    'value1' => esc_html__( 'Yes', 'proland' ),
                    'value2' => esc_html__( 'No', 'proland' ),
                ),
                'multiple'    => false,
                'std'         => 'Yes'
            ),
			array(
                'name' => esc_html__('Post content heading', 'proland'),
                'desc' => esc_html__('Check this to show post content heading.', 'proland'),
                'id'   => $prefix . 'post_content_heading',
                'type' => 'select',
                'options'  => array(
                    'value1' => esc_html__( 'Yes', 'proland' ),
                    'value2' => esc_html__( 'No', 'proland' ),
                ),
                'multiple'    => false,
                'std'         => 'Yes'
            )
        )
    );

    /* Video Post Format ------------*/

    $meta_boxes[] = array(
        'title'    => esc_html__('Video Settings', 'proland'),
        'pages'    => array('post'),
        'fields' => array(
            array(
            'type' => 'heading',
            'name' => esc_html__( 'These settings enable you to embed videos into your posts. Note that for video, you must supply an M4V file to satisfy both HTML5 and Flash solutions. The optional OGV format is used to increase x-browser support for HTML5 browsers such as Firefox and Opera. For the poster, you can select a featured image.', 'proland' ),
            'id'   => 'video_head'
            ),
            array(
                'name' => esc_html__('M4V File URL', 'proland'),
                'desc' => esc_html__('The URL to the .m4v video file.', 'proland'),
                'id'   => $prefix . 'video_m4v',
                'type' => 'text',
            ),
            array(
                'name' => esc_html__('OGV File URL', 'proland'),
                'desc' => esc_html__('The URL to the .ogv video file.', 'proland'),
                'id'   => $prefix . 'video_ogv',
                'type' => 'text',
            ),
            array(
                'name' => esc_html__('WEBM File URL', 'proland'),
                'desc' => esc_html__('The URL to the .webm video file.', 'proland'),
                'id'   => $prefix . 'video_webm',
                'type' => 'text',
            ),
            array(
                'name' => esc_html__('Embeded Code', 'proland'),
                'desc' => esc_html__('Select the preview image for this video.', 'proland'),
                'id'   => $prefix . 'video_embed',
                'type' => 'textarea',
                'rows' => 8
            ),
            array(
                'name' => esc_html__('Divider', 'proland'),
                'desc' => esc_html__('divider.', 'proland'),
                'id'   => $prefix . 'video_divider',
                'type' => 'divider'
            ),
            array(
                'name' => esc_html__('Show Meta Information', 'proland'),
                'desc' => esc_html__('Check this to show metadata.', 'proland'),
                'id'   => $prefix . 'show_video_meta',
                'type' => 'select',
                'options'  => array(
                    'value1' => esc_html__( 'Yes', 'proland' ),
                    'value2' => esc_html__( 'No', 'proland' ),
                ),
                'multiple'    => false,
                'std'         => 'Yes'
            ),
			array(
                'name' => esc_html__('Show Social Icons', 'proland'),
                'desc' => esc_html__('Check this to show Social Icons.', 'proland'),
                'id'   => $prefix . 'show_video_social_icons',
                'type' => 'select',
                'options'  => array(
                    'value1' => esc_html__( 'Yes', 'proland' ),
                    'value2' => esc_html__( 'No', 'proland' ),
                ),
                'multiple'    => false,
                'std'         => 'Yes'
            ),
			array(
                'name' => esc_html__('Post content', 'proland'),
                'desc' => esc_html__('Check this to show post content.', 'proland'),
                'id'   => $prefix . 'post_content',
                'type' => 'select',
                'options'  => array(
                    'value1' => esc_html__( 'Yes', 'proland' ),
                    'value2' => esc_html__( 'No', 'proland' ),
                ),
                'multiple'    => false,
                'std'         => 'Yes'
            ),
			array(
                'name' => esc_html__('Post content heading', 'proland'),
                'desc' => esc_html__('Check this to show post content heading.', 'proland'),
                'id'   => $prefix . 'post_content_heading',
                'type' => 'select',
                'options'  => array(
                    'value1' => esc_html__( 'Yes', 'proland' ),
                    'value2' => esc_html__( 'No', 'proland' ),
                ),
                'multiple'    => false,
                'std'         => 'Yes'
            )
        )
    );


/*-----------------------------------------------------------------------------------*/
/*  Metaboxes for portfolio
/*-----------------------------------------------------------------------------------*/

    /* Gallery Post Format ------------*/

    $meta_boxes[] = array(
        'title'    => esc_html__('Gallery Settings', 'proland'),
        'pages'    => array('portfolio'),
        'fields' => array(
            array(
                'name' => esc_html__('Gallery Style', 'proland'),
                'desc' => esc_html__('Select the gallery style.', 'proland'),
                'id'   => $prefix . 'gallery_style',
                'type' => 'select',
                'options'  => array(
                    'value1' => esc_html__( 'Slider', 'proland' ),
                    'value2' => esc_html__( 'Grid', 'proland' ),
                ),
                'std'         => 'value1'
            ),
            array(
                'name' => esc_html__('Select Images', 'proland'),
                'desc' => esc_html__('Select the images from the media library or upload your new ones.', 'proland'),
                'id'   => $prefix . 'gallery_image',
                'type' => 'image_advanced',
            ),
            array(
                'name' => esc_html__('Show Meta Information', 'proland'),
                'desc' => esc_html__('Check this to show metadata.', 'proland'),
                'id'   => $prefix . 'show_gallery_meta',
                'type' => 'select',
                'options'  => array(
                    'value1' => esc_html__( 'Yes', 'proland' ),
                    'value2' => esc_html__( 'No', 'proland' ),
                ),
                'multiple'    => false,
                'std'         => 'value1'
            ),
			array(
                'name' => esc_html__('Show Social Icons', 'proland'),
                'desc' => esc_html__('Check this to show Social Icons.', 'proland'),
                'id'   => $prefix . 'show_gallery_social_icons',
                'type' => 'select',
                'options'  => array(
                    'value1' => esc_html__( 'Yes', 'proland' ),
                    'value2' => esc_html__( 'No', 'proland' ),
                ),
                'multiple'    => false,
                'std'         => 'Yes'
            ),
			array(
                'name' => esc_html__('Post content', 'proland'),
                'desc' => esc_html__('Check this to show post content.', 'proland'),
                'id'   => $prefix . 'post_content',
                'type' => 'select',
                'options'  => array(
                    'value1' => esc_html__( 'Yes', 'proland' ),
                    'value2' => esc_html__( 'No', 'proland' ),
                ),
                'multiple'    => false,
                'std'         => 'Yes'
            ),
			array(
                'name' => esc_html__('Post content heading', 'proland'),
                'desc' => esc_html__('Check this to show post content heading.', 'proland'),
                'id'   => $prefix . 'post_content_heading',
                'type' => 'select',
                'options'  => array(
                    'value1' => esc_html__( 'Yes', 'proland' ),
                    'value2' => esc_html__( 'No', 'proland' ),
                ),
                'multiple'    => false,
                'std'         => 'Yes'
            )
        )
    );




    /* Audio Post Format ------------*/

    $meta_boxes[] = array(
        'title'    => esc_html__('Audio Settings', 'proland'),
        'pages'    => array('portfolio'),
        'fields' => array(
            array(
            'type' => 'heading',
            'name' => esc_html__( 'These settings enable you to embed audio in your posts. Note that for audio, you must supply both MP3 and OGG files to satisfy all browsers. For poster you can select a featured image.', 'proland' ),
            'id'   => 'audio_head'
            ),
            array(
                'name' => esc_html__('MP3 File URL', 'proland'),
                'desc' => esc_html__('The URL to the .mp3 audio file.', 'proland'),
                'id'   => $prefix . 'audio_mp3',
                'type' => 'text',
            ),
            array(
                'name' => esc_html__('OGA File URL', 'proland'),
                'desc' => esc_html__('The URL to the .oga, .ogg audio file.', 'proland'),
                'id'   => $prefix . 'audio_ogg',
                'type' => 'text',
            ),
            array(
                'name' => esc_html__('Divider', 'proland'),
                'desc' => esc_html__('divider.', 'proland'),
                'id'   => $prefix . 'audio_divider',
                'type' => 'divider'
            ),
            array(
                'name' => esc_html__('SoundCloud', 'proland'),
                'desc' => esc_html__('Enter the url of the soundcloud audio.', 'proland'),
                'id'   => $prefix . 'audio_sc',
                'type' => 'text',
            ),
            array(
                'name' => esc_html__('Color', 'proland'),
                'desc' => esc_html__('Choose the color.', 'proland'),
                'id'   => $prefix . 'audio_sc_color',
                'type' => 'color',
                'std'  => '#ff7700'
            ),
            array(
                'name' => esc_html__('Divider', 'proland'),
                'desc' => esc_html__('divider.', 'proland'),
                'id'   => $prefix . 'audio_divider',
                'type' => 'divider'
            ),
            array(
                'name' => esc_html__('Show Meta Information', 'proland'),
                'desc' => esc_html__('Check this to show metadata.', 'proland'),
                'id'   => $prefix . 'show_audio_meta',
                'type' => 'select',
                'options'  => array(
                    'value1' => esc_html__( 'Yes', 'proland' ),
                    'value2' => esc_html__( 'No', 'proland' ),
                ),
                'multiple'    => false,
                'std'         => 'Yes'
            ),
			array(
                'name' => esc_html__('Show Social Icons', 'proland'),
                'desc' => esc_html__('Check this to show Social Icons.', 'proland'),
                'id'   => $prefix . 'show_audio_social_icons',
                'type' => 'select',
                'options'  => array(
                    'value1' => esc_html__( 'Yes', 'proland' ),
                    'value2' => esc_html__( 'No', 'proland' ),
                ),
                'multiple'    => false,
                'std'         => 'Yes'
            ),
			array(
                'name' => esc_html__('Post content', 'proland'),
                'desc' => esc_html__('Check this to show post content.', 'proland'),
                'id'   => $prefix . 'post_content',
                'type' => 'select',
                'options'  => array(
                    'value1' => esc_html__( 'Yes', 'proland' ),
                    'value2' => esc_html__( 'No', 'proland' ),
                ),
                'multiple'    => false,
                'std'         => 'Yes'
            ),
			array(
                'name' => esc_html__('Post content heading', 'proland'),
                'desc' => esc_html__('Check this to show post content heading.', 'proland'),
                'id'   => $prefix . 'post_content_heading',
                'type' => 'select',
                'options'  => array(
                    'value1' => esc_html__( 'Yes', 'proland' ),
                    'value2' => esc_html__( 'No', 'proland' ),
                ),
                'multiple'    => false,
                'std'         => 'Yes'
            )
        )
    );



    /* Video Post Format ------------*/

    $meta_boxes[] = array(
        'title'    => esc_html__('Video Settings', 'proland'),
        'pages'    => array('portfolio'),
        'fields' => array(
            array(
            'type' => 'heading',
            'name' => esc_html__( 'These settings enable you to embed videos into your posts. Note that for video, you must supply an M4V file to satisfy both HTML5 and Flash solutions. The optional OGV format is used to increase x-browser support for HTML5 browsers such as Firefox and Opera. For the poster, you can select a featured image.', 'proland' ),
            'id'   => 'video_head'
            ),
            array(
                'name' => esc_html__('M4V File URL', 'proland'),
                'desc' => esc_html__('The URL to the .m4v video file.', 'proland'),
                'id'   => $prefix . 'video_m4v',
                'type' => 'text',
            ),
            array(
                'name' => esc_html__('OGV File URL', 'proland'),
                'desc' => esc_html__('The URL to the .ogv video file.', 'proland'),
                'id'   => $prefix . 'video_ogv',
                'type' => 'text',
            ),
            array(
                'name' => esc_html__('WEBM File URL', 'proland'),
                'desc' => esc_html__('The URL to the .webm video file.', 'proland'),
                'id'   => $prefix . 'video_webm',
                'type' => 'text',
            ),
            array(
                'name' => esc_html__('Embeded Code', 'proland'),
                'desc' => esc_html__('Select the preview image for this video.', 'proland'),
                'id'   => $prefix . 'video_embed',
                'type' => 'textarea',
                'rows' => 8
            ),
            array(
                'name' => esc_html__('Divider', 'proland'),
                'desc' => esc_html__('divider.', 'proland'),
                'id'   => $prefix . 'video_divider',
                'type' => 'divider'
            ),
            array(
                'name' => esc_html__('Show Meta Information', 'proland'),
                'desc' => esc_html__('Check this to show metadata.', 'proland'),
                'id'   => $prefix . 'show_video_meta',
                'type' => 'select',
                'options'  => array(
                    'value1' => esc_html__( 'Yes', 'proland' ),
                    'value2' => esc_html__( 'No', 'proland' ),
                ),
                'multiple'    => false,
                'std'         => 'Yes'
            ),
			array(
                'name' => esc_html__('Show Social Icons', 'proland'),
                'desc' => esc_html__('Check this to show Social Icons.', 'proland'),
                'id'   => $prefix . 'show_video_social_icons',
                'type' => 'select',
                'options'  => array(
                    'value1' => esc_html__( 'Yes', 'proland' ),
                    'value2' => esc_html__( 'No', 'proland' ),
                ),
                'multiple'    => false,
                'std'         => 'Yes'
            ),
			array(
                'name' => esc_html__('Post content', 'proland'),
                'desc' => esc_html__('Check this to show post content.', 'proland'),
                'id'   => $prefix . 'post_content',
                'type' => 'select',
                'options'  => array(
                    'value1' => esc_html__( 'Yes', 'proland' ),
                    'value2' => esc_html__( 'No', 'proland' ),
                ),
                'multiple'    => false,
                'std'         => 'Yes'
            ),
			array(
                'name' => esc_html__('Post content heading', 'proland'),
                'desc' => esc_html__('Check this to show post content heading.', 'proland'),
                'id'   => $prefix . 'post_content_heading',
                'type' => 'select',
                'options'  => array(
                    'value1' => esc_html__( 'Yes', 'proland' ),
                    'value2' => esc_html__( 'No', 'proland' ),
                ),
                'multiple'    => false,
                'std'         => 'Yes'
            )
        )
    );

  //end
 return $meta_boxes;
}

function proland_admin_scripts() {
    wp_register_script( 'proland_custom_admin', 		get_template_directory_uri() . '/includes/custom-metaboxes/jquery.custom.admin.js');
    wp_enqueue_script(  'proland_custom_admin');
}
add_action('admin_print_scripts', 'proland_admin_scripts');


?>
