<?php
/**
 * Custom functions that act independently of the theme templates
 *
 * Eventually, some of the functionality here could be replaced by core features
 *
 * @package proland
 */
/* HEADER ------------------------------------------- */


function proland_custom_styling() {


		function proland_hex2rgb($hex) {
			$hex = str_replace("#", "", $hex);

			if(strlen($hex) == 3) {
			$r = hexdec(substr($hex,0,1).substr($hex,0,1));
			$g = hexdec(substr($hex,1,1).substr($hex,1,1));
			$b = hexdec(substr($hex,2,1).substr($hex,2,1));
			} else {
			$r = hexdec(substr($hex,0,2));
			$g = hexdec(substr($hex,2,2));
			$b = hexdec(substr($hex,4,2));
			}
			$rgb = array($r, $g, $b);

			return $rgb; // returns an array with the rgb values
		}

	?>
<?php if ( function_exists( 'ot_get_option' ) ) : ?>
	<style>
	<?php if( is_admin_bar_showing() && ! is_customize_preview() ): ?>
		<?php if ( ot_get_option('proland_relative_header') != 'off') : ?> .navbar-fixed-top{ top: 32px !important;} <?php endif; ?>
		html.js_active { margin-top: 0px !important;}
		@media (max-width: 767px){
			.navbar-fixed-top { top: 45px !important;}
		}
		@media (min-width: 767px){
			.navbar-fixed-top { top: 32px !important;}
		}
		@media (max-width: 600px){
			header.row .navbar.is-scrolling { top: 0px !important;}
			html { margin-top: 0px !important;}
		}
	<?php endif; ?>

	<?php if ( ot_get_option( 'proland_theme_color_one' ) !='' ): ?>

		.widget-title:after{	background: <?php echo esc_attr( ot_get_option( 'proland_theme_color_one' ) ); ?>; }
		#share-buttons i:hover{	background-color: <?php echo esc_attr( ot_get_option( 'proland_theme_color_one' ) ); ?>; }
		.entry-title a:hover,
		.entry-meta a:hover,
		.pricing .pricing__title,
		.widget a,
		.widget ul li a,
		span.breadcrumb-current
		{	color: <?php echo esc_attr( ot_get_option( 'proland_theme_color_one' ) ); ?>; }

		.team-profile img {	border: 3px solid <?php echo esc_attr( ot_get_option( 'proland_theme_color_one' ) ); ?>; }
	<?php endif; ?>

	<?php if ( ot_get_option( 'proland_stick_disable' ) =='off' ): ?>
	.navbar-fixed-top, .navbar-fixed-bottom {
		position: inherit !important;
		right: inherit !important;
		left: inherit !important;
		z-index: 1030;
	}
	<?php endif; ?>
	/*************************************************
		 ## Preloader Settings
		 *************************************************/
	<?php
		if ( ot_get_option( 'proland_pre' ) !='off' ) {
			if ( ot_get_option( 'proland_pre_type' ) !='default' ){
				?>
				#nt-preloader {
					<?php if ( ot_get_option( 'proland_prebgt' ) !='' ) : ?>
					background-color: <?php echo esc_attr( ot_get_option( 'proland_prebgt' ) ) ?>;
				<?php else : ?>
					background-color: #fff;
			<?php	endif;  ?>

					overflow: hidden;
					background-repeat: no-repeat;
					background-position: center center;
					height: 100%;
					left: 0;
					position: fixed;
					top: 0;
					width: 100%;
					z-index: 10000;
				}

			<?php	if ( ot_get_option( 'proland_pretextcolor' ) !='' ) {

					$prespincolor 	= ot_get_option( 'proland_pretextcolor' );
					$pre_spincolor 	= proland_hex2rgb($prespincolor);
					$pre_spin_color = implode(", ", $pre_spincolor);
	 ?>
					<?php if ( ot_get_option( 'proland_pre_type' ) =='01' ) { ?> .loader01:after { background: <?php echo esc_attr( $prespincolor ); ?>!important;}
					.loader01 { border:8px solid <?php echo esc_attr( $prespincolor ); ?>!important; border-right-color: transparent!important;} <?php } ?>
					<?php if ( ot_get_option( 'proland_pre_type' ) =='02' ) { ?> .loader02 { border: 8px solid rgba(<?php echo esc_attr( $pre_spin_color ); ?>, 0.25)!important;}
					.loader02 { border-top-color: <?php echo esc_attr( $prespincolor ); ?>!important;} <?php } ?>
					<?php if ( ot_get_option( 'proland_pre_type' ) =='03' ) { ?> .loader03{ border-top-color: <?php echo esc_attr( $prespincolor ); ?>!important;}';
					.loader03 { border-bottom-color: <?php echo esc_attr( $prespincolor ); ?>!important;}<?php } ?>
					<?php if ( ot_get_option( 'proland_pre_type' ) =='04' ) { ?> .loader04 { border: 2px solid rgba(<?php echo esc_attr( $pre_spin_color ); ?>, 0.5)!important;}';
					.loader04:after { background: <?php echo esc_attr( $prespincolor ); ?>!important;}<?php } ?>
					<?php if ( ot_get_option( 'proland_pre_type' ) =='05' ) { ?> .loader05 { border-color: <?php echo esc_attr( $prespincolor ); ?>!important;}<?php } ?>
					<?php if ( ot_get_option( 'proland_pre_type' ) =='06' ) { ?> .loader06:before { border: 4px solid rgba(<?php echo esc_attr( $pre_spin_color ); ?>, 0.5)!important;}';
					.loader06:after { border: 4px solid <?php echo esc_attr( $prespincolor ); ?>;}<?php } ?>

	<?php
		}
	}
	}
		?>


	<?php if ( ot_get_option( 'proland_theme_color_two' ) !='' ): ?>
		#share-buttons i,
		.woocommerce ul.products li.product .onsale,
		.woocommerce span.onsale,
		.woocommerce span.onsale,
		.woocommerce #respond input#submit.alt,
		.woocommerce a.button.alt,
		.woocommerce button.button.alt,
		.woocommerce input.button.alt{background-color: <?php echo esc_attr( ot_get_option( 'proland_theme_color_two' ) ); ?>; }
    <?php endif; ?>



	<?php if ( ot_get_option( 'proland_navigation_item_fs' ) !=0 ): ?>
    #main-navbar .nav > li > a{font-size: <?php echo esc_attr( ot_get_option( 'proland_navigation_item_fs' ) ); ?>px !important; }
    <?php endif; ?>
	<?php if ( ot_get_option( 'proland_navigation_transform' ) ): ?>
    #main-navbar .nav > li > a{text-transform: <?php echo esc_attr( ot_get_option( 'proland_navigation_transform' ) ); ?> !important; }
    <?php endif; ?>
	<?php if ( ot_get_option( 'proland_navigationbg' ) !='' ): ?>
    header.row .navbar{background: <?php echo esc_attr( ot_get_option( 'proland_navigationbg' ) ); ?> !important ;}
    <?php endif; ?>
	<?php if ( ot_get_option( 'proland_navitem' ) !='' ): ?>
    #main-navbar .nav > li > a{color: <?php echo esc_attr( ot_get_option( 'proland_navitem' ) ); ?> !important; }
    <?php endif; ?>
	<?php if ( ot_get_option( 'proland_navitemhover' ) !='' ): ?>
    #main-navbar .nav > li > a:hover, .navbar-nav > li > a:focus, .navbar-nav > .active > a{color: <?php echo esc_attr( ot_get_option( 'proland_navitemhover' ) ); ?> !important ;}
    <?php endif; ?>
	 <?php if ( ot_get_option( 'proland_sticky_navigationbg' ) !='' ): ?>
     header.row .navbar.is-scrolling{background: <?php echo esc_attr( ot_get_option( 'proland_sticky_navigationbg' ) ); ?> !important ;}
     <?php endif; ?>
 	<?php if ( ot_get_option( 'proland_sticky_navitem' ) !='' ): ?>
     .is-scrolling #main-navbar .nav > li > a{color: <?php echo esc_attr( ot_get_option( 'proland_sticky_navitem' ) ); ?> !important; }
     <?php endif; ?>
 	<?php if ( ot_get_option( 'proland_sticky_navitemhover' ) !='' ): ?>
     .is-scrolling #main-navbar .nav > li > a:hover,.is-scrolling .navbar-nav > li > a:focus,.is-scrolling .navbar-nav > .active > a{color: <?php echo esc_attr( ot_get_option( 'proland_sticky_navitemhover' ) ); ?> !important ;}
     <?php endif; ?>
	<?php if ( ot_get_option( 'proland_navigationbg' ) !='' ): ?>
	@media (max-width: 767px) {
    header.row .navbar.is-scrolling .navbar-nav > li > a:hover, .navbar-nav > li > a:focus, .navbar-nav > .active > a{color: <?php echo esc_attr( ot_get_option( 'proland_navigationbg' ) ); ?> !important; }
	}
    <?php endif; ?>

	<?php if ( ot_get_option('proland_nonanimate_header') == 'off') : ?>
		body .navbar.is-scrolling #main-navbar {
		    padding-top: 8px !important;
		}
		body .navbar.is-scrolling .navbar-header .navbar-brand img {
    		width: auto !important;
		    height: auto !important;
		}
		.navbar.is-scrolling {
		    padding: 20px 0 24px !important;
		}
		header.row .navbar .navbar-header .navbar-toggle {
	    	margin-top: 5px !important;
		}
	<?php endif; ?>



	<?php if ( ot_get_option( 'proland_sidebarwidgetareabgcolor' ) !='' ): ?>
    #widget-area{background-color: <?php echo esc_attr( ot_get_option( 'proland_sidebarwidgetareabgcolor' ) ); ?>; }
    <?php endif; ?>
	<?php if ( ot_get_option( 'proland_sidebarwidgettitlecolor' ) !='' ): ?>
    .widget-title{font-weight:bold;color: <?php echo esc_attr( ot_get_option( 'proland_sidebarwidgettitlecolor' ) ); ?>; }
    <?php endif; ?>
	<?php if ( ot_get_option( 'proland_sidebarwidgetgeneralcolor' ) !='' ): ?>
    .widget ul{color: <?php echo esc_attr( ot_get_option( 'proland_sidebarwidgetgeneralcolor' ) ); ?>; }
    <?php endif; ?>
	<?php if ( ot_get_option( 'proland_sidebarlinkcolor' ) !='' ): ?>
    .widget ul li a, .widget ul li {text-decoration:none;color: <?php echo esc_attr( ot_get_option( 'proland_sidebarlinkcolor' ) ); ?>; }
    <?php endif; ?>
	<?php if ( ot_get_option( 'proland_sidebarlinkhovercolor' ) !='' ): ?>
    .widget ul li a:hover{color: <?php echo esc_attr( ot_get_option( 'proland_sidebarlinkhovercolor' ) ); ?>; }
    <?php endif; ?>
	<?php if ( ot_get_option( 'proland_sidebarsearchsubmittextcolor' ) !='' ): ?>
    #widget-area #searchform input#searchsubmit{color:<?php echo esc_attr( ot_get_option( 'proland_sidebarsearchsubmittextcolor' ) ); ?>;}
    <?php endif; ?>
	<?php if ( ot_get_option( 'proland_sidebarsearchsubmitbgcolor' ) !='' ): ?>
	#widget-area #searchform input#searchsubmit{background-color: <?php echo esc_attr( ot_get_option( 'proland_sidebarsearchsubmitbgcolor' ) ); ?>; }
    <?php endif; ?>

	<?php if ( ot_get_option( 'proland_logowidth' ) !='' ): ?>
    .navbar-header a img{
		width:<?php echo esc_attr( ot_get_option( 'proland_logowidth' ) ); ?>px;
		max-width: inherit !important;
	}
    <?php endif; ?>

	<?php if ( ot_get_option( 'proland_logo_shrink_w' ) !='' || ot_get_option( 'proland_logo_shrink_h' ) !='' ): ?>
		.navbar.is-scrolling .navbar-header .navbar-brand img {
			width: <?php echo esc_attr( ot_get_option( 'proland_logo_shrink_w' ) ); ?>px !important;
			height: <?php echo esc_attr( ot_get_option( 'proland_logo_shrink_h' ) ); ?>px !important;
		}
    <?php endif; ?>

	<?php if ( ot_get_option( 'proland_logoheight' ) !='' ): ?>
    .navbar-header a img{height:<?php echo esc_attr( ot_get_option( 'proland_logoheight' ) ); ?>px; }
    <?php endif; ?>

	<?php

	// logo dimension var
	$logo_m 				= ( ot_get_option( 'proland_margin_logo', array() ) );
	$logo_p 				= ( ot_get_option( 'proland_padding_logo', array() ) );

	//logo  margin
	if(isset($logo_m['unit']))   { $logomarunit = $logo_m['unit'];}else{ $logomarunit = 'px'; }
	if(isset($logo_m['top']))    { echo ' .navbar-header a img { margin-top:' .  $logo_m['top'] .''. $logomarunit . ' !important; }'; }
	if(isset($logo_m['bottom'])) { echo ' .navbar-header a img { margin-bottom:' . $logo_m['bottom'] .''. $logomarunit . ' !important; }'; }
	if(isset($logo_m['right']))  { echo ' .navbar-header a img { margin-right:' . $logo_m['right'] .''. $logomarunit . ' !important; }'; }
	if(isset($logo_m['left']))   { echo ' .navbar-header a img { margin-left:' . $logo_m['left'] .''. $logomarunit . '!important; }'; }

	//logo padding
	if(isset($logo_p['unit']))   { $logopadunit = $logo_p['unit'];}else{ $logopadunit = 'px'; }
	if(isset($logo_p['top']))    { echo ' .navbar-header a { padding-top:' .  $logo_p['top'] .''. $logopadunit . ' !important; }'; }
	if(isset($logo_p['bottom'])) { echo ' .navbar-header a { padding-bottom:' . $logo_p['bottom'] .''. $logopadunit . ' !important; }'; }
	if(isset($logo_p['right']))  { echo ' .navbar-header a { padding-right:' . $logo_p['right'] .''. $logopadunit . ' !important; }'; }
	if(isset($logo_p['left']))   { echo ' .navbar-header a { padding-left:' . $logo_p['left'] .''. $logopadunit . ' !important; }'; }

	// logo dimension var
	$logo_m_s 			= ( ot_get_option( 'proland_margin_logo_sticky', array() ) );
	$logo_p_s 			= ( ot_get_option( 'proland_padding_logo_sticky', array() ) );

	//logo  margin
	if(isset($logo_m_s['unit']))   { $logomarunit_s = $logo_m_s['unit'];}else{ $logomarunit_s = 'px'; }
	if(isset($logo_m_s['top']))    { echo '.navbar.is-scrolling .navbar-header .navbar-brand img  { margin-top:' .  $logo_m_s['top'] .''. $logomarunit_s . ' !important; }'; }
	if(isset($logo_m_s['bottom'])) { echo '.navbar.is-scrolling .navbar-header .navbar-brand img  { margin-bottom:' . $logo_m_s['bottom'] .''. $logomarunit_s . ' !important; }'; }
	if(isset($logo_m_s['right']))  { echo '.navbar.is-scrolling .navbar-header .navbar-brand img  { margin-right:' . $logo_m_s['right'] .''. $logomarunit_s . ' !important; }'; }
	if(isset($logo_m_s['left']))   { echo '.navbar.is-scrolling .navbar-header .navbar-brand img  { margin-left:' . $logo_m_s['left'] .''. $logomarunit_s . ' !important; }'; }

	//logo padding
	if(isset($logo_p_s['unit']))   { $logopadunit_s = $logo_p_s['unit'];}else{ $logopadunit_s = 'px'; }
	if(isset($logo_p_s['top']))    { echo '.navbar.is-scrolling .navbar-header .navbar-brand   { padding-top:' .  $logo_p_s['top'] .''. $logopadunit_s . ' !important; }'; }
	if(isset($logo_p_s['bottom'])) { echo '.navbar.is-scrolling .navbar-header .navbar-brand   { padding-bottom:' . $logo_p_s['bottom'] .''. $logopadunit_s . ' !important; }'; }
	if(isset($logo_p_s['right']))  { echo '.navbar.is-scrolling .navbar-header .navbar-brand   { padding-right:' . $logo_p_s['right'] .''. $logopadunit_s . ' !important; }'; }
	if(isset($logo_p_s['left']))   { echo '.navbar.is-scrolling .navbar-header .navbar-brand   { padding-left:' . $logo_p_s['left'] .''. $logopadunit_s . ' !important; }'; }


	$proland_sticky_logo						= 	rwmb_meta('proland_sticky_logo', 			'type=image_advanced');

	if($proland_sticky_logo !==''){ echo '.navbar .navbar-header .sticky-logo{ display:none; }'; }
	if($proland_sticky_logo !==''){ echo '.navbar.is-scrolling .navbar-header .default-logo{ display:none; } .navbar.is-scrolling .navbar-header .sticky-logo{ display:block; }'; }

	$proland_general_sticky_logo						= 	ot_get_option( 'proland_sticky_logoimg' );

	if($proland_general_sticky_logo !==''){ echo '.navbar .navbar-header .general-sticky-logo{ display:none; }'; }
	if($proland_general_sticky_logo !==''){ echo '.navbar.is-scrolling .navbar-header .general-default-logo{ display:none; } .navbar.is-scrolling .navbar-header .general-sticky-logo{ display:block; }'; }



	?>


	<?php if ( ot_get_option( 'proland_otherpageheadbg' ) !='' ): ?>
    .masthead-blog{background: transparent url( <?php echo esc_attr( ot_get_option( 'proland_otherpageheadbg' ) ); ?>)no-repeat fixed center top / cover!important; }
    <?php endif; ?>

	<?php if ( ot_get_option( 'proland_otherpageheadbg' ) =='' ): ?>
    .masthead-blog{background: #e9eaec }
    <?php endif; ?>

	<?php if ( ot_get_option( 'proland_blogheaderbgheight' ) !='' ): ?>
    .masthead-blog{height: <?php echo esc_attr( ot_get_option( 'proland_blogheaderbgheight' ) ); ?>vh !important; }
    <?php endif; ?>

	<?php if ( ot_get_option( 'proland_blogheaderpaddingtop' ) !='' ): ?>
    @media (min-width: 768px){
		.masthead-blog {
			padding-top: <?php echo esc_attr( ot_get_option( 'proland_blogheaderpaddingtop' ) ); ?>px !important;
			padding-bottom: <?php echo esc_attr( ot_get_option( 'proland_blogheaderpaddingbottom' ) ); ?>px !important;
		}
	}
    <?php endif; ?>

	<?php if ( ot_get_option( 'proland_blogheadingcolor' ) !='' ): ?>
    .masthead-blog .lead-heading{color: <?php echo esc_attr( ot_get_option( 'proland_blogheadingcolor' ) ); ?>; }
    <?php endif; ?>

	<?php if ( ot_get_option( 'proland_blogsubtitlecolor' ) !='' ): ?>
    .blog .blog-muted, .masthead a, span.bredcrumb-separator, span.breadcrumb-current{color: <?php echo esc_attr( ot_get_option( 'proland_blogsubtitlecolor' ) ); ?> !important;  }
    <?php endif; ?>

	<?php if ( ot_get_option('custompre') != '') : ?>
	.cssload-bell {
		animation: inherit;
		-o-animation: inherit;
		-ms-animation: inherit;
		-webkit-animation: inherit;
		-moz-animation: inherit;
	}
    <?php endif; ?>


	<?php if ( ot_get_option( 'proland_frontpageheadbg' ) !='' ): ?>
    .masthead-blog{background: transparent url( <?php echo esc_attr( ot_get_option( 'proland_frontpageheadbg' ) ); ?>)no-repeat scroll center top / cover; }
    <?php endif; ?>

	<?php if ( ot_get_option('proland_mask_c_page_header') == 'off') : ?>
	.custom-page-header {background-image: none !important;  }
	<?php endif; ?>

	<?php if ( ot_get_option('proland_relative_header') == 'off') : ?>
	 .navbar-fixed-top {
		position: absolute !important;
	}
	<?php endif; ?>

	.custom-page-header.masked:after {
	background-color: <?php echo esc_attr( ot_get_option( 'proland_blogheaderbgcolor' ) ); ?> !important;
	}


	<?php if ( ot_get_option( 'proland_frontpage_header_heading_color' ) !='' ): ?>
    .masthead.rel-1 h1{color: <?php echo esc_attr( ot_get_option( 'proland_frontpage_header_heading_color' ) ); ?>; }
    <?php endif; ?>
	<?php if ( ot_get_option( 'proland_frontpage_header_headingstrong_color' ) !='' ): ?>
    .masthead.rel-1 h1 strong{color: <?php echo esc_attr( ot_get_option( 'proland_frontpage_header_headingstrong_color' ) ); ?>; }
    <?php endif; ?>
	<?php if ( ot_get_option( 'proland_frontpage_header_slogan_color' ) !='' ): ?>
    .masthead.rel-1 p.text-muted{color: <?php echo esc_attr( ot_get_option( 'proland_frontpage_header_slogan_color' ) ); ?>; }
    <?php endif; ?>
	<?php if ( ot_get_option( 'proland_frontpage_header_buttonbg_color' ) !='' ): ?>
    .masthead.rel-1 a.btn {background-color: <?php echo esc_attr( ot_get_option( 'proland_frontpage_header_buttonbg_color' ) ); ?>; }
    <?php endif; ?>
	<?php if ( ot_get_option( 'proland_frontpage_header_buttonbg_hover_color' ) !='' ): ?>
    .masthead.rel-1 a.btn:hover {background-color: <?php echo esc_attr( ot_get_option( 'proland_frontpage_header_buttonbg_hover_color' ) ); ?>; }
    <?php endif; ?>
	<?php if ( ot_get_option( 'proland_frontpage_header_button_title_color' ) !='' ): ?>
    .masthead.rel-1 a.btn:hover {color: <?php echo esc_attr( ot_get_option( 'proland_frontpage_header_button_title_color' ) ); ?>; }
    <?php endif; ?>
	<?php if ( ot_get_option( 'proland_frontpage_header_button_title_hover_color' ) !='' ): ?>
    .masthead.rel-1 a.btn:hover {color: <?php echo esc_attr( ot_get_option( 'proland_frontpage_header_button_title_hover_color' ) ); ?>; }
    <?php endif; ?>

		<?php if ( ot_get_option( 'proland_readm_t_c' ) !='' ): ?>
		.blog .btn.btn-primary{color: <?php echo esc_attr( ot_get_option( 'proland_readm_t_c' ) ); ?>; }
		<?php endif; ?>
		<?php if ( ot_get_option( 'proland_readm_bg_c' ) !='' ): ?>
		.blog .btn.btn-primary{background-color: <?php echo esc_attr( ot_get_option( 'proland_readm_bg_c' ) ); ?>; }
		<?php endif; ?>
		<?php if ( ot_get_option( 'proland_readm_ht_c' ) !='' ): ?>
		.blog .btn.btn-primary:hover{color: <?php echo esc_attr( ot_get_option( 'proland_readm_ht_c' ) ); ?>; }
		<?php endif; ?>
		<?php if ( ot_get_option( 'proland_readm_hbg_c' ) !='' ): ?>
		.blog .btn.btn-primary:hover{background-color: <?php echo esc_attr( ot_get_option( 'proland_readm_hbg_c' ) ); ?>; }
		<?php endif; ?>

	<?php if ( ot_get_option( 'proland_singlepageheadbg' ) !='' ): ?>
    .single .masthead-blog {background: transparent url( <?php echo esc_attr( ot_get_option( 'proland_singlepageheadbg' ) ); ?>)no-repeat fixed center top / cover!important; }
    <?php endif; ?>


	<?php if ( ot_get_option( 'proland_singleheaderbgcolor' ) !='' ): ?>
    .single .masthead-blog{background-color: <?php echo esc_attr( ot_get_option( 'proland_singleheaderbgcolor' ) ); ?>; }
    <?php endif; ?>
	<?php if ( ot_get_option( 'proland_singleheadingcolor' ) !='' ): ?>
    .single .masthead-blog h1{color: <?php echo esc_attr( ot_get_option( 'proland_singleheadingcolor' ) ); ?>; }
    <?php endif; ?>
	<?php if ( ot_get_option( 'proland_single_heading_fontsize' ) !='' ): ?>
    .single .masthead-blog h1{font-size: <?php echo esc_attr( ot_get_option( 'proland_single_heading_fontsize' ) ); ?>px; }
    <?php endif; ?>
	<?php if ( ot_get_option( 'proland_singleheaderbgheight' ) !='' ): ?>
    .single .masthead-blog{height: <?php echo esc_attr( ot_get_option( 'proland_singleheaderbgheight' ) ); ?>vh !important; }
    <?php endif; ?>
	<?php if (( ot_get_option( 'proland_singleheaderpaddingtop' ) !='' )||( ot_get_option( 'proland_singleheaderpaddingbottom' ) !='' )): ?>
    @media (min-width: 768px){
    .single .masthead-blog {padding-top: <?php echo esc_attr( ot_get_option( 'proland_singleheaderpaddingtop' ) ); ?>px !important;
	padding-bottom: <?php echo esc_attr( ot_get_option( 'proland_singleheaderpaddingbottom' ) ); ?>px !important; } }
    <?php endif; ?>



	<?php if ( ot_get_option( 'proland_archivepageheadbg' ) !='' ): ?>
    .archive .masthead-blog {background: transparent url( <?php echo esc_attr( ot_get_option( 'proland_archivepageheadbg' ) ); ?>)no-repeat fixed center top / cover!important; }
    <?php endif; ?>
	<?php if ( ot_get_option( 'proland_archiveheaderbgcolor' ) !='' ): ?>
    .archive .masthead-blog{background-color: <?php echo esc_attr( ot_get_option( 'proland_archiveheaderbgcolor' ) ); ?>; }
    <?php endif; ?>
	<?php if ( ot_get_option( 'proland_archiveheadingcolor' ) !='' ): ?>
    .archive .masthead-blog h1{color: <?php echo esc_attr( ot_get_option( 'proland_archiveheadingcolor' ) ); ?>; }
    <?php endif; ?>
	<?php if ( ot_get_option( 'proland_archive_heading_fontsize' ) !='' ): ?>
    .archive .masthead-blog h1{font-size: <?php echo esc_attr( ot_get_option( 'proland_archive_heading_fontsize' ) ); ?>px; }
    <?php endif; ?>
	<?php if ( ot_get_option( 'proland_archiveheaderparagraphcolor' ) !='' ): ?>
    .archive .masthead-blog p{color: <?php echo esc_attr( ot_get_option( 'proland_archiveheaderparagraphcolor' ) ); ?>; }
    <?php endif; ?>
	<?php if ( ot_get_option( 'proland_archiveheaderbgheight' ) !='' ): ?>
    .archive .masthead-blog{height: <?php echo esc_attr( ot_get_option( 'proland_archiveheaderbgheight' ) ); ?>vh !important; }
    <?php endif; ?>
	<?php if (( ot_get_option( 'proland_archiveheaderpaddingtop' ) !='' )||( ot_get_option( 'proland_archiveheaderpaddingbottom' ) !='' )): ?>
    @media (min-width: 768px){
    .archive .masthead-blog {padding-top: <?php echo esc_attr( ot_get_option( 'proland_archiveheaderpaddingtop' ) ); ?>px !important;
	padding-bottom: <?php echo esc_attr( ot_get_option( 'proland_archiveheaderpaddingbottom' ) ); ?>px !important; } }
	<?php endif; ?>

	<?php if ( ot_get_option( 'proland_errorpageheadbg' ) !='' ): ?>
    .error404 .masthead-blog{background: transparent url( <?php echo esc_attr( ot_get_option( 'proland_errorpageheadbg' ) ); ?>)no-repeat fixed center top / cover!important; }
    <?php endif; ?>
	<?php if ( ot_get_option( 'proland_errorheaderbgcolor' ) !='' ): ?>
    .error404 .masthead-blog{background-color: <?php echo esc_attr( ot_get_option( 'proland_errorheaderbgcolor' ) ); ?>; }
    <?php endif; ?>
	<?php if ( ot_get_option( 'proland_errorheadingcolor' ) !='' ): ?>
    .error404 .masthead-blog h1{color: <?php echo esc_attr( ot_get_option( 'proland_errorheadingcolor' ) ); ?>; }
    <?php endif; ?>
	<?php if ( ot_get_option( 'proland_error_heading_fontsize' ) !='' ): ?>
    .error404 .masthead-blog h1{font-size: <?php echo esc_attr( ot_get_option( 'proland_error_heading_fontsize' ) ); ?>px; }
    <?php endif; ?>
	<?php if ( ot_get_option( 'proland_errorheaderparagraphcolor' ) !='' ): ?>
    .error404 .masthead-blog p{color: <?php echo esc_attr( ot_get_option( 'proland_errorheaderparagraphcolor' ) ); ?>; }
    <?php endif; ?>
	<?php if ( ot_get_option( 'proland_errorheaderbgheight' ) !='' ): ?>
    .error404 .masthead-blog{height: <?php echo esc_attr( ot_get_option( 'proland_errorheaderbgheight' ) ); ?>vh !important; }
    <?php endif; ?>
	<?php if (( ot_get_option( 'proland_errorheaderpaddingtop' ) !='' )||( ot_get_option( 'proland_errorheaderpaddingbottom' ) !='' )): ?>
    @media (min-width: 768px){
    .error404 .masthead-blog {padding-top: <?php echo esc_attr( ot_get_option( 'proland_errorheaderpaddingtop' ) ); ?>px !important;
	padding-bottom: <?php echo esc_attr( ot_get_option( 'proland_errorheaderpaddingbottom' ) ); ?>px !important; } }
	<?php endif; ?>

	<?php if ( ot_get_option( 'proland_searchpageheadbg' ) !='' ): ?>
    .search .masthead-blog {background: transparent url( <?php echo esc_attr( ot_get_option( 'proland_searchpageheadbg' ) ); ?>)no-repeat scroll center top / cover!important; }
    <?php endif; ?>
	<?php if ( ot_get_option( 'proland_searchheaderbgcolor' ) !='' ): ?>
    .search .masthead-blog{background-color: <?php echo esc_attr( ot_get_option( 'proland_searchheaderbgcolor' ) ); ?>; }
    <?php endif; ?>
	<?php if ( ot_get_option( 'proland_searchheadingcolor' ) !='' ): ?>
    .search .masthead-blog h1{color: <?php echo esc_attr( ot_get_option( 'proland_searchheadingcolor' ) ); ?>; }
    <?php endif; ?>
	<?php if ( ot_get_option( 'proland_search_heading_fontsize' ) !='' ): ?>
    .search .masthead-blog h1{font-size: <?php echo esc_attr( ot_get_option( 'proland_search_heading_fontsize' ) ); ?>px; }
    <?php endif; ?>
	<?php if ( ot_get_option( 'proland_searchheaderparagraphcolor' ) !='' ): ?>
    .search .masthead-blog p{color: <?php echo esc_attr( ot_get_option( 'proland_searchheaderparagraphcolor' ) ); ?>; }
    <?php endif; ?>
	<?php if ( ot_get_option( 'proland_searchheaderbgheight' ) !='' ): ?>
    .search .masthead-blog{height: <?php echo esc_attr( ot_get_option( 'proland_searchheaderbgheight' ) ); ?>vh !important; }
    <?php endif; ?>
	<?php if (( ot_get_option( 'proland_searchheaderpaddingtop' ) !='' )||( ot_get_option( 'proland_searchheaderpaddingbottom' ) !='' )): ?>
    @media (min-width: 768px){
    .search .masthead-blog {padding-top: <?php echo esc_attr( ot_get_option( 'proland_searchheaderpaddingtop' ) ); ?>px !important;
	padding-bottom: <?php echo esc_attr( ot_get_option( 'proland_searchheaderpaddingbottom' ) ); ?>px !important; } }
	<?php endif; ?>

	<?php if ( ot_get_option( 'proland_blogbreadcrubmscolor' ) !='' ): ?>
    a.breadcrumb-item{color: <?php echo esc_attr( ot_get_option( 'proland_blogbreadcrubmscolor' ) ); ?>; }
    <?php endif; ?>
	<?php if ( ot_get_option( 'proland_blogbreadcrubmshovercolor' ) !='' ): ?>
    a.breadcrumb-item:hover{color: <?php echo esc_attr( ot_get_option( 'proland_blogbreadcrubmshovercolor' ) ); ?>; }
    <?php endif; ?>
	<?php if ( ot_get_option( 'proland_blogbreadcrubmscurrentcolor' ) !='' ): ?>
    span.breadcrumb-current{color: <?php echo esc_attr( ot_get_option( 'proland_blogbreadcrubmscurrentcolor' ) ); ?>; }
    <?php endif; ?>
	<?php if ( ot_get_option( 'proland_blogbreadcrubmsfontsize' ) !='' ): ?>
    .lead-breadcrubms{font-size: <?php echo esc_attr( ot_get_option( 'proland_blogbreadcrubmsfontsize' ) ); ?>px; }
    <?php endif; ?>

	<?php if ( ot_get_option( 'proland_blogposttitlecolor' ) !='' ): ?>
    .entry-title-off a{color: <?php echo esc_attr( ot_get_option( 'proland_blogposttitlecolor' ) ); ?>!important; }
    <?php endif; ?>
	<?php if ( ot_get_option( 'proland_blogposttitlhoverecolor' ) !='' ): ?>
    .entry-title-off a:hover{color: <?php echo esc_attr( ot_get_option( 'proland_blogposttitlhoverecolor' ) ); ?>!important; }
    <?php endif; ?>
	<?php if ( ot_get_option( 'proland_blogmetacolor' ) !='' ): ?>
    .post-meta a, .post-meta {color: <?php echo esc_attr( ot_get_option( 'proland_blogmetacolor' ) ); ?>!important; }
    <?php endif; ?>
	<?php if ( ot_get_option( 'proland_blogmetalinktextcolor' ) !='' ): ?>
    .post-meta  a{color: <?php echo esc_attr( ot_get_option( 'proland_blogmetalinktextcolor' ) ); ?>!important; }
    <?php endif; ?>
	<?php if ( ot_get_option( 'proland_blogmetalinkhovercolor' ) !='' ): ?>
    .post-meta  a:hover{color: <?php echo esc_attr( ot_get_option( 'proland_blogmetalinkhovercolor' ) ); ?>!important; }
    <?php endif; ?>

	<?php if ( ot_get_option( 'proland_blogpostparagraphcolor' ) !='' ): ?>
    .post p{color: <?php echo esc_attr( ot_get_option( 'proland_blogpostparagraphcolor' ) ); ?>!important; }
	<?php else : ?>

    <?php endif; ?>
	<?php if ( ot_get_option( 'proland_blogpostbuttonbgcolor' ) !='' ): ?>
    .post .btn{background-color:<?php echo esc_attr( ot_get_option( 'proland_blogpostbuttonbgcolor' ) ); ?>;}
    <?php endif; ?>
	<?php if ( ot_get_option( 'proland_blogpostbuttonbghovercolor' ) !='' ): ?>
   .post .btn:hover{background-color:<?php echo esc_attr( ot_get_option( 'proland_blogpostbuttonbghovercolor' ) ); ?>;}
    <?php endif; ?>
	<?php if ( ot_get_option( 'proland_blogpostbuttontitlecolor' ) !='' ): ?>
	.post .btn{color:<?php echo esc_attr( ot_get_option( 'proland_blogpostbuttontitlecolor' ) ); ?>;}
    <?php endif; ?>
	<?php if ( ot_get_option( 'proland_blogpostbuttontitlehovercolor' ) !='' ): ?>
    .post .btn:hover{color:<?php echo esc_attr( ot_get_option( 'proland_blogpostbuttontitlehovercolor' ) ); ?>;}
    <?php endif; ?>


	<?php if ( ot_get_option( 'proland_blogsharebgcolor' ) !='' ): ?>
    #share-buttons i{ background-color: <?php echo esc_attr( ot_get_option( 'proland_blogsharebgcolor' ) ); ?>; }
    <?php endif; ?>
	<?php if ( ot_get_option( 'proland_blogsharebghovercolor' ) !='' ): ?>
    #share-buttons i:hover{ background-color: <?php echo esc_attr( ot_get_option( 'proland_blogsharebghovercolor' ) ); ?>; }
    <?php endif; ?>
	<?php if ( ot_get_option( 'proland_blogsharecolor' ) !='' ): ?>
    #share-buttons i{ color: <?php echo esc_attr( ot_get_option( 'proland_blogsharecolor' ) ); ?>; }
    <?php endif; ?>
	<?php if ( ot_get_option( 'proland_blogsharehovercolor' ) !='' ): ?>
    #share-buttons i:hover{ color: <?php echo esc_attr( ot_get_option( 'proland_blogsharehovercolor' ) ); ?>; }
    <?php endif; ?>
	<?php if ( ot_get_option( 'proland_blogmetalinktextcolor' ) !='' ): ?>
    p.logged-in-as a{color: <?php echo esc_attr( ot_get_option( 'proland_blogmetalinktextcolor' ) ); ?>; }
    <?php endif; ?>
	<?php if ( ot_get_option( 'proland_blogmetalinkhovercolor' ) !='' ): ?>
    p.logged-in-as a:hover{color: <?php echo esc_attr( ot_get_option( 'proland_blogmetalinkhovercolor' ) ); ?>; }
    <?php endif; ?>
	<?php if ( ot_get_option( 'proland_blogmetalinktextbgcolor' ) !='' ): ?>
    p.logged-in-as a{color: <?php echo esc_attr( ot_get_option( 'proland_blogmetalinktextbgcolor' ) ); ?>; }
    <?php endif; ?>
	<?php if ( ot_get_option( 'proland_blogmetalinktextbghovercolor' ) !='' ): ?>
    p.logged-in-as a:hover{color: <?php echo esc_attr( ot_get_option( 'proland_blogmetalinktextbghovercolor' ) ); ?>; }
    <?php endif; ?>
	<?php if ( ot_get_option( 'proland_blogmetalinktextcolor' ) !='' ): ?>
    a.comment-edit-link,a.comment-reply-link{color: <?php echo esc_attr( ot_get_option( 'proland_blogmetalinktextcolor' ) ); ?>; }
    <?php endif; ?>
	<?php if ( ot_get_option( 'proland_blogmetalinkhovercolor' ) !='' ): ?>
    a.comment-edit-link:hover,a.comment-reply-link:hover{color: <?php echo esc_attr( ot_get_option( 'proland_blogmetalinkhovercolor' ) ); ?>; }
    <?php endif; ?>
	<?php if ( ot_get_option( 'proland_blogmetalinktextbgcolor' ) !='' ): ?>
    a.comment-edit-link,
	a.comment-reply-link{
		color: <?php echo esc_attr( ot_get_option( 'proland_blogmetalinktextbgcolor' ) ); ?>;
		border-color: <?php echo esc_attr( ot_get_option( 'proland_blogmetalinktextbgcolor' ) ); ?>;
		}
		}
    <?php endif; ?>
	<?php if ( ot_get_option( 'proland_blogmetalinktextbghovercolor' ) !='' ): ?>
    a.comment-edit-link:hover,a.comment-reply-link:hover{background-color: <?php echo esc_attr( ot_get_option( 'proland_blogmetalinktextbghovercolor' ) ); ?>; }
    <?php endif; ?>

	<?php if ( ot_get_option( 'proland_blogcommentformsubmitcolor' ) !='' ): ?>
    .comment-form .submit{color: <?php echo esc_attr( ot_get_option( 'proland_blogcommentformsubmitcolor' ) ); ?>; }
    <?php endif; ?>
	<?php if ( ot_get_option( 'proland_blogcommentformsubmithovercolor' ) !='' ): ?>
    .comment-form .submit:hover{color: <?php echo esc_attr( ot_get_option( 'proland_blogcommentformsubmithovercolor' ) ); ?>; }
    <?php endif; ?>
	<?php if ( ot_get_option( 'proland_blogcommentformsubmitbgcolor' ) !='' ): ?>
    .comment-form .submit{background-color: <?php echo esc_attr( ot_get_option( 'proland_blogcommentformsubmitbgcolor' ) ); ?>; }
    <?php endif; ?>
	<?php if ( ot_get_option( 'proland_blogcommentformsubmitbghovercolor' ) !='' ): ?>
    .comment-form .submit:hover{background-color: <?php echo esc_attr( ot_get_option( 'proland_blogcommentformsubmitbghovercolor' ) ); ?>; }
    <?php endif; ?>


	<?php if ( ot_get_option( 'proland_pagertitlecolor' ) !='' ): ?>
    .pager li a{color: <?php echo esc_attr( ot_get_option( 'proland_pagertitlecolor' ) ); ?>; }
    <?php endif; ?>
	<?php if ( ot_get_option( 'proland_pagertitlehovercolor' ) !='' ): ?>
    .pager li a:hover{color: <?php echo esc_attr( ot_get_option( 'proland_pagertitlehovercolor' ) ); ?>; }
    <?php endif; ?>
	<?php if ( ot_get_option( 'proland_pagerbgcolor' ) !='' ): ?>
    .pager li a{background-color: <?php echo esc_attr( ot_get_option( 'proland_pagerbgcolor' ) ); ?>; }
    <?php endif; ?>
	<?php if ( ot_get_option( 'proland_pagerbghovercolor' ) !='' ): ?>
    .pager li a:hover{background-color: <?php echo esc_attr( ot_get_option( 'proland_pagerbghovercolor' ) ); ?>; }
    <?php endif; ?>


	<?php if ( ot_get_option( 'proland_footerbgcolor' ) !='' ): ?>
    footer.row{background-color: <?php echo esc_attr( ot_get_option( 'proland_footerbgcolor' ) ); ?>!important; }
    <?php endif; ?>
		<?php if ( ot_get_option( 'proland_footerpoweredcolor' ) !='' ): ?>
			footer.row .menu-rights{color: <?php echo esc_attr( ot_get_option( 'proland_footerpoweredcolor' ) ); ?>!important; }
			<?php endif; ?>
		<?php if ( ot_get_option( 'proland_footersocialcolor' ) !='' ): ?>
			.social-links a{color: <?php echo esc_attr( ot_get_option( 'proland_footersocialcolor' ) ); ?>!important; }
			<?php endif; ?>
	<?php if ( ot_get_option( 'proland_footersocialhovercolor' ) !='' ): ?>
    .social-links a:hover{color: <?php echo esc_attr( ot_get_option( 'proland_footersocialhovercolor' ) ); ?>!important; }
    <?php endif; ?>
	<?php if ( ot_get_option( 'proland_social_fontsize' ) !='' ): ?>
    .social .icon{font-size: <?php echo esc_attr( ot_get_option( 'proland_social_fontsize' ) ); ?>px; }
    <?php endif; ?>
	<?php if ( ot_get_option( 'proland_social_margin_left' ) !='' ): ?>
    .social .icon{margin-left: <?php echo esc_attr( ot_get_option( 'proland_social_margin_left' ) ); ?>px; }
    <?php endif; ?>
	<?php if ( ot_get_option( 'proland_social_opacity' ) !='' ): ?>
    .social .icon{opacity: <?php echo esc_attr( ot_get_option( 'proland_social_opacity' ) ); ?>; }
    <?php endif; ?>

	<?php $proland_tipigrof = ot_get_option( 'proland_typgrph', array() ); ?>
	<?php if($proland_tipigrof) { ?>
	body{
	color:		<?php echo esc_attr( $proland_tipigrof['font-color'] ) ; ?>;
	font-family: <?php echo esc_attr( $proland_tipigrof['font-family'] ) ; ?>;
	font-size:<?php echo esc_attr( $proland_tipigrof['font-size'] ) ; ?>;
	font-style:<?php echo esc_attr( $proland_tipigrof['font-style'] ) ; ?>;
	font-variant:<?php echo esc_attr( $proland_tipigrof['font-variant'] ) ; ?>;
	font-weight: <?php echo esc_attr( $proland_tipigrof['font-weight'] ) ; ?>;
	letter-spacing: <?php echo esc_attr( $proland_tipigrof['letter-spacing'] ) ; ?>;
	line-height:   <?php echo esc_attr( $proland_tipigrof['line-height'] ) ; ?>;
	text-decoration:<?php echo esc_attr( $proland_tipigrof['text-decoration'] ) ; ?>;
	text-transform: <?php echo esc_attr( $proland_tipigrof['text-transform'] ) ; ?>;
	}
	<?php } ?>
	<?php $proland_tipigrofa = ot_get_option( 'proland_typgrpha', array() ); ?>
	<?php if($proland_tipigrofa) { ?>
	body a{
	color:		<?php echo esc_attr( $proland_tipigrofa['font-color'] ) ; ?>;
	font-family: <?php echo esc_attr( $proland_tipigrofa['font-family'] ) ; ?>;
	font-size:<?php echo esc_attr( $proland_tipigrofa['font-size'] ) ; ?>;
	font-style:<?php echo esc_attr( $proland_tipigrofa['font-style'] ) ; ?>;
	font-variant:<?php echo esc_attr( $proland_tipigrofa['font-variant'] ) ; ?>;
	font-weight: <?php echo esc_attr( $proland_tipigrofa['font-weight'] ) ; ?>;
	letter-spacing: <?php echo esc_attr( $proland_tipigrofa['letter-spacing'] ) ; ?>;
	line-height:   <?php echo esc_attr( $proland_tipigrofa['line-height'] ) ; ?>;
	text-decoration:<?php echo esc_attr( $proland_tipigrofa['text-decoration'] ) ; ?>;
	text-transform: <?php echo esc_attr( $proland_tipigrofa['text-transform'] ) ; ?>;
	}
	<?php } ?>

	<?php $proland_tipigrof1 = ot_get_option( 'proland_typgrph1', array() ); ?>
	<?php if( $proland_tipigrof1 ) { ?>
	h1{
	color:		<?php echo esc_attr( $proland_tipigrof1['font-color'] ) ; ?>;
	font-family: <?php echo esc_attr( $proland_tipigrof1['font-family'] ) ; ?>;
	font-size:<?php echo esc_attr( $proland_tipigrof1['font-size'] ) ; ?>;
	font-style:<?php echo esc_attr( $proland_tipigrof1['font-style'] ) ; ?>;
	font-variant:<?php echo esc_attr( $proland_tipigrof1['font-variant'] ) ; ?>;
	font-weight: <?php echo esc_attr( $proland_tipigrof1['font-weight'] ) ; ?>;
	letter-spacing: <?php echo esc_attr( $proland_tipigrof1['letter-spacing'] ) ; ?>;
	line-height:   <?php echo esc_attr( $proland_tipigrof1['line-height'] ) ; ?>;
	text-decoration:<?php echo esc_attr( $proland_tipigrof1['text-decoration'] ) ; ?>;
	text-transform: <?php echo esc_attr( $proland_tipigrof1['text-transform'] ) ; ?>;
	}
	<?php } ?>


	<?php $proland_tipigrof2 = ot_get_option( 'proland_typgrph2', array() ); ?>
	<?php if($proland_tipigrof2) { ?>
	h2{
	color:		<?php echo esc_attr( $proland_tipigrof2['font-color'] ) ; ?>;
	font-family: <?php echo esc_attr( $proland_tipigrof2['font-family'] ) ; ?>;
	font-size:<?php echo esc_attr( $proland_tipigrof2['font-size'] ) ; ?>;
	font-style:<?php echo esc_attr( $proland_tipigrof2['font-style'] ) ; ?>;
	font-variant:<?php echo esc_attr( $proland_tipigrof2['font-variant'] ) ; ?>;
	font-weight: <?php echo esc_attr( $proland_tipigrof2['font-weight'] ) ; ?>;
	letter-spacing: <?php echo esc_attr( $proland_tipigrof2['letter-spacing'] ) ; ?>;
	line-height:   <?php echo esc_attr( $proland_tipigrof2['line-height'] ) ; ?>;
	text-decoration:<?php echo esc_attr( $proland_tipigrof2['text-decoration'] ) ; ?>;
	text-transform: <?php echo esc_attr( $proland_tipigrof2['text-transform'] ) ; ?>;
	}
	<?php } ?>


	<?php $proland_tipigrof3 = ot_get_option( 'proland_typgrph3', array() ); ?>
	<?php if($proland_tipigrof3) { ?>
	h3{
	color:		<?php echo esc_attr( $proland_tipigrof3['font-color'] ) ; ?>;
	font-family: <?php echo esc_attr( $proland_tipigrof3['font-family'] ) ; ?>;
	font-size:<?php echo esc_attr( $proland_tipigrof3['font-size'] ) ; ?>;
	font-style:<?php echo esc_attr( $proland_tipigrof3['font-style'] ) ; ?>;
	font-variant:<?php echo esc_attr( $proland_tipigrof3['font-variant'] ) ; ?>;
	font-weight: <?php echo esc_attr( $proland_tipigrof3['font-weight'] ) ; ?>;
	letter-spacing: <?php echo esc_attr( $proland_tipigrof3['letter-spacing'] ) ; ?>;
	line-height:   <?php echo esc_attr( $proland_tipigrof3['line-height'] ) ; ?>;
	text-decoration:<?php echo esc_attr( $proland_tipigrof3['text-decoration'] ) ; ?>;
	text-transform: <?php echo esc_attr( $proland_tipigrof3['text-transform'] ) ; ?>;
	}
	<?php } ?>


	<?php $proland_tipigrof4 = ot_get_option( 'proland_typgrph4', array() ); ?>
	<?php if($proland_tipigrof4) { ?>
	h4{
	color:		<?php echo esc_attr( $proland_tipigrof4['font-color'] ) ; ?>;
	font-family: <?php echo esc_attr( $proland_tipigrof4['font-family'] ) ; ?>;
	font-size:<?php echo esc_attr( $proland_tipigrof4['font-size'] ) ; ?>;
	font-style:<?php echo esc_attr( $proland_tipigrof4['font-style'] ) ; ?>;
	font-variant:<?php echo esc_attr( $proland_tipigrof4['font-variant'] ) ; ?>;
	font-weight: <?php echo esc_attr( $proland_tipigrof4['font-weight'] ) ; ?>;
	letter-spacing: <?php echo esc_attr( $proland_tipigrof4['letter-spacing'] ) ; ?>;
	line-height:   <?php echo esc_attr( $proland_tipigrof4['line-height'] ) ; ?>;
	text-decoration:<?php echo esc_attr( $proland_tipigrof4['text-decoration'] ) ; ?>;
	text-transform: <?php echo esc_attr( $proland_tipigrof4['text-transform'] ) ; ?>;
	}
	<?php } ?>


	<?php $proland_tipigrof5 = ot_get_option( 'proland_typgrph5', array() ); ?>
	<?php if($proland_tipigrof5) { ?>
	h5{
	color:		<?php echo esc_attr( $proland_tipigrof5['font-color'] ) ; ?>;
	font-family: <?php echo esc_attr( $proland_tipigrof5['font-family'] ) ; ?>;
	font-size:<?php echo esc_attr( $proland_tipigrof5['font-size'] ) ; ?>;
	font-style:<?php echo esc_attr( $proland_tipigrof5['font-style'] ) ; ?>;
	font-variant:<?php echo esc_attr( $proland_tipigrof5['font-variant'] ) ; ?>;
	font-weight: <?php echo esc_attr( $proland_tipigrof5['font-weight'] ) ; ?>;
	letter-spacing: <?php echo esc_attr( $proland_tipigrof5['letter-spacing'] ) ; ?>;
	line-height:   <?php echo esc_attr( $proland_tipigrof5['line-height'] ) ; ?>;
	text-decoration:<?php echo esc_attr( $proland_tipigrof5['text-decoration'] ) ; ?>;
	text-transform: <?php echo esc_attr( $proland_tipigrof5['text-transform'] ) ; ?>;
	}
	<?php } ?>


	<?php $proland_tipigrof6 = ot_get_option( 'proland_typgrph6', array() ); ?>
	<?php if($proland_tipigrof6) { ?>
	h6{
	color:		<?php echo esc_attr( $proland_tipigrof6['font-color'] ) ; ?>;
	font-family: <?php echo esc_attr( $proland_tipigrof6['font-family'] ) ; ?>;
	font-size:<?php echo esc_attr( $proland_tipigrof6['font-size'] ) ; ?>;
	font-style:<?php echo esc_attr( $proland_tipigrof6['font-style'] ) ; ?>;
	font-variant:<?php echo esc_attr( $proland_tipigrof6['font-variant'] ) ; ?>;
	font-weight: <?php echo esc_attr( $proland_tipigrof6['font-weight'] ) ; ?>;
	letter-spacing: <?php echo esc_attr( $proland_tipigrof6['letter-spacing'] ) ; ?>;
	line-height:   <?php echo esc_attr( $proland_tipigrof6['line-height'] ) ; ?>;
	text-decoration:<?php echo esc_attr( $proland_tipigrof6['text-decoration'] ) ; ?>;
	text-transform: <?php echo esc_attr( $proland_tipigrof6['text-transform'] ) ; ?>;
	}
	<?php } ?>

	<?php if ( ot_get_option( 'proland_woo_column' ) =='3' ) : ?>
	.woocommerce ul.products li.product, .woocommerce-page ul.products li.product {
    float: left;
    margin: 0 1.8% 2.992em 0;
    padding: 0;
    position: relative;
    width: 31.05%;
	}
	<?php endif; ?>

	<?php if ( ot_get_option( 'proland_woo_column' ) =='2' ) : ?>
	.woocommerce ul.products li.product, .woocommerce-page ul.products li.product {
    float: left;
    margin: 0 1.8% 2.992em 0;
    padding: 0;
    position: relative;
    width: 48.05%;
	}
	<?php endif; ?>

	<?php if( ot_get_option( 'additional_1200_css' ) ) { ?>
		@media (max-width: 1200) {
			<?php  echo  ot_get_option( 'additional_1200_css' );  ?>
		}
	<?php } ?>
	<?php if( ot_get_option( 'additional_992_css' ) ) { ?>
		@media (max-width: 992px) {
			<?php  echo  ot_get_option( 'additional_992_css' );  ?>
		}
	<?php } ?>
	<?php if( ot_get_option( 'additional_767_css' ) ) { ?>
		@media (max-width: 767px) {
			<?php  echo  ot_get_option( 'additional_767_css' );  ?>
		}
	<?php } ?>
	<?php if( ot_get_option( 'additional_480_css' ) ) { ?>
		@media (max-width: 480px) {
			<?php  echo  ot_get_option( 'additional_480_css' );  ?>
		}
	<?php } ?>


	<?php if( ot_get_option( 'additionalcss' ) ) {
		echo  ot_get_option( 'additionalcss' ) ;
	} ?>
<?php
// tipigrof
$proland_typgrph = ot_get_option( 'proland_typgrph', array() );
if ( !empty($proland_typgrph) ) :
	echo 'body{';
	if ( !empty($proland_typgrph['font-color']) ) { echo 'color:'.esc_attr( $proland_typgrph['font-color'] ).'!important;'; }
	if ( !empty($proland_typgrph['font-family']) ) {echo 'font-family:'.esc_attr( $proland_typgrph['font-family'] ).'!important;'; }
	if ( !empty($proland_typgrph['font-size']) ) { echo 'font-size:'.esc_attr( $proland_typgrph['font-size'] ).'!important;'; }
	if ( !empty($proland_typgrph['font-style']) ) { echo 'font-style:'.esc_attr( $proland_typgrph['font-style'] ).'!important;'; }
	if ( !empty($proland_typgrph['font-variant']) ) { echo 'font-variant:'.esc_attr( $proland_typgrph['font-variant'] ).'!important;'; }
	if ( !empty($proland_typgrph['font-weight']) ) { echo 'font-weight:'.esc_attr( $proland_typgrph['font-weight'] ).'!important;'; }
	if ( !empty($proland_typgrph['letter-spacing']) ) { echo 'letter-spacing:'.esc_attr( $proland_typgrph['letter-spacing'] ).'!important;'; }
	if ( !empty($proland_typgrph['line-height'])) { echo 'line-height:'.esc_attr( $proland_typgrph['line-height'] ).'!important;'; }
	if ( !empty($proland_typgrph['text-decoration'])){ echo 'text-decoration:'.esc_attr($proland_typgrph['text-decoration']).'!important;'; }
	if ( !empty($proland_typgrph['text-transform'])){ echo 'text-transform:'.esc_attr($proland_typgrph['text-transform']).'!important;'; }
	echo '}';
endif;
//
$proland_typgrph1 = ot_get_option( 'proland_typgrph1', array() );
if ( !empty($proland_typgrph1) ) :
	echo 'body h1{';
	if ( !empty($proland_typgrph1['font-color']) ) { echo 'color:'.esc_attr( $proland_typgrph1['font-color'] ).'!important;'; }
	if ( !empty($proland_typgrph1['font-family']) ) {echo 'font-family:'.esc_attr( $proland_typgrph1['font-family'] ).'!important;'; }
	if ( !empty($proland_typgrph1['font-size']) ) { echo 'font-size:'.esc_attr( $proland_typgrph1['font-size'] ).'!important;'; }
	if ( !empty($proland_typgrph1['font-style']) ) { echo 'font-style:'.esc_attr( $proland_typgrph1['font-style'] ).'!important;'; }
	if ( !empty($proland_typgrph1['font-variant']) ) { echo 'font-variant:'.esc_attr( $proland_typgrph1['font-variant'] ).'!important;'; }
	if ( !empty($proland_typgrph1['font-weight']) ) { echo 'font-weight:'.esc_attr( $proland_typgrph1['font-weight'] ).'!important;'; }
	if ( !empty($proland_typgrph1['letter-spacing']) ) { echo 'letter-spacing:'.esc_attr( $proland_typgrph1['letter-spacing'] ).'!important;'; }
	if ( !empty($proland_typgrph1['line-height'])) { echo 'line-height:'.esc_attr( $proland_typgrph1['line-height'] ).'!important;'; }
	if ( !empty($proland_typgrph1['text-decoration'])){ echo 'text-decoration:'.esc_attr($proland_typgrph1['text-decoration']).'!important;'; }
	if ( !empty($proland_typgrph1['text-transform'])){ echo 'text-transform:'.esc_attr($proland_typgrph1['text-transform']).'!important;'; }
	echo '}';
endif;
//
$proland_typgrph2 = ot_get_option( 'proland_typgrph2', array() );
if ( !empty($proland_typgrph2) ) :
	echo 'body h2{';
	if ( !empty($proland_typgrph2['font-color']) ) { echo 'color:'.esc_attr( $proland_typgrph2['font-color'] ).'!important;'; }
	if ( !empty($proland_typgrph2['font-family']) ) {echo 'font-family:'.esc_attr( $proland_typgrph2['font-family'] ).'!important;'; }
	if ( !empty($proland_typgrph2['font-size']) ) { echo 'font-size:'.esc_attr( $proland_typgrph2['font-size'] ).'!important;'; }
	if ( !empty($proland_typgrph2['font-style']) ) { echo 'font-style:'.esc_attr( $proland_typgrph2['font-style'] ).'!important;'; }
	if ( !empty($proland_typgrph2['font-variant']) ) { echo 'font-variant:'.esc_attr( $proland_typgrph2['font-variant'] ).'!important;'; }
	if ( !empty($proland_typgrph2['font-weight']) ) { echo 'font-weight:'.esc_attr( $proland_typgrph2['font-weight'] ).'!important;'; }
	if ( !empty($proland_typgrph2['letter-spacing']) ) { echo 'letter-spacing:'.esc_attr( $proland_typgrph2['letter-spacing'] ).'!important;'; }
	if ( !empty($proland_typgrph2['line-height'])) { echo 'line-height:'.esc_attr( $proland_typgrph2['line-height'] ).'!important;'; }
	if ( !empty($proland_typgrph2['text-decoration'])){ echo 'text-decoration:'.esc_attr($proland_typgrph2['text-decoration']).'!important;'; }
	if ( !empty($proland_typgrph2['text-transform'])){ echo 'text-transform:'.esc_attr($proland_typgrph2['text-transform']).'!important;'; }
	echo '}';
endif;
//
$proland_typgrph3 = ot_get_option( 'proland_typgrph3', array() );
if ( !empty($proland_typgrph3) ) :
	echo 'body h3{';
	if ( !empty($proland_typgrph3['font-color']) ) { echo 'color:'.esc_attr( $proland_typgrph3['font-color'] ).'!important;'; }
	if ( !empty($proland_typgrph3['font-family']) ) {echo 'font-family:'.esc_attr( $proland_typgrph3['font-family'] ).'!important;'; }
	if ( !empty($proland_typgrph3['font-size']) ) { echo 'font-size:'.esc_attr( $proland_typgrph3['font-size'] ).'!important;'; }
	if ( !empty($proland_typgrph3['font-style']) ) { echo 'font-style:'.esc_attr( $proland_typgrph3['font-style'] ).'!important;'; }
	if ( !empty($proland_typgrph3['font-variant']) ) { echo 'font-variant:'.esc_attr( $proland_typgrph3['font-variant'] ).'!important;'; }
	if ( !empty($proland_typgrph3['font-weight']) ) { echo 'font-weight:'.esc_attr( $proland_typgrph3['font-weight'] ).'!important;'; }
	if ( !empty($proland_typgrph3['letter-spacing']) ) { echo 'letter-spacing:'.esc_attr( $proland_typgrph3['letter-spacing'] ).'!important;'; }
	if ( !empty($proland_typgrph3['line-height'])) { echo 'line-height:'.esc_attr( $proland_typgrph3['line-height'] ).'!important;'; }
	if ( !empty($proland_typgrph3['text-decoration'])){ echo 'text-decoration:'.esc_attr($proland_typgrph3['text-decoration']).'!important;'; }
	if ( !empty($proland_typgrph3['text-transform'])){ echo 'text-transform:'.esc_attr($proland_typgrph3['text-transform']).'!important;'; }
	echo '}';
endif;
//
$proland_typgrph4 = ot_get_option( 'proland_typgrph4', array() );
if ( !empty($proland_typgrph4) ) :
	echo 'body h4{';
	if ( !empty($proland_typgrph4['font-color']) ) { echo 'color:'.esc_attr( $proland_typgrph4['font-color'] ).'!important;'; }
	if ( !empty($proland_typgrph4['font-family']) ) {echo 'font-family:'.esc_attr( $proland_typgrph4['font-family'] ).'!important;'; }
	if ( !empty($proland_typgrph4['font-size']) ) { echo 'font-size:'.esc_attr( $proland_typgrph4['font-size'] ).'!important;'; }
	if ( !empty($proland_typgrph4['font-style']) ) { echo 'font-style:'.esc_attr( $proland_typgrph4['font-style'] ).'!important;'; }
	if ( !empty($proland_typgrph4['font-variant']) ) { echo 'font-variant:'.esc_attr( $proland_typgrph4['font-variant'] ).'!important;'; }
	if ( !empty($proland_typgrph4['font-weight']) ) { echo 'font-weight:'.esc_attr( $proland_typgrph4['font-weight'] ).'!important;'; }
	if ( !empty($proland_typgrph4['letter-spacing']) ) { echo 'letter-spacing:'.esc_attr( $proland_typgrph4['letter-spacing'] ).'!important;'; }
	if ( !empty($proland_typgrph4['line-height'])) { echo 'line-height:'.esc_attr( $proland_typgrph4['line-height'] ).'!important;'; }
	if ( !empty($proland_typgrph4['text-decoration'])){ echo 'text-decoration:'.esc_attr($proland_typgrph4['text-decoration']).'!important;'; }
	if ( !empty($proland_typgrph4['text-transform'])){ echo 'text-transform:'.esc_attr($proland_typgrph4['text-transform']).'!important;'; }
	echo '}';
endif;
//
$proland_typgrph5 = ot_get_option( 'proland_typgrph5', array() );
if ( !empty($proland_typgrph5) ) :
	echo 'body h5{';
	if ( !empty($proland_typgrph5['font-color']) ) { echo 'color:'.esc_attr( $proland_typgrph5['font-color'] ).'!important;'; }
	if ( !empty($proland_typgrph5['font-family']) ) {echo 'font-family:'.esc_attr( $proland_typgrph5['font-family'] ).'!important;'; }
	if ( !empty($proland_typgrph5['font-size']) ) { echo 'font-size:'.esc_attr( $proland_typgrph5['font-size'] ).'!important;'; }
	if ( !empty($proland_typgrph5['font-style']) ) { echo 'font-style:'.esc_attr( $proland_typgrph5['font-style'] ).'!important;'; }
	if ( !empty($proland_typgrph5['font-variant']) ) { echo 'font-variant:'.esc_attr( $proland_typgrph5['font-variant'] ).'!important;'; }
	if ( !empty($proland_typgrph5['font-weight']) ) { echo 'font-weight:'.esc_attr( $proland_typgrph5['font-weight'] ).'!important;'; }
	if ( !empty($proland_typgrph5['letter-spacing']) ) { echo 'letter-spacing:'.esc_attr( $proland_typgrph5['letter-spacing'] ).'!important;'; }
	if ( !empty($proland_typgrph5['line-height'])) { echo 'line-height:'.esc_attr( $proland_typgrph5['line-height'] ).'!important;'; }
	if ( !empty($proland_typgrph5['text-decoration'])){ echo 'text-decoration:'.esc_attr($proland_typgrph5['text-decoration']).'!important;'; }
	if ( !empty($proland_typgrph5['text-transform'])){ echo 'text-transform:'.esc_attr($proland_typgrph5['text-transform']).'!important;'; }
	echo '}';
endif;
//
$proland_typgrph6 = ot_get_option( 'proland_typgrph6', array() );
if ( !empty($proland_typgrph6) ) :
	echo 'body h6{';
	if ( !empty($proland_typgrph6['font-color']) ) { echo 'color:'.esc_attr( $proland_typgrph6['font-color'] ).'!important;'; }
	if ( !empty($proland_typgrph6['font-family']) ) {echo 'font-family:'.esc_attr( $proland_typgrph6['font-family'] ).'!important;'; }
	if ( !empty($proland_typgrph6['font-size']) ) { echo 'font-size:'.esc_attr( $proland_typgrph6['font-size'] ).'!important;'; }
	if ( !empty($proland_typgrph6['font-style']) ) { echo 'font-style:'.esc_attr( $proland_typgrph6['font-style'] ).'!important;'; }
	if ( !empty($proland_typgrph6['font-variant']) ) { echo 'font-variant:'.esc_attr( $proland_typgrph6['font-variant'] ).'!important;'; }
	if ( !empty($proland_typgrph6['font-weight']) ) { echo 'font-weight:'.esc_attr( $proland_typgrph6['font-weight'] ).'!important;'; }
	if ( !empty($proland_typgrph6['letter-spacing']) ) { echo 'letter-spacing:'.esc_attr( $proland_typgrph6['letter-spacing'] ).'!important;'; }
	if ( !empty($proland_typgrph6['line-height'])) { echo 'line-height:'.esc_attr( $proland_typgrph6['line-height'] ).'!important;'; }
	if ( !empty($proland_typgrph6['text-decoration'])){ echo 'text-decoration:'.esc_attr($proland_typgrph6['text-decoration']).'!important;'; }
	if ( !empty($proland_typgrph6['text-transform'])){ echo 'text-transform:'.esc_attr($proland_typgrph6['text-transform']).'!important;'; }
	echo '}';
endif;
$proland_typgrph7 = ot_get_option( 'proland_typgrph7', array() );
if ( !empty($proland_typgrph7) ) :
echo 'body p{';
if ( !empty($proland_typgrph7['font-color']) ) { echo 'color:'.esc_attr( $proland_typgrph7['font-color'] ).'!important;'; }
if ( !empty($proland_typgrph7['font-family']) ) {echo 'font-family:'.esc_attr( $proland_typgrph7['font-family'] ).'!important;'; }
if ( !empty($proland_typgrph7['font-size']) ) { echo 'font-size:'.esc_attr( $proland_typgrph7['font-size'] ).'!important;'; }
if ( !empty($proland_typgrph7['font-style']) ) { echo 'font-style:'.esc_attr( $proland_typgrph7['font-style'] ).'!important;'; }
if ( !empty($proland_typgrph7['font-variant']) ) { echo 'font-variant:'.esc_attr( $proland_typgrph7['font-variant'] ).'!important;'; }
if ( !empty($proland_typgrph7['font-weight']) ) { echo 'font-weight:'.esc_attr( $proland_typgrph7['font-weight'] ).'!important;'; }
if ( !empty($proland_typgrph7['letter-spacing']) ) { echo 'letter-spacing:'.esc_attr( $proland_typgrph7['letter-spacing'] ).'!important;'; }
if ( !empty($proland_typgrph7['line-height'])) { echo 'line-height:'.esc_attr( $proland_typgrph7['line-height'] ).'!important;'; }
if ( !empty($proland_typgrph7['text-decoration'])){ echo 'text-decoration:'.esc_attr($proland_typgrph7['text-decoration']).'!important;'; }
if ( !empty($proland_typgrph7['text-transform'])){ echo 'text-transform:'.esc_attr($proland_typgrph7['text-transform']).'!important;'; }
echo '}';
endif;
 ?>
	</style>

<?php endif; ?>
<?php }
add_action( 'wp_head', 'proland_custom_styling' );
