<?php
/**
 *
 * @package WordPress
 * @subpackage proland
 * @since proland 1.0
 * Shop functions and more
 *
*/


// run the action 
function proland_woo_add_custom_general_fields_save( $post_id ){

	// Text Field
	$woocommerce_text_field = $_POST['_text_field'];
	if( !empty( $woocommerce_text_field ) )
		update_post_meta( $post_id, '_text_field', esc_attr( $woocommerce_text_field ) );

	// Number Field
	$woocommerce_number_field = $_POST['_number_field'];
	if( !empty( $woocommerce_number_field ) )
		update_post_meta( $post_id, '_number_field', esc_attr( $woocommerce_number_field ) );

	// Textarea
	$woocommerce_textarea = $_POST['_textarea'];
	if( !empty( $woocommerce_textarea ) )
		update_post_meta( $post_id, '_textarea', esc_html( $woocommerce_textarea ) );

	// Select
	$woocommerce_select = $_POST['_select'];
	if( !empty( $woocommerce_select ) )
		update_post_meta( $post_id, '_select', esc_attr( $woocommerce_select ) );

	// Checkbox
	$woocommerce_checkbox = isset( $_POST['_checkbox'] ) ? 'yes' : 'no';
	update_post_meta( $post_id, '_checkbox', $woocommerce_checkbox );

	// Custom Field
	$custom_field_type =  array( esc_attr( $_POST['_field_one'] ), esc_attr( $_POST['_field_two'] ) );
	update_post_meta( $post_id, '_custom_field_type', $custom_field_type );

	// Hidden Field
	$woocommerce_hidden_field = $_POST['_hidden_field'];
	if( !empty( $woocommerce_hidden_field ) )
		update_post_meta( $post_id, '_hidden_field', esc_attr( $woocommerce_hidden_field ) );

	// Product Field Type
	$product_field_type =  $_POST['product_field_type'];
	update_post_meta( $post_id, '_product_field_type_ids', $product_field_type );

}

function proland_woo_add_custom_general_fields() {

  global $woocommerce, $post;

  echo '<div class="options_group">';

	// Checkbox
	woocommerce_wp_checkbox(
		array(
			'id'            => '_checkbox',
			'wrapper_class' => 'show_if_simple',
			'label'         => __('My Checkbox Field', 'proland' ),
			'description'   => esc_html__( 'Check me!', 'proland' )
		)
	);
	// Checkbox
	woocommerce_wp_checkbox(
		array(
			'id'            => '_checkbox',
			'wrapper_class' => 'show_if_simple',
			'label'         => __('My Checkbox Field', 'proland' ),
			'description'   => esc_html__( 'Check me!', 'proland' )
		)
	);

  echo '</div>';

}


// Display Fields
add_action( 'woocommerce_product_options_general_product_data', 'proland_woo_add_custom_general_fields' );

// Save Fields
add_action( 'woocommerce_process_product_meta', 'proland_woo_add_custom_general_fields_save' );

/*************************************************
## Custom header woocommerce cart total
*************************************************/

if( function_exists('WC') ) {
	function proland_ninetheme_total() {
		global $woocommerce;
		return $woocommerce->cart->get_cart_subtotal();
	}

	// add to cart fragments for header cart button
	if( ! function_exists('proland_woo_header_add_to_cart_fragment') ) {

		add_filter( 'woocommerce_add_to_cart_fragments', 'proland_woo_header_add_to_cart_fragment' );

		function proland_woo_header_add_to_cart_fragment( $fragments ) {
			global $woocommerce;

			ob_start();

			?>
			<a class="header-menu-button cart-button btn btn-warning pull-right hidden-sm hidden-xs cart-contents" href="<?php echo wc_get_cart_url(); ?>" title="<?php esc_html_e('View your shopping cart', 'proland'); ?>"><?php echo esc_html( $woocommerce->cart->cart_contents_count );?></a>
			<?php
			$fragments['a.cart-button'] = ob_get_clean();
			return $fragments;
		}
	}
}
/*************************************************
## CHANGE NUMBER OF PRODUCTS COLUMN
*************************************************/
/**
 * Change number or products per row to 3
 */

if (!function_exists('proland_woocommerce_loop_columns')) {

	add_filter('loop_shop_columns', 'proland_woocommerce_loop_columns', 999);

	function proland_woocommerce_loop_columns() {
		$woo_column = 4;
		if ( function_exists( 'ot_get_option' ) ) {
			$woo_column = ot_get_option( 'woo_column' );
		}

		return $woo_column; // 3 products per row

	}
}

/*************************************************
## CHANGE NUMBER OF PRODUCTS PER ROW
*************************************************/

/**
 * Change number of products that are displayed per page (shop page)
 */

if (!function_exists('proland_loop_shop_per_page')) {

	add_filter( 'loop_shop_per_page', 'proland_loop_shop_per_page', 20 );

	function proland_loop_shop_per_page( $per_page ) {

	  // $cols contains the current number of products per page based on the value stored on Options -> Reading
	  // Return the number of products you wanna show per page.
	  $per_page = 6;
	  if ( function_exists( 'ot_get_option' ) ) {
		  $perpage = ot_get_option( 'woo_per_page' );
		  $per_page = $perpage != '' ? $perpage : 6;
	  }

	  return $per_page;

	}
}
