<?php

/*-----------------------------------------------------------------------------------*/
/*	Shortcode Filter
/*-----------------------------------------------------------------------------------*/


vc_set_as_theme( $disable_updater = false );
vc_is_updater_disabled();

vc_remove_element(  "vc_wp_search");
vc_remove_element(  "vc_wp_meta" );
vc_remove_element(  "vc_wp_recentcomments" );
vc_remove_element(  "vc_wp_calendar" );
vc_remove_element(  "vc_wp_pages" );
vc_remove_element(  "vc_wp_tagcloud" );
vc_remove_element(  "vc_wp_posts" );
vc_remove_element(  "vc_wp_categories" );
vc_remove_element(  "vc_wp_archives" );
vc_remove_element(  "vc_wp_rss" );


/* START VISUAL COMPOSER CUSTOMIZATION */


//FOR ROW EXTRA ATTR
$proland_background_one_attributes = array(

	array(
		'type'        	=> 'dropdown',
		'heading'     	=> esc_html__('Background position Y-X axis', 'proland' ),
		'param_name'  	=> 'proland_bg_position',
		'description' 	=> esc_html__('Change position Y-X axis for bg image.', 'proland'),
		'group' 		=> esc_html__('Design Options','proland'),
		'value'       	=> array(
			esc_html__('Select Y-X position', 	'proland' )	=> '',
			esc_html__('Left-Top', 		'proland' )	=> 'left top',
			esc_html__('Left-Center', 	'proland' )	=> 'left center',
			esc_html__('Left-Bottom', 	'proland' )	=> 'left bottom',
			esc_html__('Right-Top', 	'proland' )	=> 'right top',
			esc_html__('Right-Center', 	'proland' )	=> 'right center',
			esc_html__('Right-Bottom', 	'proland' )	=> 'right bottom',
			esc_html__('Center-Top', 	'proland' )	=> 'center top',
			esc_html__('Center-Center', 'proland' )	=> 'center center',
			esc_html__('Center-Bottom', 'proland' )	=> 'center bottom',
			esc_html__('Custom', 		'proland' )	=> 'custom',
		),
	),

	array(
		'type' 			=> 'textfield',
		'heading' 		=> esc_html__('Background position Y axis', 'proland'),
		'param_name' 	=> 'proland_bg_positiony',
		'description' 	=> esc_html__('Change position X axis offset for bg image.example: center or 40px or 25% ...etc', 'proland'),
		'group' 		=> esc_html__('Design Options','proland'),
		'dependency' 	=> array(
						'element' 	=> 'proland_bg_position',
						'value'   	=> 'custom'
		)
	),
	array(
		'type' 			=> 'textfield',
		'heading' 		=> esc_html__('Background position X axis', 'proland'),
		'param_name' 	=> 'proland_bg_positionx',
		'description' 	=> esc_html__('Change position X axis offset for bg image.example: center or 40px or 25% ...etc', 'proland'),
		'group' 		=> esc_html__('Design Options','proland'),
		'dependency' 	=> array(
						'element' 	=> 'proland_bg_position',
						'value'   	=> 'custom'
		)
	),
	array(
		'type' 			=> 'textfield',
		'heading' 		=> esc_html__('Background position X axis offset', 'proland'),
		'param_name' 	=> 'proland_bg_xoffset',
		'description' 	=> esc_html__('Change position X axis offset for bg image.example: 40px or 25% ...etc', 'proland'),
		'group' 		=> esc_html__('Design Options','proland'),
		'dependency' 	=> array(
						'element' 	=> 'proland_bg_position',
						'value'   	=> 'custom'
		)
	),
	array(
		'type' 			=> 'textfield',
		'heading' 		=> esc_html__('Background size', 'proland'),
		'param_name' 	=> 'proland_bg_size',
		'description' 	=> esc_html__('Change size for bg image.example: 100px or 100% or 100vh', 'proland'),
		'group' 		=> esc_html__('Design Options','proland'),
	),
	array(
		'type'        	=> 'checkbox',
		'heading'     	=> esc_html__('Background image display ( 992px )', 'proland' ),
		'param_name'  	=> 'proland_bg_ontablet',
		'value'       	=> array(
			'Hide background image'=>'hide',
			), //value
		'std'         	=> '',
		'description' 	=> esc_html__('This option is for disabling the row background image when the screen width maximum 992px', 'proland'),
		'group' 		=> esc_html__('Design Options','proland'),
	),
	array(
		'type'        	=> 'checkbox',
		'heading'     	=> esc_html__('Background image display ( 768px )', 'proland' ),
		'param_name'  	=> 'proland_bg_onmobile',
		'value'       	=> array(
			'Hide background image'=>'hide',
			), //value
		'std'         	=> '',
		'description' 	=> esc_html__('This option is for disabling the row background image when the screen width maximum 768px', 'proland'),
		'group' 		=> esc_html__('Design Options','proland'),
	),
	array(
		'type'        	=> 'checkbox',
		'heading'     	=> esc_html__('Background image display ( 480px )', 'proland' ),
		'param_name'  	=> 'proland_bg_onphone',
		'value'       	=> array(
			'Hide background image'=>'hide',
			), //value
		'std'         	=> '',
		'description' 	=> esc_html__('This option is for disabling the row background image when the screen width maximum 480px', 'proland'),
		'group' 		=> esc_html__('Design Options','proland'),
	),
);
vc_add_params( 'vc_row', $proland_background_one_attributes );


//FOR ROW 480 RESOLUTION
$proland_vc_row_responsive_attributes = array(

	array(
		'type'        	=> 'checkbox',
		'heading'     	=> esc_html__('Add container ?', 'proland'),
		'param_name'  	=> 'proland_container_display',
		'weight' 	  	=> 1,
		'value'       	=> array(
			'Add container'=>'true',
			), //value
		'std'         	=> '',
		'description' 	=> esc_html__('This option is only for Row stretch : Default and Row stretch : Stretch row.', 'proland')
	),

	array(
		'type' 			=> 'css_editor',
		'heading' 		=> esc_html__( 'Max width 992px resolution', 'proland' ),
		'param_name' 	=> 'proland_vc_row_992_responsive',
		'description' 	=> esc_html__( 'These options for 992px resolution - responsive medya', 'proland' ),
		'group' 		=> esc_html__('Responsive Extra','proland'),
	),
	array(
		'type' 			=> 'css_editor',
		'heading' 		=> esc_html__( 'Max width 768px resolution', 'proland' ),
		'param_name' 	=> 'proland_vc_row_768_responsive',
		'description' 	=> esc_html__( 'These options for 768px resolution - responsive medya', 'proland' ),
		'group' 		=> esc_html__('Responsive Extra','proland'),
	),
	array(
		'type' 			=> 'css_editor',
		'heading' 		=> esc_html__( 'Max width 480px resolution', 'proland' ),
		'param_name' 	=> 'proland_vc_row_480_responsive',
		'description' 	=> esc_html__( 'These options for 480px resolution - responsive medya', 'proland' ),
		'group' 		=> esc_html__('Responsive Extra','proland'),
	),

);
vc_add_params( 'vc_row', $proland_vc_row_responsive_attributes );


//FOR ROW EXTRA 3 OVERLAY ATTR
$proland_row_overlay_attributes = array(

	//OVERLAY 1
	array(
		'type'			=> 'colorpicker',
		'heading'		=> esc_html__('Overlay Color', 'proland'),
		'param_name'	=> 'overlaybg',
		'description'	=> esc_html__('Add color.', 'proland'),
		'group' 		=> esc_html__('Overlay 1','proland'),
	),
	array(
		'type'			=> 'textfield',
		'heading'		=> esc_html__('Width', 'proland'),
		'param_name'	=> 'overlaywidth',
		'description'	=> esc_html__('Add width.example:100% or 75%....etc.', 'proland'),
		'group' 		=> esc_html__('Overlay 1','proland'),
	),
	array(
		'type'			=> 'textfield',
		'heading'		=> esc_html__('Height', 'proland'),
		'param_name'	=> 'overlayheight',
		'description'	=> esc_html__('Add width.example:100% or 75%....etc.', 'proland'),
		'group' 		=> esc_html__('Overlay 1','proland'),
	),
	array(
		'type'			=> 'textfield',
		'heading'		=> esc_html__('Top offset', 'proland'),
		'param_name'	=> 'overlaytop',
		'description'	=> esc_html__('Add Top offset for top position.example:10px or 10%.', 'proland'),
		'group' 		=> esc_html__('Overlay 1','proland'),
	),
	array(
		'type'			=> 'textfield',
		'heading'		=> esc_html__('Left offset', 'proland'),
		'param_name'	=> 'overlayleft',
		'description'	=> esc_html__('Add left offset for left position.example:10px or 10%.', 'proland'),
		'group' 		=> esc_html__('Overlay 1','proland'),
	),
	array(
		'type'			=> 'textfield',
		'heading'		=> esc_html__('Right offset', 'proland'),
		'param_name'	=> 'overlayright',
		'description'	=> esc_html__('Add right offset for right position.example:10px or 10%.', 'proland'),
		'group' 		=> esc_html__('Overlay 1','proland'),
	),
	array(
		'type'			=> 'textfield',
		'heading'		=> esc_html__('Bottom offset', 'proland'),
		'param_name'	=> 'overlaybottom',
		'description'	=> esc_html__('Add bottom offset for bottom position.example:10px or 10%.', 'proland'),
		'group' 		=> esc_html__('Overlay 1','proland'),
	),
	array(
		'type'        	=> 'checkbox',
		'heading'     	=> esc_html__('Display under 992px ?', 'proland'),
		'param_name'  	=> 'overlay992',
		'value'       	=> array(
			'Hide overlay'=>'hide',
			), //value
		'std'         	=> '',
		'description' 	=> esc_html__('This option is for disabling the overlay color when the screen width maximum 992px', 'proland'),
		'group' 		=> esc_html__('Overlay 1','proland'),
	),
	array(
		'type'        	=> 'checkbox',
		'heading'     	=> esc_html__('Display under 768px ?', 'proland'),
		'param_name'  	=> 'overlay768',
		'value'       	=> array(
			'Hide overlay'=>'hide',
			), //value
		'std'         	=> '',
		'description' 	=> esc_html__('This option is for disabling the overlay color when the screen width maximum 768px', 'proland'),
		'group' 		=> esc_html__('Overlay 1','proland'),
	),
	array(
		'type'        	=> 'checkbox',
		'heading'     	=> esc_html__('Display under overlay480px ?', 'proland'),
		'param_name'  	=> 'overlay480',
		'value'       	=> array(
			'Hide overlay'=>'hide',
			), //value
		'std'         	=> '',
		'description' 	=> esc_html__('This option is for disabling the overlay color when the screen width maximum overlay480px', 'proland'),
		'group' 		=> esc_html__('Overlay 1','proland'),
	),

	//OVERLAY 2
	array(
		'type'			=> 'colorpicker',
		'heading'		=> esc_html__('Overlay Color', 'proland'),
		'param_name'	=> 'overlaybg2',
		'description'	=> esc_html__('Add color.', 'proland'),
		'group' 		=> esc_html__('Overlay 2','proland'),
	),
	array(
		'type'			=> 'textfield',
		'heading'		=> esc_html__('Width', 'proland'),
		'param_name'	=> 'overlaywidth2',
		'description'	=> esc_html__('Add width.example:100% or 75%....etc.', 'proland'),
		'group' 		=> esc_html__('Overlay 2','proland'),
	),
	array(
		'type'			=> 'textfield',
		'heading'		=> esc_html__('Height', 'proland'),
		'param_name'	=> 'overlayheight2',
		'description'	=> esc_html__('Add width.example:100% or 75%....etc.', 'proland'),
		'group' 		=> esc_html__('Overlay 2','proland'),
	),
	array(
		'type'			=> 'textfield',
		'heading'		=> esc_html__('Top offset', 'proland'),
		'param_name'	=> 'overlaytop2',
		'description'	=> esc_html__('Add Top offset for top position.example:10px or 10%.', 'proland'),
		'group' 		=> esc_html__('Overlay 2','proland'),
	),
	array(
		'type'			=> 'textfield',
		'heading'		=> esc_html__('Left offset', 'proland'),
		'param_name'	=> 'overlayleft2',
		'description'	=> esc_html__('Add left offset for left position.example:10px or 10%.', 'proland'),
		'group' 		=> esc_html__('Overlay 2','proland'),
	),
	array(
		'type'			=> 'textfield',
		'heading'		=> esc_html__('Right offset', 'proland'),
		'param_name'	=> 'overlayright2',
		'description'	=> esc_html__('Add right offset for right position.example:10px or 10%.', 'proland'),
		'group' 		=> esc_html__('Overlay 2','proland'),
	),
	array(
		'type'			=> 'textfield',
		'heading'		=> esc_html__('Bottom offset', 'proland'),
		'param_name'	=> 'overlaybottom2',
		'description'	=> esc_html__('Add bottom offset for bottom position.example:10px or 10%.', 'proland'),
		'group' 		=> esc_html__('Overlay 2','proland'),
	),
	array(
		'type'        	=> 'checkbox',
		'heading'     	=> esc_html__('Display under 992px ?', 'proland'),
		'param_name'  	=> 'overlay2_992',
		'value'       	=> array(
			'Hide overlay'=>'hide',
			), //value
		'std'         	=> '',
		'description' 	=> esc_html__('This option is for disabling the overlay color when the screen width maximum 992px', 'proland'),
		'group' 		=> esc_html__('Overlay 2','proland'),
	),
	array(
		'type'        	=> 'checkbox',
		'heading'     	=> esc_html__('Display under 768px ?', 'proland'),
		'param_name'  	=> 'overlay2_768',
		'value'       	=> array(
			'Hide overlay'=>'hide',
			), //value
		'std'         	=> '',
		'description' 	=> esc_html__('This option is for disabling the overlay color when the screen width maximum 768px', 'proland'),
		'group' 		=> esc_html__('Overlay 2','proland'),
	),
	array(
		'type'        	=> 'checkbox',
		'heading'     	=> esc_html__('Display under overlay480px ?', 'proland'),
		'param_name'  	=> 'overlay2_480',
		'value'       	=> array(
			'Hide overlay'=>'hide',
			), //value
		'std'         	=> '',
		'description' 	=> esc_html__('This option is for disabling the overlay color when the screen width maximum 480px', 'proland'),
		'group' 		=> esc_html__('Overlay 2','proland'),
	),
);
vc_add_params( 'vc_row', $proland_row_overlay_attributes );

//FOR COLUMN
$proland_vc_column_responsive_attributes = array(

	array(
		'type' 			=> 'css_editor',
		'heading' 		=> esc_html__( 'Max width 992px resolution', 'proland' ),
		'param_name' 	=> 'proland_vc_column_992',
		'description' 	=> esc_html__( 'These options for 992px resolution - responsive medya', 'proland' ),
		'group' 		=> esc_html__('Responsive Extra','proland'),
	),
	array(
		'type' 			=> 'css_editor',
		'heading' 		=> esc_html__( 'Max width 768px resolution', 'proland' ),
		'param_name' 	=> 'proland_vc_column_768',
		'description' 	=> esc_html__( 'These options for 768px resolution - responsive medya', 'proland' ),
		'group' 		=> esc_html__('Responsive Extra','proland'),
	),
	array(
		'type' 			=> 'css_editor',
		'heading' 		=> esc_html__( 'Max width 480px resolution', 'proland' ),
		'param_name' 	=> 'proland_vc_column_480',
		'description' 	=> esc_html__( 'These options for 480px resolution - responsive medya', 'proland' ),
		'group' 		=> esc_html__('Responsive Extra','proland'),
	),

);
vc_add_params( 'vc_column', $proland_vc_column_responsive_attributes );

//FOR COLUMN INNER
$proland_vc_column_inner_responsive_attributes = array(

	array(
		'type' 			=> 'css_editor',
		'heading' 		=> esc_html__( 'Max width 992px resolution', 'proland' ),
		'param_name' 	=> 'proland_vc_colinner_992',
		'description' 	=> esc_html__( 'These options for 992px resolution - responsive medya', 'proland' ),
		'group' 		=> esc_html__('Responsive Extra','proland'),
	),
	array(
		'type' 			=> 'css_editor',
		'heading' 		=> esc_html__( 'Max width 768px resolution', 'proland' ),
		'param_name' 	=> 'proland_vc_colinner_768',
		'description' 	=> esc_html__( 'These options for 768px resolution - responsive medya', 'proland' ),
		'group' 		=> esc_html__('Responsive Extra','proland'),
	),
	array(
		'type' 			=> 'css_editor',
		'heading' 		=> esc_html__( 'Max width 480px resolution', 'proland' ),
		'param_name' 	=> 'proland_vc_colinner_480',
		'description' 	=> esc_html__( 'These options for 480px resolution - responsive medya', 'proland' ),
		'group' 		=> esc_html__('Responsive Extra','proland'),
	),

);
vc_add_params( 'vc_column_inner', $proland_vc_column_inner_responsive_attributes );




/* END VISUAL COMPOSER CUSTOMIZATION */


/*-----------------------------------------------------------------------------------*/
/*	ABOUT
/*-----------------------------------------------------------------------------------*/
add_action( 'vc_before_init', 'proland_product_integrateWithVC' );
function proland_product_integrateWithVC() {
   vc_map( array(
		"name" 	 => esc_html__( "The Product", "proland" ),
		"base" 	 => "proland_product",
		"category" => esc_html__( "Proland", "proland"),
		"params"   => array(

		array(
            'type'        => 'textfield',
            'heading'     => esc_html__('Section ID', 'proland' ),
            'param_name'  => 'section_id',
            "description" => esc_html__("Add Your Section ID", "proland"),
        ),

		array(
            'type'        => 'textfield',
            'heading'     => esc_html__('Heading first', 'proland' ),
            'param_name'  => 'heading',
            "description" => esc_html__("Add your heading", "proland"),
        ),

		array(
            'type'        => 'textarea',
            'heading'     => esc_html__('Description', 'proland' ),
            'param_name'  => 'description',
            "description" => esc_html__("Add your description", "proland"),
        ),
		array(
			'type'        => 'dropdown',
			'heading'     => esc_html__('Image resizer status', 'proland' ),
			'param_name'  => 'resize',
			'description' => esc_html__('You must select a option', 'proland' ),
			'value'       => array(
				esc_html__('Select an option', 			'proland' )		=> '',
				esc_html__('Resize', 					'proland' )		=> '0',
				esc_html__('No resize', 				'proland' )		=> '1',
			),
		),
		array(
            "type" 			=> "attach_image",
            "heading" 		=> esc_html__("Section product centered image", "proland"),
            "param_name" 	=> "bg_img",
            "description" 	=> esc_html__("Add your image", "proland"),
        ),

		array(
            "type" 			=> "textfield",
            "heading" 		=> esc_html__("Section product centered image width crop", "proland"),
            "param_name" 	=> "bg_img_w",
            "description" 	=> esc_html__("Add your image width number (px). Default : 377", "proland"),
        ),

		array(
            "type" 			=> "textfield",
            "heading" 		=> esc_html__("Section product centered image height crop", "proland"),
            "param_name" 	=> "bg_img_h",
            "description" 	=> esc_html__("Add your image height number (px). Default : 499", "proland"),
        ),

		array(
			'type'        => 'dropdown',
			'heading'     => esc_html__('Popup types', 'proland' ),
			'param_name'  => 'tip',
			'description' => esc_html__('If you want to use 2+ words you must select Bootstrap Tooltip', 'proland' ),
			'group' => esc_html__('Product popup items', 'proland' ),
			'value'       => array(
				esc_html__('Select an option', 			'proland' )		=> '',
				esc_html__('Default', 					'proland' )		=> '1',
				esc_html__('Bootstrap Tooltip', 		'proland' )		=> '2',
			),
		),
		array(
			'type'        => 'param_group',
			'heading'     => esc_html__('Product popup items', 'proland' ),
			'param_name'  => 'product_item',
			'group' => esc_html__('Product popup items', 'proland' ),
			'params' => array(
				array(
					"type" 			=> "textfield",
					"heading" 		=> esc_html__("Item unique id", "proland"),
					"param_name" 	=> "item_id",
					"description" 	=> esc_html__("Add your item id for custom css coding", "proland")
				),

				array(
					'type'        => 'dropdown',
					'heading'     => esc_html__('Select item tooltip position', 'proland' ),
					'param_name'  => 'placement',
					'description' => esc_html__('You must select a position', 'proland' ),
					'value'       => array(
						esc_html__('Select a position', 	'proland' )		=> 'top',
						esc_html__('left', 					'proland' )		=> 'left',
						esc_html__('right', 				'proland' )		=> 'right',
						esc_html__('top', 					'proland' )		=> 'top',
						esc_html__('bottom', 				'proland' )		=> 'bottom',
					),
				),

				array(
					'type'        => 'dropdown',
					'heading'     => esc_html__('Select item plus icon position left / right', 'proland' ),
					'param_name'  => 'right_left',
					'description' => esc_html__('You must select left or right', 'proland' ),
					'value'       => array(
						esc_html__('Select a position', 		'proland' )		=> '',
						esc_html__('left', 					'proland' )		=> 'left',
						esc_html__('right', 				'proland' )		=> 'right',
					),
				),
				array(
					'type'        => 'dropdown',
					'heading'     => esc_html__('Select item plus icon position top / bottom', 'proland' ),
					'param_name'  => 'top_bottom',
					'description' => esc_html__('You must select top or bottom', 'proland' ),
					'value'       => array(
						esc_html__('Select a position', 	'proland' )		=> '',
						esc_html__('top', 					'proland' )		=> 'top',
						esc_html__('bottom', 				'proland' )		=> 'bottom',
					),
				),
				array(
					'type'        => 'dropdown',
					'heading'     => esc_html__('Select icon type', 'proland' ),
					'param_name'  => 'icontype',
					'description' => esc_html__('You can change plus icon.', 'proland' ),
					'value'       => array(
						esc_html__('Select a opton', 'proland' ) => '',
						esc_html__('fontawesome', 'proland' ) => 'font',
						esc_html__('custom', 'proland' ) => 'custom',
					),
				),
				array(
					"type" 			=> "iconpicker",
					"heading" 		=> esc_html__("Select icon from library", "proland"),
					"param_name" 	=> "icon",
					'dependency' 	=> array(
						'element' 	=> 'icontype',
						'value'   	=> 'font'
					)
				),
				array(
					"type" 			=> "textfield",
					"heading" 		=> esc_html__("Enter custom icon name", "proland"),
					"param_name" 	=> "customicon",
					"description" 	=> esc_html__("Add your custom icon name here.", "proland"),
					'dependency' 	=> array(
						'element' 	=> 'icontype',
						'value'   	=> 'custom'
					)
				),
				array(
					"type" 			=> "textfield",
					"heading" 		=> esc_html__("Item popup text", "proland"),
					"param_name" 	=> "item_text",
					"description" 	=> esc_html__("Add your item text", "proland")
				),

				array(
					"type" 			=> "textfield",
					"heading" 		=> esc_html__("Item custom position : top value", "proland"),
					"param_name" 	=> "item_css_top",
					"description" 	=> esc_html__("Add your item  ( position absolute ) top value. Exapmle : 122 ", "proland")
				),

				array(
					"type" 			=> "textfield",
					"heading" 		=> esc_html__("Item custom position : left value", "proland"),
					"param_name" 	=> "item_css_left",
					"description" 	=> esc_html__("Add your item  ( position absolute ) left value. Exapmle : 122 ", "proland")
				),
				array(
					"type" 			=> "textfield",
					"heading" 		=> esc_html__("Item custom position : right value", "proland"),
					"param_name" 	=> "item_css_right",
					"description" 	=> esc_html__("Add your item  ( position absolute ) right value. Exapmle : 122 ", "proland")
				),
				array(
					"type" 			=> "textfield",
					"heading" 		=> esc_html__("Item custom position : top value  for max width 767px", "proland"),
					"param_name" 	=> "item_css_r_top",
					"description" 	=> esc_html__("Add your item  ( position absolute ) top value. Exapmle : 122 ", "proland")
				),
				array(
					"type" 			=> "textfield",
					"heading" 		=> esc_html__("Item custom position : left value for max width 767px", "proland"),
					"param_name" 	=> "item_css_r_left",
					"description" 	=> esc_html__("Add your item  ( position absolute ) left value. Exapmle : 122 ", "proland")
				),
				array(
					"type"        => "colorpicker",
					"heading"     =>  esc_html__("description / paragraph color", "proland"),
					"param_name"  => 'item_color',
					"description" =>  esc_html__("select description / paragraph color", "proland"),
					'group'       => esc_html__( 'Color Options', 'proland' ),
				),

			)
		),

		array(
			"type"        => "colorpicker",
			"heading"     =>  esc_html__("description / paragraph color", "proland"),
			"param_name"  => 'desccolor',
			"description" =>  esc_html__("select description / paragraph color", "proland"),
			'group'       => esc_html__( 'Color Options', 'proland' ),
		),
        array(
            'type'        => 'css_editor',
            'heading'     => esc_html__('Css', 'proland' ),
            'param_name'  => 'css',
            'group' => esc_html__('Background options', 'proland' ),
        ),

      ),
   ) );
}
class WPBakeryShortCode_proland_product extends WPBakeryShortCode {
}


/*-----------------------------------------------------------------------------------*/
/*	SERVICES
/*-----------------------------------------------------------------------------------*/


add_action( 'vc_before_init', 'proland_how_it_integrateWithVC' );
function proland_how_it_integrateWithVC() {
   vc_map( array(
		"name" 	 => esc_html__( "How it works", "proland" ),
		"base" 	 => "proland_how_it",
		"category" => esc_html__( "Proland", "proland"),
		"params"   => array(

		 array(
            'type'        => 'textfield',
            'heading'     => esc_html__('Section ID', 'proland' ),
            'param_name'  => 'section_id',
            "description" => esc_html__("Add Your Section ID", "proland"),
        ),
        array(
            'type'        => 'textfield',
            'heading'     => esc_html__('Heading', 'proland' ),
            'param_name'  => 'heading',
            "description" => esc_html__("Add Your heading", "proland")
        ),
        array(
            'type'        => 'textarea',
            'heading'     => esc_html__('Description', 'proland' ),
            'param_name'  => 'description',
            "description" => esc_html__("Add Your heading", "proland")
        ),

		array(
			'type'        => 'param_group',
			'heading'     => esc_html__('Section items builder', 'proland' ),
			'param_name'  => 'howitems',
			'group' => esc_html__('Section list items', 'proland' ),
			'params' => array(

				array(
					'type'        => 'dropdown',
					'heading'     => esc_html__('Select item column number ', 'proland' ),
					'param_name'  => 'column',
					'description' => esc_html__('You can use bootstrap column number if you want to use different column layouts.', 'proland' ),
					'value'       => array(
						esc_html__('Select a number', 		'proland' )		=> '4',
						esc_html__('2', 					'proland' )		=> '2',
						esc_html__('3', 					'proland' )		=> '3',
						esc_html__('4', 					'proland' )		=> '4',
						esc_html__('5', 					'proland' )		=> '5',
						esc_html__('6', 					'proland' )		=> '6',
						esc_html__('7', 					'proland' )		=> '7',
						esc_html__('8', 					'proland' )		=> '8',
						esc_html__('9', 					'proland' )		=> '9',
						esc_html__('10', 					'proland' )		=> '10',
						esc_html__('11', 					'proland' )		=> '11',
						esc_html__('12', 					'proland' )		=> '12',
					),
				),

				array(
					'type'        => 'dropdown',
					'heading'     => esc_html__('Image resizer status', 'proland' ),
					'param_name'  => 'resize',
					'description' => esc_html__('You must select left or right', 'proland' ),
					'value'       => array(
						esc_html__('Select an option', 			'proland' )		=> '',
						esc_html__('Resize', 					'proland' )		=> '0',
						esc_html__('No resize', 				'proland' )		=> '1',
					),
				),
				array(
					"type" => "attach_image",
					"heading" => esc_html__("Testimonial item image", "proland"),
					"param_name" => "item_img",
					"description" => esc_html__("Add your item image", "proland"),
				),

				array(
					"type" => "textfield",
					"heading" => esc_html__("Item heading ", "proland"),
					"param_name" => "item_heading",
					"description" => esc_html__("Add your item heading", "proland"),
				),

				array(
					"type" => "textarea",
					"heading" => esc_html__("Item description", "proland"),
					"param_name" => "item_desc",
					"description" => esc_html__("Add your item description", "proland"),
				),

				array(
					"type" => "textfield",
					"heading" => esc_html__("Item animation delay. ", "proland"),
					"param_name" => "item_delay",
					"description" => esc_html__("Add your item delay number. Example : 0.1, 0.5, 1.2 and more", "proland"),
				),
			)
		),
		array(
			"type"        => "colorpicker",
			"heading"     =>  esc_html__("heading text color", "proland"),
			"param_name"  => 'headingcolor',
			"description" =>  esc_html__("select heading text color", "proland"),
			'group'       => esc_html__( 'Color Options', 'proland' ),
		),
		array(
			"type"        => "colorpicker",
			"heading"     =>  esc_html__("item heading first letter color", "proland"),
			"param_name"  => 'itemheadingfirstletter',
			"description" =>  esc_html__("select description / paragraph color", "proland"),
			'group'       => esc_html__( 'Color Options', 'proland' ),
		),
		array(
			"type"        => "colorpicker",
			"heading"     =>  esc_html__("item heading color", "proland"),
			"param_name"  => 'itemheadingcolor',
			"description" =>  esc_html__("select item heading color", "proland"),
			'group'       => esc_html__( 'Color Options', 'proland' ),
		),
		array(
			"type"        => "colorpicker",
			"heading"     =>  esc_html__("item description color", "proland"),
			"param_name"  => 'itemdesccolor',
			"description" =>  esc_html__("select item description color", "proland"),
			'group'       => esc_html__( 'Color Options', 'proland' ),
		),

         array(
            'type'        => 'css_editor',
            'heading'     => esc_html__('Css', 'proland' ),
            'param_name'  => 'css',
            'group' => esc_html__('Background options', 'proland' ),
        ),
      ),
   ) );
}
class WPBakeryShortCode_proland_how_it extends WPBakeryShortCode {
}

/*-----------------------------------------------------------------------------------*/
/*	PRODUCT LISTS
/*-----------------------------------------------------------------------------------*/


add_action( 'vc_before_init', 'proland_product_list_integrateWithVC' );
function proland_product_list_integrateWithVC() {
   vc_map( array(
		"name" 	 => esc_html__( "Products", "proland" ),
		"base" 	 => "proland_product_list",
		"category" => esc_html__( "Proland", "proland"),
		"params"   => array(

		array(
			'type'        => 'dropdown',
			'heading'     => esc_html__('Select product type', 'proland' ),
			'param_name'  => 'type',
			'description' => esc_html__('You can use Woocommerce or default theme product post type.', 'proland' ),
			'value'       => array(
				esc_html__('Select a type', 		'proland' )			=> '0',
				esc_html__('Default', 				'proland' )			=> 'default',
				esc_html__('Woocommerce', 			'proland' )			=> 'woo',
			),
		),
		array(
			'type'        => 'dropdown',
			'heading'     => esc_html__('Select product button type', 'proland' ),
			'param_name'  => 'btn_type',
			'description' => esc_html__('You can use Woocommerce or default theme product post type.', 'proland' ),
			'value'       => array(
				esc_html__('Select a type', 		'proland' )			=> '0',
				esc_html__('Default', 				'proland' )			=> 'url',
				esc_html__('Woocommerce ajax', 		'proland' )			=> 'ajax',
			),
		),
		array(
            'type'        => 'textfield',
            'heading'     => esc_html__('Section ID', 'proland' ),
            'param_name'  => 'section_id',
            "description" => esc_html__("Add Your Section ID", "proland"),
        ),
        array(
            'type'        => 'textfield',
            'heading'     => esc_html__('heading', 'proland' ),
            'param_name'  => 'heading',
            "description" => esc_html__("Add Your heading", "proland")
        ),
		array(
			'type'        => 'dropdown',
			'heading'     => esc_html__('Image resizer status', 'proland' ),
			'param_name'  => 'resize',
			'description' => esc_html__('You must select left or right', 'proland' ),
			'value'       => array(
				esc_html__('Select an option', 			'proland' )		=> '',
				esc_html__('Resize', 					'proland' )		=> '0',
				esc_html__('No resize', 				'proland' )		=> '1',
			),
		),
        array(
            'type'        => 'textfield',
            'heading'     => esc_html__('Woocommerce post per section', 'proland' ),
            'param_name'  => 'woo_posts',
            "description" => esc_html__("Default value 4. ", "proland"),
            "group" 	  => esc_html__("Woo", "proland")
        ),
		array(
            'type'        => 'textfield',
            'heading'     => esc_html__('Woocommerce order', 'proland' ),
            'param_name'  => 'woo_order',
            "description" => esc_html__("Enter item order. DESC or ASC", "proland"),
			"group" 	  => esc_html__("Woo", "proland")
        ),
        array(
            'type'        => 'textfield',
            'heading'     => esc_html__('Woocommerce orderby', 'proland' ),
            'param_name'  => 'woo_orderby',
            "description" => esc_html__("Enter item orderby. Default is : date", "proland"),
			"group" 	  => esc_html__("Woo", "proland")
        ),

        array(
            'type'        => 'textfield',
            'heading'     => esc_html__('Defaul products post per section', 'proland' ),
            'param_name'  => 'posts',
            "description" => esc_html__("Default value 4. ", "proland"),
            "group" 	  => esc_html__("Default", "proland")
        ),
		array(
            'type'        => 'textfield',
            'heading'     => esc_html__('Defaul products  order', 'proland' ),
            'param_name'  => 'order',
            "description" => esc_html__("Enter item order. DESC or ASC", "proland"),
			"group" 	  => esc_html__("Default", "proland")
        ),
        array(
            'type'        => 'textfield',
            'heading'     => esc_html__('Defaul products  orderby', 'proland' ),
            'param_name'  => 'orderby',
            "description" => esc_html__("Enter product orderby. Default is : date", "proland"),
			"group" 	  => esc_html__("Default", "proland")
        ),
				array(
            'type'        => 'textfield',
            'heading'     => esc_html__('Default products category', 'proland' ),
            'param_name'  => 'product_cat',
            "description" => esc_html__("Default products category. ", "proland"),
            "group" 	  => esc_html__("Default", "proland")
        ),
		array(
            'type'        => 'textarea',
            'heading'     => esc_html__('Description', 'proland' ),
            'param_name'  => 'description',
            "description" => esc_html__("Add Your heading", "proland")
        ),

		array(
			"type"        => "colorpicker",
			"heading"     =>  esc_html__("heading text color", "proland"),
			"param_name"  => 'headingcolor',
			"description" =>  esc_html__("select heading text color", "proland"),
			'group'       => esc_html__( 'Color Options', 'proland' ),
		),
		array(
			"type"        => "colorpicker",
			"heading"     =>  esc_html__("item heading color", "proland"),
			"param_name"  => 'itemheadingcolor',
			"description" =>  esc_html__("select item heading color", "proland"),
			'group'       => esc_html__( 'Color Options', 'proland' ),
		),
		array(
			"type"        => "colorpicker",
			"heading"     =>  esc_html__("item description color", "proland"),
			"param_name"  => 'itemdesccolor',
			"description" =>  esc_html__("select item description color", "proland"),
			'group'       => esc_html__( 'Color Options', 'proland' ),
		),
		array(
            'type'        => 'css_editor',
            'heading'     => esc_html__('Css', 'proland' ),
            'param_name'  => 'css',
            'group' => esc_html__('Design Options', 'proland' ),
        ),

	),
    )
    );
}
class WPBakeryShortCode_proland_product_list extends WPBakeryShortCode {
}


/*-----------------------------------------------------------------------------------*/
/*	FEATURES
/*-----------------------------------------------------------------------------------*/


add_action( 'vc_before_init', 'proland_features_integrateWithVC' );
function proland_features_integrateWithVC() {
   vc_map( array(
		"name" 	 => esc_html__( "Features", "proland" ),
		"base" 	 => "proland_features",
		"category" => esc_html__( "Proland", "proland"),
		"params"   => array(
		array(
            'type'        => 'textfield',
            'heading'     => esc_html__('Section ID', 'proland' ),
            'param_name'  => 'section_id',
            "description" => esc_html__("Add Your Section ID", "proland"),
        ),
        array(
            'type'        => 'textfield',
            'heading'     => esc_html__('heading', 'proland' ),
            'param_name'  => 'heading',
            "description" => esc_html__("Add Your heading", "proland")
        ),
		array(
            'type'        => 'textarea',
            'heading'     => esc_html__('Description', 'proland' ),
            'param_name'  => 'description',
            "description" => esc_html__("Add Your heading", "proland")
        ),

		array(
			'type'        => 'param_group',
			'heading'     => esc_html__('Features list item', 'proland' ),
			'param_name'  => 'features_item',
			'group' 	  => esc_html__('Features items', 'proland' ),
			'params' 	  => array(

				array(
					'type'        => 'dropdown',
					'heading'     => esc_html__('Select item column number ', 'proland' ),
					'param_name'  => 'column',
					'description' => esc_html__('You can use bootstrap column number if you want to use different column layouts.', 'proland' ),
					'value'       => array(
						esc_html__('Select a number', 		'proland' )		=> '4',
						esc_html__('2', 					'proland' )		=> '2',
						esc_html__('3', 					'proland' )		=> '3',
						esc_html__('4', 					'proland' )		=> '4',
						esc_html__('5', 					'proland' )		=> '5',
						esc_html__('6', 					'proland' )		=> '6',
						esc_html__('7', 					'proland' )		=> '7',
						esc_html__('8', 					'proland' )		=> '8',
						esc_html__('9', 					'proland' )		=> '9',
						esc_html__('10', 					'proland' )		=> '10',
						esc_html__('11', 					'proland' )		=> '11',
						esc_html__('12', 					'proland' )		=> '12',
					),
				),

				array(
					'type'        => 'textfield',
					'heading'     => esc_html__('Icon', 'proland' ),
					'param_name'  => 'icon_name',
					'description' => esc_html__('Add icon class name. Example : fa fa-info-circle or li_location or more classes.', 'proland' ),
				),

				array(
					"type" => "textfield",
					"heading" => esc_html__("Item heading ", "proland"),
					"param_name" => "item_heading",
					"description" => esc_html__("Add your item heading", "proland"),
				),

				array(
					"type" => "textarea",
					"heading" => esc_html__("Item description", "proland"),
					"param_name" => "item_desc",
					"description" => esc_html__("Add your item description", "proland"),
				),

				array(
					"type" => "textfield",
					"heading" => esc_html__("Item animation delay. ", "proland"),
					"param_name" => "item_delay",
					"description" => esc_html__("Add your item delay number. Example : 0.1, 0.5, 1.2 and more", "proland"),
				),
			)
		),
		array(
			"type"        => "colorpicker",
			"heading"     =>  esc_html__("heading text color", "proland"),
			"param_name"  => 'headingcolor',
			"description" =>  esc_html__("select heading text color", "proland"),
			'group'       => esc_html__( 'Color Options', 'proland' ),
		),
		array(
			"type"        => "colorpicker",
			"heading"     =>  esc_html__("item heading color", "proland"),
			"param_name"  => 'itemheadingcolor',
			"description" =>  esc_html__("select item heading color", "proland"),
			'group'       => esc_html__( 'Color Options', 'proland' ),
		),
		array(
			"type"        => "colorpicker",
			"heading"     =>  esc_html__("item description color", "proland"),
			"param_name"  => 'itemdesccolor',
			"description" =>  esc_html__("select item description color", "proland"),
			'group'       => esc_html__( 'Color Options', 'proland' ),
		),
		array(
            'type'        => 'css_editor',
            'heading'     => esc_html__('Css', 'proland' ),
            'param_name'  => 'css',
            'group' => esc_html__('Background options', 'proland' ),
        ),
      ),
   ) );
}
class WPBakeryShortCode_proland_features extends WPBakeryShortCode {
}


/*-----------------------------------------------------------------------------------*/
/*	FEATURES LEFT RIGHT
/*-----------------------------------------------------------------------------------*/


add_action( 'vc_before_init', 'proland_features_two_integrateWithVC' );
function proland_features_two_integrateWithVC() {
   vc_map( array(
		"name" 	 => esc_html__( "Features Left- Right", "proland" ),
		"base" 	 => "proland_features_two",
		"category" => esc_html__( "Proland", "proland"),
		"params"   => array(
		array(
            'type'        => 'textfield',
            'heading'     => esc_html__('Section ID', 'proland' ),
            'param_name'  => 'section_id',
            "description" => esc_html__("Add Your Section ID", "proland"),
        ),
		array(
            'type'        => 'attach_image',
            'heading'     => esc_html__('Center column image', 'proland' ),
            'param_name'  => 'center_img',
            "description" => esc_html__("Add/select an image", "proland")
        ),

		array(
			'type'        => 'param_group',
			'heading'     => esc_html__('Features left items', 'proland' ),
			'param_name'  => 'features_two_left_item',
			'group' => esc_html__('Features left items', 'proland' ),
			'params' => array(

				array(
					'type'        => 'textfield',
					'heading'     => esc_html__('Icon', 'proland' ),
					'param_name'  => 'icon_left_name',
					'description' => esc_html__('Add icon class name. Example : fa fa-info-circle or li_location or more classes.', 'proland' ),
				),

				array(
					"type" => "textfield",
					"heading" => esc_html__("Item heading ", "proland"),
					"param_name" => "item_left_heading",
					"description" => esc_html__("Add your item heading", "proland"),
				),

				array(
					"type" => "textarea",
					"heading" => esc_html__("Item description", "proland"),
					"param_name" => "item_left_desc",
					"description" => esc_html__("Add your item description", "proland"),
				),

				array(
					"type" => "textfield",
					"heading" => esc_html__("Item animation delay. ", "proland"),
					"param_name" => "item_left_delay",
					"description" => esc_html__("Add your item delay number. Example : 0.1, 0.5, 1.2 and more", "proland"),
				),
			)
		),
		array(
			'type'        => 'param_group',
			'heading'     => esc_html__('Features right items', 'proland' ),
			'param_name'  => 'features_two_right_item',
			'group' => esc_html__('Features right items', 'proland' ),
			'params' => array(

				array(
					'type'        => 'textfield',
					'heading'     => esc_html__('Icon', 'proland' ),
					'param_name'  => 'icon_right_name',
					'description' => esc_html__('Add icon class name. Example : fa fa-info-circle or li_location or more classes.', 'proland' ),
				),

				array(
					"type" => "textfield",
					"heading" => esc_html__("Item heading ", "proland"),
					"param_name" => "item_right_heading",
					"description" => esc_html__("Add your item heading", "proland"),
				),

				array(
					"type" => "textarea",
					"heading" => esc_html__("Item description", "proland"),
					"param_name" => "item_right_desc",
					"description" => esc_html__("Add your item description", "proland"),
				),

				array(
					"type" => "textfield",
					"heading" => esc_html__("Item animation delay. ", "proland"),
					"param_name" => "item_right_delay",
					"description" => esc_html__("Add your item delay number. Example : 0.1, 0.5, 1.2 and more", "proland"),
				),
			)
		),

		array(
            'type'        => 'css_editor',
            'heading'     => esc_html__('Css', 'proland' ),
            'param_name'  => 'css',
            'group' => esc_html__('Background options', 'proland' ),
        ),
      ),
   ) );
}
class WPBakeryShortCode_proland_features_two extends WPBakeryShortCode {
}



/*-----------------------------------------------------------------------------------*/
/*	THE WATCH
/*-----------------------------------------------------------------------------------*/


add_action( 'vc_before_init', 'proland_the_watch_integrateWithVC' );
function proland_the_watch_integrateWithVC() {
   vc_map( array(
		"name" 	 => esc_html__( "The Watch", "proland" ),
		"base" 	 => "proland_the_watch",
		"category" => esc_html__( "Proland", "proland"),
		"params"   => array(
		array(
            'type'        => 'textfield',
            'heading'     => esc_html__('Section ID', 'proland' ),
            'param_name'  => 'section_id',
            "description" => esc_html__("Add Your Section ID", "proland"),
        ),

       array(
            'type'        => 'textfield',
            'heading'     => esc_html__('Heading first text', 'proland' ),
            'param_name'  => 'heading',
            "description" => esc_html__("Add your first heading", "proland")
        ),

       array(
            'type'        => 'textfield',
            'heading'     => esc_html__('Description', 'proland' ),
            'param_name'  => 'description',
            "description" => esc_html__("Add any content - html code.", "proland")
        ),

		array(
            "type" => "attach_image",
            "heading" => esc_html__("Section left/right column image", "proland"),
            "param_name" => "bg_img",
            "description" => esc_html__("Add your image", "proland"),
        ),

		array(
            'type'        => 'textarea_html',
            'heading'     => esc_html__('Right content', 'proland' ),
            'param_name'  => 'content',
            "description" => esc_html__("Add your description", "proland")
        ),

		array(
			'type'        => 'param_group',
			'heading'     => esc_html__('List items', 'proland' ),
			'param_name'  => 'watch_items',
			'group' => esc_html__('Features right items', 'proland' ),
			'params' => array(

				array(
					"type" => "textfield",
					"heading" => esc_html__("Item heading ", "proland"),
					"param_name" => "item_heading",
					"description" => esc_html__("Add your item heading", "proland"),
				),

				array(
					"type" => "textfield",
					"heading" => esc_html__("Item animation delay. ", "proland"),
					"param_name" => "item_delay",
					"description" => esc_html__("Add your item delay number. Example : 0.1, 0.5, 1.2 and more", "proland"),
				),
			)
		),

		array(
            'type'        => 'css_editor',
            'heading'     => esc_html__('Css', 'proland' ),
            'param_name'  => 'css',
            'group' => esc_html__('Background options', 'proland' ),
        ),
      ),
   ) );
}
class WPBakeryShortCode_proland_the_watch extends WPBakeryShortCode {
}


/*-----------------------------------------------------------------------------------*/
/*	SPLIT PROLAND
/*-----------------------------------------------------------------------------------*/


add_action( 'vc_before_init', 'proland_split_integrateWithVC' );
function proland_split_integrateWithVC() {
   vc_map( array(
		"name" 	 => esc_html__( "Split Left/Right", "proland" ),
		"base" 	 => "proland_split",
		"category" => esc_html__( "Proland", "proland"),
		"params"   => array(

			array(
				'type'        => 'textfield',
				'heading'     => esc_html__('Section ID', 'proland' ),
				'param_name'  => 'section_id',
				"description" => esc_html__("Add Your Section ID", "proland"),
			),
			array(
				'type'        => 'param_group',
				'heading'     => esc_html__('Section items', 'proland' ),
				'param_name'  => 'split_items',
				'group' => esc_html__('Items', 'proland' ),
				'params' => array(

					array(
						'type'        => 'dropdown',
						'heading'     => esc_html__('Select item image position', 'proland' ),
						'param_name'  => 'item_position',
						'description' => esc_html__('You can use this option for different column type.', 'proland' ),
						'value'       => array(
							esc_html__('Select position', 		'proland' )		=> 'left',
							esc_html__('left', 					'proland' )		=> 'left',
							esc_html__('right', 				'proland' )		=> 'right',
						),
					),
					array(
						"type" => "attach_image",
						"heading" => esc_html__("Section column left & right image", "proland"),
						"param_name" => "item_image",
						"description" => esc_html__("Add item column image", "proland"),
					),
					array(
						"type" => "textfield",
						"heading" => esc_html__("Item heading ", "proland"),
						"param_name" => "item_heading",
						"description" => esc_html__("Add your item heading", "proland")
					),
					array(
						"type" => "textarea",
						"heading" => esc_html__("Item description", "proland"),
						"param_name" => "item_desc",
						"description" => esc_html__("Add your item description", "proland")
					),

				)
			),
			array(
				'type'        => 'css_editor',
				'heading'     => esc_html__('Css', 'proland' ),
				'param_name'  => 'css',
				'group' => esc_html__('Background options', 'proland' ),
			),
		),
   ) );
}
class WPBakeryShortCode_proland_split extends WPBakeryShortCode {
}


/*-----------------------------------------------------------------------------------*/
/*	FEATURES
/*-----------------------------------------------------------------------------------*/


add_action( 'vc_before_init', 'proland_review_integrateWithVC' );
function proland_review_integrateWithVC() {
   vc_map( array(
		"name" 	 => esc_html__( "Reviews", "proland" ),
		"base" 	 => "proland_review",
		"category" => esc_html__( "Proland", "proland"),
		"params"   => array(
		array(
            'type'        => 'textfield',
            'heading'     => esc_html__('Section ID', 'proland' ),
            'param_name'  => 'section_id',
            "description" => esc_html__("Add Your Section ID", "proland"),
        ),
        array(
            'type'        => 'textfield',
            'heading'     => esc_html__('heading', 'proland' ),
            'param_name'  => 'heading',
            "description" => esc_html__("Add Your heading", "proland")
        ),
		array(
            'type'        => 'textarea',
            'heading'     => esc_html__('Description', 'proland' ),
            'param_name'  => 'description',
            "description" => esc_html__("Add Your heading", "proland")
        ),

		array(
			'type'        	=> 'param_group',
			'heading'     	=> esc_html__('Review list item', 'proland' ),
			'param_name'  	=> 'review_items',
			'group' 		=> esc_html__('Review items', 'proland' ),
			'params' 		=> array(


				array(
					'type'        => 'dropdown',
					'heading'     => esc_html__('Select item column number ', 'proland' ),
					'param_name'  => 'column',
					'description' => esc_html__('You can use bootstrap column number if you want to use different column layouts.', 'proland' ),
					'value'       => array(
						esc_html__('Select a number', 		'proland' )		=> '4',
						esc_html__('2', 					'proland' )		=> '2',
						esc_html__('3', 					'proland' )		=> '3',
						esc_html__('4', 					'proland' )		=> '4',
						esc_html__('5', 					'proland' )		=> '5',
						esc_html__('6', 					'proland' )		=> '6',
						esc_html__('7', 					'proland' )		=> '7',
						esc_html__('8', 					'proland' )		=> '8',
						esc_html__('9', 					'proland' )		=> '9',
						esc_html__('10', 					'proland' )		=> '10',
						esc_html__('11', 					'proland' )		=> '11',
						esc_html__('12', 					'proland' )		=> '12',
					),
				),

				array(
					"type" 			=> "textarea",
					"heading" 		=> esc_html__("Item description", "proland"),
					"param_name" 	=> "item_desc",
					"description" 	=> esc_html__("Add your item description", "proland"),
				),
				array(
					"type" 			=> "attach_image",
					"heading" 		=> esc_html__("Section background image", "proland"),
					"param_name" 	=> "item_image",
					"description" 	=> esc_html__("Add your background image", "proland"),
				),
				array(
					"type" 			=> "textfield",
					"heading" 		=> esc_html__("Item animation delay. ", "proland"),
					"param_name" 	=> "item_delay",
					"description" 	=> esc_html__("Add your item delay number. Example : 0.1, 0.5, 1.2 and more", "proland"),
				),
			)
		),
		array(
			"type"        => "colorpicker",
			"heading"     => esc_html__("heading text color", "proland"),
			"param_name"  => 'headingcolor',
			"description" => esc_html__("select heading text color", "proland"),
			'group'       => esc_html__( 'Color Options', 'proland' ),
		),
		array(
			"type"        => "colorpicker",
			"heading"     => esc_html__("item description  text color", "proland"),
			"param_name"  => 'itemdesccolor',
			"description" => esc_html__("select item description color", "proland"),
			'group'       => esc_html__( 'Color Options', 'proland' ),
		),
		array(
            'type'        => 'css_editor',
            'heading'     => esc_html__('Css', 'proland' ),
            'param_name'  => 'css',
            'group' => esc_html__('Background options', 'proland' ),
        ),
      ),
   ) );
}
class WPBakeryShortCode_proland_review extends WPBakeryShortCode {
}


/*-----------------------------------------------------------------------------------*/
/*	SPONSOR
/*-----------------------------------------------------------------------------------*/

add_action( 'vc_before_init', 'proland_vc_spon_integrateWithVC' );
function proland_vc_spon_integrateWithVC() {
	vc_map( array(
		"name" 	 => esc_html__( "Sponsor", "proland" ),
		"base" 	 => "proland_sponsor",
		"category" => esc_html__( "Proland", "proland"),
		"params"   => array(
			array(
				'type'        => 'textfield',
				'heading'     => esc_html__('Section ID', 'proland' ),
				'param_name'  => 'section_id',
				"description" => esc_html__("Add Your Section ID", "proland"),
			),
			array(
				'type'        => 'textfield',
				'heading'     => esc_html__('Heading', 'proland' ),
				'param_name'  => 'heading',
				"description" => esc_html__("Add your heading", "proland"),
			),
			// start param_group
			array(
				'type'        => 'param_group',
				'heading'     => esc_html__('Testimonial item', 'proland' ),
				'param_name'  => 'testi',
				'params' => array(

					array(
						'type'        => 'dropdown',
						'heading'     => esc_html__('Image resizer status', 'proland' ),
						'param_name'  => 'resize',
						'description' => esc_html__('You must select left or right', 'proland' ),
						'value'       => array(
							esc_html__('Select an option', 			'proland' )		=> '',
							esc_html__('Resize', 					'proland' )		=> '0',
							esc_html__('No resize', 				'proland' )		=> '1',
						),
					),
					array(
						"type" => "attach_image",
						"heading" => esc_html__("Sponsor item image", "proland"),
						"param_name" => "spon_img",
						"description" => esc_html__("Add your item image", "proland"),
					),
					array(
						'type'        => 'textfield',
						'heading'     => esc_html__('Sponsor logo image width', 'proland' ),
						'param_name'  => 'i_width',
						"description" => esc_html__("You can add any number for image width or leave blank", "proland"),
					),
					array(
						'type'        => 'textfield',
						'heading'     => esc_html__('Sponsor logo image height', 'proland' ),
						'param_name'  => 'i_height',
						"description" => esc_html__("You can add any number for image height or leave blank", "proland"),
					),
					array(
						'type'        => 'vc_link',
						'heading'     => esc_html__('URL (Link)', 'proland' ),
						'param_name'  => 'link',
						'description' => esc_html__('Add custom link.', 'proland' ),
					),
				),
			), // end param_group

			array(
				'type'        => 'css_editor',
				'heading'     => esc_html__('Css', 'proland' ),
				'param_name'  => 'css',
				'group' => esc_html__('Background options', 'proland' ),
			),
		)
		)
   );
}
class WPBakeryShortCode_proland_vc_spon extends WPBakeryShortCode {}


/*-----------------------------------------------------------------------------------*/
/*	TEAM PROLAND
/*-----------------------------------------------------------------------------------*/
add_action( 'vc_before_init', 'proland_team_integrateWithVC' );
function proland_team_integrateWithVC() {
   vc_map( array(
		"name" 	 => esc_html__( "Team", "proland" ),
		"base" 	 => "proland_team",
		"category" => esc_html__( "Proland", "proland"),
		"params"   => array(
		 array(
            'type'        => 'textfield',
            'heading'     => esc_html__('Section ID', 'proland' ),
            'param_name'  => 'section_id',
            "description" => esc_html__("Add Your Section ID", "proland"),
        ),
        array(
            'type'        => 'textfield',
            'heading'     => esc_html__('Heading', 'proland' ),
            'param_name'  => 'heading',
            "description" => esc_html__("Add your section heading", "proland"),
        ),
		array(
            'type'        => 'textarea',
            'heading'     => esc_html__('Description', 'proland' ),
            'param_name'  => 'description',
            "description" => esc_html__("Add your description", "proland"),
        ),
		array(
			'type'        => 'vc_link',
			'heading'     => esc_html__('Description area link', 'proland' ),
			'param_name'  => 'link',
			'description' => esc_html__('Add custom link or leave blank.', 'proland' ),
		),
		array(
			'type'        => 'param_group',
			'heading'     => esc_html__('Team member', 'proland' ),
			'param_name'  => 'team_items',
			'group' 	  => esc_html__('Team member', 'proland' ),
			'params' 	  => array(

				array(
					'type'        => 'dropdown',
					'heading'     => esc_html__('Select item column number ', 'proland' ),
					'param_name'  => 'column',
					'description' => esc_html__('You can use bootstrap column number if you want to use different column layouts.', 'proland' ),
					'value'       => array(
						esc_html__('Select a number', 		'proland' )		=> '4',
						esc_html__('2', 					'proland' )		=> '2',
						esc_html__('3', 					'proland' )		=> '3',
						esc_html__('4', 					'proland' )		=> '4',
						esc_html__('5', 					'proland' )		=> '5',
						esc_html__('6', 					'proland' )		=> '6',
						esc_html__('7', 					'proland' )		=> '7',
						esc_html__('8', 					'proland' )		=> '8',
						esc_html__('9', 					'proland' )		=> '9',
						esc_html__('10', 					'proland' )		=> '10',
						esc_html__('11', 					'proland' )		=> '11',
						esc_html__('12', 					'proland' )		=> '12',
					),
				),

				array(
					"type" => "attach_image",
					"heading" => esc_html__("Member item image", "proland"),
					"param_name" => "team_img",
					"description" => esc_html__("Add your item image", "proland"),
				),
				array(
					'type'        => 'vc_link',
					'heading'     => esc_html__('Member item image link', 'proland' ),
					'param_name'  => 'links',
					'description' => esc_html__('Add custom link or leave blank.', 'proland' ),
				),
				array(
					"type" 			=> "textfield",
					"heading" 		=> esc_html__("Your item title", "proland"),
					"param_name" 	=> "item_heading",
					"description" 	=> esc_html__("Add Your item title", "proland")
				),
				array(
					"type" 			=> "textarea",
					"heading" 		=> esc_html__("Your item description", "proland"),
					"param_name" 	=> "item_desc",
					"description" 	=> esc_html__("Add Your item description", "proland")
				),
				array(
					"type" 			=> "textfield",
					"heading" 		=> esc_html__("Item animation delay. ", "proland"),
					"param_name" 	=> "item_delay",
					"description" 	=> esc_html__("Add your item delay number. Example : 0.1, 0.5, 1.2 and more", "proland"),
				),
				// social
				array(
					"type" => "textfield",
					"heading" => esc_html__("Member item social name 1", "proland"),
					"param_name" => "s_n_1",
					"description" => esc_html__("Add your item image", "proland"),
				),
				array(
					'type'        => 'textfield',
					'heading'     => esc_html__('Member item social link 1', 'proland' ),
					'param_name'  => 's_u_1',
					'description' => esc_html__('Add social icon link ', 'proland' ),
				),
				array(
					"type" => "textfield",
					"heading" => esc_html__("Member item social name 2", "proland"),
					"param_name" => "s_n_2",
					"description" => esc_html__("Add your item image", "proland"),
				),
				array(
					'type'        => 'textfield',
					'heading'     => esc_html__('Member item social link 2', 'proland' ),
					'param_name'  => 's_u_2',
					'description' => esc_html__('Add social icon link ', 'proland' ),
				),
				array(
					"type" => "textfield",
					"heading" => esc_html__("Member item social name 3", "proland"),
					"param_name" => "s_n_3",
					"description" => esc_html__("Add your item image", "proland"),
				),
				array(
					'type'        => 'textfield',
					'heading'     => esc_html__('Member item social link 3', 'proland' ),
					'param_name'  => 's_u_3',
					'description' => esc_html__('Add social icon link ', 'proland' ),
				),
				array(
					"type" => "textfield",
					"heading" => esc_html__("Member item social name 4", "proland"),
					"param_name" => "s_n_4",
					"description" => esc_html__("Add your item image", "proland"),
				),
				array(
					'type'        => 'textfield',
					'heading'     => esc_html__('Member item social link 4', 'proland' ),
					'param_name'  => 's_u_4',
					'description' => esc_html__('Add social icon link ', 'proland' ),
				),
				array(
					"type" => "textfield",
					"heading" => esc_html__("Member item social name 5", "proland"),
					"param_name" => "s_n_5",
					"description" => esc_html__("Add your item image", "proland"),
				),
				array(
					'type'        => 'textfield',
					'heading'     => esc_html__('Member item social link 5', 'proland' ),
					'param_name'  => 's_u_5',
					'description' => esc_html__('Add social icon link ', 'proland' ),
				),

			)
		),
		// param_group end
		array(
			"type"        => "colorpicker",
			"heading"     => esc_html__("heading text color", "proland"),
			"param_name"  => 'headingcolor',
			"description" => esc_html__("select heading text color", "proland"),
			'group'       => esc_html__( 'Color Options', 'proland' ),
		),

		array(
			"type"        => "colorpicker",
			"heading"     => esc_html__("description / paragraph color", "proland"),
			"param_name"  => 'descriptioncolor',
			"description" => esc_html__("select description / paragraph color", "proland"),
			'group'       => esc_html__( 'Color Options', 'proland' ),
		),
		array(
			"type"        => "colorpicker",
			"heading"     => esc_html__("item heading color", "proland"),
			"param_name"  => 'itemheadingcolor',
			"description" => esc_html__("select item heading color", "proland"),
			'group'       => esc_html__( 'Color Options', 'proland' ),
		),
		array(
			"type"        => "colorpicker",
			"heading"     => esc_html__("item description color", "proland"),
			"param_name"  => 'itemdesccolor',
			"description" => esc_html__("select item description color", "proland"),
			'group'       => esc_html__( 'Color Options', 'proland' ),
		),

         array(
            'type'        => 'css_editor',
            'heading'     => esc_html__('Css', 'proland' ),
            'param_name'  => 'css',
            'group' 	  => esc_html__('Background options', 'proland' ),
        ),
      ),
   ) );
}
class WPBakeryShortCode_proland_team extends WPBakeryShortCode {
}


/*-----------------------------------------------------------------------------------*/
/*	PROLAND TIMELINE
/*-----------------------------------------------------------------------------------*/
add_action( 'vc_before_init', 'proland_timeline_integrateWithVC' );
function proland_timeline_integrateWithVC() {
   vc_map( array(
		"name" 	 => esc_html__( "Timeline", "proland" ),
		"base" 	 => "proland_timeline",
		"category" => esc_html__( "Proland", "proland"),
		"params"   => array(
		 array(
            'type'        => 'textfield',
            'heading'     => esc_html__('Section ID', 'proland' ),
            'param_name'  => 'section_id',
            "description" => esc_html__("Add Your Section ID", "proland"),
        ),
        array(
            'type'        => 'textfield',
            'heading'     => esc_html__('Heading', 'proland' ),
            'param_name'  => 'heading',
            "description" => esc_html__("Add your section heading", "proland"),
        ),
		array(
            'type'        => 'textarea',
            'heading'     => esc_html__('Description', 'proland' ),
            'param_name'  => 'description',
            "description" => esc_html__("Add your description", "proland"),
        ),
		array(
			'type'        => 'vc_link',
			'heading'     => esc_html__('Description area link', 'proland' ),
			'param_name'  => 'link',
			'description' => esc_html__('Add custom link or leave blank.', 'proland' ),
		),
		array(
			'type'        => 'param_group',
			'heading'     => esc_html__('Timeline item', 'proland' ),
			'param_name'  => 'timeline_items',
			'group' => esc_html__('Timeline', 'proland' ),
			'params' => array(

				array(
					'type'        => 'dropdown',
					'heading'     => esc_html__('Select item content type. ', 'proland' ),
					'param_name'  => 'type',
					'description' => esc_html__('This option about time type.', 'proland' ),
					'value'       => array(
						esc_html__('Select a type', 		'proland' )		=> 'content',
						esc_html__('year', 					'proland' )		=> 'year',
						esc_html__('content', 				'proland' )		=> 'content',
					),
				),

				array(
					'type'        => 'dropdown',
					'heading'     => esc_html__('Select item column position left & right', 'proland' ),
					'param_name'  => 'position',
					'description' => esc_html__('This option about time left/right position', 'proland' ),
					'value'       => array(
						esc_html__('Select a position', 	'proland' )		=> 'left',
						esc_html__('left', 					'proland' )		=> 'left',
						esc_html__('right', 				'proland' )		=> 'right',
					),
				),

				array(
					"type" 			=> "textfield",
					"heading" 		=> esc_html__("Your item time", "proland"),
					"param_name" 	=> "item_time",
					"description" 	=> esc_html__("Add Your item time", "proland")
				),

				array(
					"type" 			=> "textfield",
					"heading" 		=> esc_html__("Your item title", "proland"),
					"param_name" 	=> "item_heading",
					"description" 	=> esc_html__("Add Your item title", "proland")
				),
				array(
					"type" 			=> "textarea",
					"heading" 		=> esc_html__("Your item description", "proland"),
					"param_name" 	=> "item_desc",
					"description" 	=> esc_html__("Add Your item description", "proland")
				),
			)
		),
		// param_group end


         array(
            'type'        => 'css_editor',
            'heading'     => esc_html__('Css', 'proland' ),
            'param_name'  => 'css',
            'group' 	  => esc_html__('Background options', 'proland' ),
        ),
      ),
   ) );
}
class WPBakeryShortCode_proland_timeline extends WPBakeryShortCode {
}


/*-----------------------------------------------------------------------------------*/
/*	PROLAND MOBILE_APP
/*-----------------------------------------------------------------------------------*/
add_action( 'vc_before_init', 'proland_mobile_app_integrateWithVC' );
function proland_mobile_app_integrateWithVC() {
   vc_map( array(
		"name" 	 => esc_html__( "Mobile App", "proland" ),
		"base" 	 => "proland_mobile_app",
		"category" => esc_html__( "Proland", "proland"),
		"params"   => array(
		 array(
            'type'        => 'textfield',
            'heading'     => esc_html__('Section ID', 'proland' ),
            'param_name'  => 'section_id',
            "description" => esc_html__("Add Your Section ID", "proland"),
        ),
        array(
            'type'        => 'textfield',
            'heading'     => esc_html__('Heading', 'proland' ),
            'param_name'  => 'heading',
            "description" => esc_html__("Add your section heading", "proland"),
        ),
		array(
            'type'        => 'textarea',
            'heading'     => esc_html__('Description', 'proland' ),
            'param_name'  => 'description',
            "description" => esc_html__("Add your description", "proland"),
        ),
		array(
            "type" 			=> "attach_image",
            "heading" 		=> esc_html__("Section background image", "proland"),
            "param_name" 	=> "bg_image",
            "description" 	=> esc_html__("Add your background image", "proland"),
        ),
		array(
            "type" 			=> "attach_image",
            "heading" 		=> esc_html__("Section column left image", "proland"),
            "param_name" 	=> "img_right",
            "description" 	=> esc_html__("Add your image", "proland"),
        ),
		array(
			'type'        => 'vc_link',
			'heading'     => esc_html__('Description area link', 'proland' ),
			'param_name'  => 'link',
			'description' => esc_html__('Add custom link or leave blank.', 'proland' ),
			'group' 	  => esc_html__('Appstore', 'proland' ),
		),
		array(
            "type" 			=> "attach_image",
            "heading" 		=> esc_html__("Appstore link image", "proland"),
            "param_name" 	=> "img_appstore",
            "description" 	=> esc_html__("Add your image", "proland"),
			'group' 	  	=> esc_html__('Appstore', 'proland' ),
        ),
		array(
			'type'        => 'vc_link',
			'heading'     => esc_html__('Description area link', 'proland' ),
			'param_name'  => 'link2',
			'description' => esc_html__('Add custom link or leave blank.', 'proland' ),
			'group' 	  => esc_html__('Google play', 'proland' ),
		),

		array(
            "type" 			=> "attach_image",
            "heading" 		=> esc_html__("Google playstore link image", "proland"),
            "param_name" 	=> "img_play",
            "description" 	=> esc_html__("Add your image", "proland"),
			'group' 	  	=> esc_html__('Google play', 'proland' ),
        ),
        array(
            'type'        => 'css_editor',
            'heading'     => esc_html__('Css', 'proland' ),
            'param_name'  => 'css',
            'group' 	  => esc_html__('Background options', 'proland' ),
        ),
      ),
   ) );
}
class WPBakeryShortCode_proland_mobile_app extends WPBakeryShortCode {
}

/*-----------------------------------------------------------------------------------*/
/*	PROLAND MOBILE_APP
/*-----------------------------------------------------------------------------------*/

add_action( 'vc_before_init', 'proland_newsletter_integrateWithVC' );
function proland_newsletter_integrateWithVC() {
   vc_map( array(
		"name" 	 => esc_html__( "Newsletter", "proland" ),
		"base" 	 => "proland_newsletter",
		"category" => esc_html__( "Proland", "proland"),
		"params"   => array(
		 array(
            'type'        => 'textfield',
            'heading'     => esc_html__('Section ID', 'proland' ),
            'param_name'  => 'section_id',
            "description" => esc_html__("Add Your Section ID", "proland"),
        ),
        array(
            'type'        => 'textfield',
            'heading'     => esc_html__('Heading', 'proland' ),
            'param_name'  => 'heading',
            "description" => esc_html__("Add your section heading", "proland"),
        ),
		array(
            'type'        => 'textarea',
            'heading'     => esc_html__('Description', 'proland' ),
            'param_name'  => 'description',
            "description" => esc_html__("Add your description", "proland"),
        ),
		array(
			'type'        => 'vc_link',
			'heading'     => esc_html__('Description area link', 'proland' ),
			'param_name'  => 'link',
			'description' => esc_html__('Add custom link or leave blank.', 'proland' ),
		),
		array(
            'type'        => 'textarea_html',
            'heading'     => esc_html__('Newsletter form area', 'proland' ),
            'param_name'  => 'content',
            "description" => esc_html__("Add your newsletter form shortcode here or you can use any content.", "proland"),
        ),
		array(
            'type'        => 'textfield',
            'heading'     => esc_html__('Form no spam text line', 'proland' ),
            'param_name'  => 'no_spam',
            "description" => esc_html__("Add your text or leave blank", "proland"),
        ),
        array(
            'type'        => 'css_editor',
            'heading'     => esc_html__('Css', 'proland' ),
            'param_name'  => 'css',
            'group' 	  => esc_html__('Background options', 'proland' ),
        ),
      ),
   ) );
}
class WPBakeryShortCode_proland_newsletter extends WPBakeryShortCode {
}


/*-----------------------------------------------------------------------------------*/
/*	FAQS PROLAND
/*-----------------------------------------------------------------------------------*/
add_action( 'vc_before_init', 'proland_faqs_integrateWithVC' );
function proland_faqs_integrateWithVC() {
   vc_map( array(
		"name" 	 => esc_html__( "Faqs", "proland" ),
		"base" 	 => "proland_faqs",
		"category" => esc_html__( "Proland", "proland"),
		"params"   => array(
		 array(
            'type'        => 'textfield',
            'heading'     => esc_html__('Section ID', 'proland' ),
            'param_name'  => 'section_id',
            "description" => esc_html__("Add Your Section ID", "proland"),
			'group' => esc_html__('Section Values', 'proland' )
        ),
        array(
            'type'        => 'textfield',
            'heading'     => esc_html__('Heading', 'proland' ),
            'param_name'  => 'heading',
            "description" => esc_html__("Add your section heading", "proland"),
			'group' => esc_html__('Section Values', 'proland' )
        ),
		array(
            'type'        => 'textarea',
            'heading'     => esc_html__('Description', 'proland' ),
            'param_name'  => 'description',
            "description" => esc_html__("Add your description", "proland"),
			'group' => esc_html__('Section Values', 'proland' )
        ),
		array(
			'type'        => 'vc_link',
			'heading'     => esc_html__('Description area link', 'proland' ),
			'param_name'  => 'link',
			'description' => esc_html__('Add custom link or leave blank.', 'proland' ),
		),
		array(
			'type'        => 'param_group',
			'heading'     => esc_html__('Faqs item values', 'proland' ),
			'param_name'  => 'faqs_item',
			'group' => esc_html__('Faq Items', 'proland' ),
			'params' => array(

				array(
					'type'        => 'dropdown',
					'heading'     => esc_html__('Select item column number ', 'proland' ),
					'param_name'  => 'column',
					'description' => esc_html__('You can use bootstrap column number if you want to use different column layouts.', 'proland' ),
					'value'       => array(
						esc_html__('Select a number', 		'proland' )		=> '4',
						esc_html__('2', 					'proland' )		=> '2',
						esc_html__('3', 					'proland' )		=> '3',
						esc_html__('4', 					'proland' )		=> '4',
						esc_html__('5', 					'proland' )		=> '5',
						esc_html__('6', 					'proland' )		=> '6',
						esc_html__('7', 					'proland' )		=> '7',
						esc_html__('8', 					'proland' )		=> '8',
						esc_html__('9', 					'proland' )		=> '9',
						esc_html__('10', 					'proland' )		=> '10',
						esc_html__('11', 					'proland' )		=> '11',
						esc_html__('12', 					'proland' )		=> '12',
					),
				),
				array(
					"type" 			=> "textfield",
					"heading" 		=> esc_html__("Your item title", "proland"),
					"param_name" 	=> "item_heading",
					"description" 	=> esc_html__("Add Your item title", "proland")
				),
				array(
					"type" 			=> "textarea",
					"heading" 		=> esc_html__("Your item description", "proland"),
					"param_name" 	=> "item_desc",
					"description" 	=> esc_html__("Add Your item description", "proland")
				),
				array(
					"type" 			=> "textfield",
					"heading" 		=> esc_html__("Item animation delay. ", "proland"),
					"param_name" 	=> "item_delay",
					"description" 	=> esc_html__("Add your item delay number. Example : 0.1, 0.5, 1.2 and more", "proland"),
				),
			)
		),
		// param_group end
		array(
			"type"        => "colorpicker",
			"heading"     =>  esc_html__("heading text color", "proland"),
			"param_name"  => 'headingcolor',
			"description" =>  esc_html__("select heading text color", "proland"),
			'group'       => esc_html__( 'Color Options', 'proland' ),
		),

		array(
			"type"        => "colorpicker",
			"heading"     =>  esc_html__("description / paragraph color", "proland"),
			"param_name"  => 'descriptioncolor',
			"description" =>  esc_html__("select description / paragraph color", "proland"),
			'group'       => esc_html__( 'Color Options', 'proland' ),
		),
		array(
			"type"        => "colorpicker",
			"heading"     =>  esc_html__("item heading color", "proland"),
			"param_name"  => 'itemheadingcolor',
			"description" =>  esc_html__("select item heading color", "proland"),
			'group'       => esc_html__( 'Color Options', 'proland' ),
		),
		array(
			"type"        => "colorpicker",
			"heading"     =>  esc_html__("item description color", "proland"),
			"param_name"  => 'itemdesccolor',
			"description" =>  esc_html__("select item description color", "proland"),
			'group'       => esc_html__( 'Color Options', 'proland' ),
		),

         array(
            'type'        => 'css_editor',
            'heading'     => esc_html__('Css', 'proland' ),
            'param_name'  => 'css',
            'group' => esc_html__('Background options', 'proland' ),
        ),
      ),
   ) );
}
class WPBakeryShortCode_proland_faqs extends WPBakeryShortCode {
}

/*-----------------------------------------------------------------------------------*/
/*	 PROLAND TECH SPETS
/*-----------------------------------------------------------------------------------*/
add_action( 'vc_before_init', 'proland_tech_spets_integrateWithVC' );
function proland_tech_spets_integrateWithVC() {
   vc_map( array(
		"name" 	 => esc_html__( "Tech Spets", "proland" ),
		"base" 	 => "proland_tech_spets",
		"category" => esc_html__( "Proland", "proland"),
		"params"   => array(
		 array(
            'type'        => 'textfield',
            'heading'     => esc_html__('Section ID', 'proland' ),
            'param_name'  => 'section_id',
            "description" => esc_html__("Add Your Section ID", "proland"),
        ),
        array(
            'type'        => 'textfield',
            'heading'     => esc_html__('Heading', 'proland' ),
            'param_name'  => 'heading',
            "description" => esc_html__("Add your section heading", "proland"),
        ),
		array(
            'type'        => 'textarea',
            'heading'     => esc_html__('Description', 'proland' ),
            'param_name'  => 'description',
            "description" => esc_html__("Add your description", "proland"),
        ),
		array(
			'type'        => 'vc_link',
			'heading'     => esc_html__('Description area link', 'proland' ),
			'param_name'  => 'link',
			'description' => esc_html__('Add custom link or leave blank.', 'proland' ),
		),
		array(
			'type'        => 'param_group',
			'heading'     => esc_html__('Tech Spets item values', 'proland' ),
			'param_name'  => 'tech_spets_item',
			'group' => esc_html__('Section items', 'proland' ),
			'params' => array(

				array(
					'type'        => 'dropdown',
					'heading'     => esc_html__('Select item column number ', 'proland' ),
					'param_name'  => 'column',
					'description' => esc_html__('You can use bootstrap column number if you want to use different column layouts.', 'proland' ),
					'value'       => array(
						esc_html__('Select a number', 		'proland' )		=> '4',
						esc_html__('2', 					'proland' )		=> '2',
						esc_html__('3', 					'proland' )		=> '3',
						esc_html__('4', 					'proland' )		=> '4',
						esc_html__('5', 					'proland' )		=> '5',
						esc_html__('6', 					'proland' )		=> '6',
						esc_html__('7', 					'proland' )		=> '7',
						esc_html__('8', 					'proland' )		=> '8',
						esc_html__('9', 					'proland' )		=> '9',
						esc_html__('10', 					'proland' )		=> '10',
						esc_html__('11', 					'proland' )		=> '11',
						esc_html__('12', 					'proland' )		=> '12',
					),
				),
				array(
					"type" 			=> "textfield",
					"heading" 		=> esc_html__("Item heading", "proland"),
					"param_name" 	=> "item_heading",
					"description" 	=> esc_html__("Add Your item heading", "proland")
				),
			   array(
					"type"		 	=> "textarea",
					"heading"		=> esc_html__("Content", "proland"),
					"param_name"	=> "item_desc",
					"description" 	=> esc_html__("You can add any html elements.", "proland")
				),
				array(
					"type" 			=> "textfield",
					"heading" 		=> esc_html__("Item animation delay. ", "proland"),
					"param_name" 	=> "item_delay",
					"description" 	=> esc_html__("Add your item delay number. Example : 0.1, 0.5, 1.2 and more", "proland"),
				),
			)
		),
		// param_group end
		array(
			"type"        => "colorpicker",
			"heading"     =>  esc_html__("heading text color", "proland"),
			"param_name"  => 'headingcolor',
			"description" =>  esc_html__("select heading text color", "proland"),
			'group'       => esc_html__( 'Color Options', 'proland' ),
		),

		array(
			"type"        => "colorpicker",
			"heading"     =>  esc_html__("description / paragraph color", "proland"),
			"param_name"  => 'descriptioncolor',
			"description" =>  esc_html__("select description / paragraph color", "proland"),
			'group'       => esc_html__( 'Color Options', 'proland' ),
		),
		array(
			"type"        => "colorpicker",
			"heading"     =>  esc_html__("item heading color", "proland"),
			"param_name"  => 'itemheadingcolor',
			"description" =>  esc_html__("select item heading color", "proland"),
			'group'       => esc_html__( 'Color Options', 'proland' ),
		),
		array(
			"type"        => "colorpicker",
			"heading"     =>  esc_html__("item description color", "proland"),
			"param_name"  => 'itemdesccolor',
			"description" =>  esc_html__("select item description color", "proland"),
			'group'       => esc_html__( 'Color Options', 'proland' ),
		),

         array(
            'type'        => 'css_editor',
            'heading'     => esc_html__('Css', 'proland' ),
            'param_name'  => 'css',
            'group' 	  => esc_html__('Background options', 'proland' ),
        ),
      ),
   ) );
}
class WPBakeryShortCode_proland_tech_spets extends WPBakeryShortCode {
}

/*-----------------------------------------------------------------------------------*/
/*	PAGE CONTACT
/*-----------------------------------------------------------------------------------*/
add_action( 'vc_before_init', 'proland_contact_vc_integrateWithVC' );
function proland_contact_vc_integrateWithVC() {
   vc_map( array(
      "name" 	 => esc_html__( "Contact Section", "proland" ),
      "base" 	 => "proland_contact",
	  "icon" 	 => "icon-wpb-map-pin",
	  "category" => esc_html__( "Proland", "proland"),
      "params"   => array(
		 array(
            'type'        => 'textfield',
            'heading'     => esc_html__('Section ID', 'proland' ),
            'param_name'  => 'section_id',
            "description" => esc_html__("Add Your Section ID", "proland"),
        ),
        array(
            'type'        => 'textfield',
            'heading'     => esc_html__('Heading', 'proland' ),
            'param_name'  => 'heading',
            "description" => esc_html__("Add your heading", "proland"),
        ),
        array(
            'type'        => 'textfield',
            'heading'     => esc_html__('Flipbox contact button text', 'proland' ),
            'param_name'  => 'button_text',
            "description" => esc_html__("Add your heading", "proland"),
        ),
        array(
            'type'        => 'textfield',
            'heading'     => esc_html__('Google map latitude', 'proland' ),
            'param_name'  => 'lat',
            "description" => esc_html__("Example : 37.3818288", "proland"),
			'group' 	  => esc_html__('Map', 'proland' ),
        ),
        array(
            'type'        => 'textfield',
            'heading'     => esc_html__('Google map longtitude', 'proland' ),
            'param_name'  => 'lon',
            "description" => esc_html__("Example : -122.0636325", "proland"),
			'group' 	  => esc_html__('Map', 'proland' ),
        ),
        array(
            'type'        => 'textfield',
            'heading'     => esc_html__('Google map zoom', 'proland' ),
            'param_name'  => 'zoom',
            "description" => esc_html__("Default value : 15", "proland"),
			'group' 	  => esc_html__('Map', 'proland' ),
        ),
		//	start param_group
		array(
			'type'        => 'param_group',
			'heading'     => esc_html__('Contact info', 'proland' ),
			'param_name'  => 'contact_item',
			'group' => esc_html__('Contact detail', 'proland' ),
			'params' => array(

				array(
					'type'        => 'textfield',
					'heading'     => esc_html__('Icon', 'proland' ),
					'param_name'  => 'icon_name',
					'description' => esc_html__('Add icon class name. Example : fa fa-info-circle or icon-desktop', 'proland' ),
				),
				array(
					"type"        => "textfield",
					"heading"     => esc_html__("First line", "proland"),
					"param_name"  => "first_line",
					"description" => esc_html__("Add contact detail - first line", "proland")
				),
				array(
					"type"        => "textfield",
					"heading"     => esc_html__("Second line", "proland"),
					"param_name"  => "second_line",
					"description" => esc_html__("Add contact detail - second line", "proland")
				),
			)
		),
		// param_group end

		array(
			"type"        => "textarea_html",
			"heading"     => esc_html__("Contact form ", "proland"),
			"param_name"  => 'content',
			"description" => esc_html__("Copy paste your contact form shortcode", "proland"),
			'group'       => esc_html__( 'Contact Form', 'proland' ),
		),

        array(
            'type'        => 'css_editor',
            'heading'     => esc_html__('Css', 'proland' ),
            'param_name'  => 'css',
            'group'       => esc_html__('Background options', 'proland' )
        ),
      ),
   ) );
}
class WPBakeryShortCode_proland_contact extends WPBakeryShortCode {
}

/*-----------------------------------------------------------------------------------*/
/*	PRICING acele
/*-----------------------------------------------------------------------------------*/
function Proland_section_pricing_integrateWithVC() {
   vc_map( array(
      "name"       => esc_html__("Pricing ( Plugin )", "proland"),
      "base"       => "proland_section_pricing",
	  "category"   => esc_html__("Proland", "proland"),
      "params"     => array(
		 array(
            'type'        => 'textfield',
            'heading'     => esc_html__('Section ID', 'proland'),
            'param_name'  => 'section_id',
            'description' => esc_html__('Add your Section ID', 'proland'),
        ),
		array(
			'type'        => 'dropdown',
			'heading'     => esc_html__('Heading display ( hide or show )', 'proland' ),
			'param_name'  => 'heading_display',
			'description' => esc_html__('You can select hide or show section heading all text', 'proland' ),
			'value'       => array(
				esc_html__('Show', 	'proland' )	=> 'show',
				esc_html__('Hide', 	'proland' )	=> 'hide',
			),
		),

		array(
			'type'          => 'textarea',
			'heading'       => esc_html__('Heading first ( bold )', 'proland' ),
			'param_name'    => 'bold_heading',
			'description'   => esc_html__("Add your first bold heading", "proland"),
			'dependency' 	=> array(
					'element' 	=> 'heading_display',
					'value'   	=> 'show'
				)
		),
		array(
			'type'          => 'textarea',
			'heading'       => esc_html__('Heading second ( thin )', 'proland' ),
			'param_name'    => 'thin_heading',
			'description'   => esc_html__("Add your second thin heading", "proland"),
			'dependency' 	=> array(
					'element' 	=> 'heading_display',
					'value'   	=> 'show'
				)
		),
		array(
			'type'          => 'textarea',
			'heading'       => esc_html__('Section description', 'proland' ),
			'param_name'    => 'sec_desc',
			'description'   => esc_html__("Add description", "proland"),
			'dependency' 	=> array(
					'element' 	=> 'heading_display',
					'value'   	=> 'show'
				)
		),
		array(
			'type'        => 'vc_link',
			'heading'     => esc_html__('Button URL', 'proland'),
			'param_name'  => 'pricelink',
			'description' => esc_html__('Add link for price button.', 'proland'),
		),
		array(
			'type'        => 'dropdown',
			'heading'     => esc_html__('Select button type', 'proland' ),
			'param_name'  => 'border_type',
			'description' => esc_html__('You can select button type', 'proland' ),
			'value'       => array(
				esc_html__('Select button type', 'proland' )	=> '',
				esc_html__('Rectangle', 		'proland' )	=> 'rectangle',
				esc_html__('Rounded', 			'proland' )	=> 'rounded',
			),
		),
        array(
            'type'        => 'textfield',
            'heading'     => esc_html__('Price Table Count', 'proland' ),
            'param_name'  => 'post_number',
			'group'       => esc_html__('Post Options', 'proland'),
            'description' => esc_html__('You can control with number your price tables.Please enter a number', 'proland'),
        ),
        array(
            'type'        => 'textfield',
            'heading'     => esc_html__('Category', 'proland' ),
            'param_name'  => 'price_category',
			'group'       => esc_html__('Post Options', 'proland'),
            'description' => esc_html__('Enter Price table category or write all', 'proland'),
        ),
        array(
            'type'        => 'textfield',
            'heading'     => esc_html__('order', 'proland' ),
            'param_name'  => 'order',
			'group'       => esc_html__('Post Options', 'proland'),
            'description' => esc_html__('Enter Price table order. DESC or ASC', 'proland'),
        ),
        array(
            'type'        => 'textfield',
            'heading'     => esc_html__('orderby', 'proland' ),
            'param_name'  => 'orderby',
			'group'       => esc_html__('Post Options', 'proland'),
            'description' => esc_html__('Enter Price table orderby. Default is : date', 'proland'),
        ),
		array(
            'type'        => 'css_editor',
            'heading'     => esc_html__('Background CSS', 'proland'),
            'param_name'  => 'css',
            'group'       => esc_html__('Background options', 'proland'),
        )
    ),
   )
 );
}
class Proland_section_pricing extends WPBakeryShortCode {}
add_action( 'vc_before_init', 'Proland_section_pricing_integrateWithVC' );

/*-----------------------------------------------------------------------------------*/
/*	PROLAND TIMELINE
/*-----------------------------------------------------------------------------------*/
add_action( 'vc_before_init', 'proland_heading_type_integrateWithVC' );
function proland_heading_type_integrateWithVC() {
   vc_map( array(
		"name" 	 => esc_html__( "Heading", "proland" ),
		"base" 	 => "proland_heading_type",
		"category" => esc_html__( "Proland", "proland"),
		"params"   => array(
		 array(
            'type'        => 'textfield',
            'heading'     => esc_html__('Section ID', 'proland' ),
            'param_name'  => 'section_id',
            "description" => esc_html__("Add Your Section ID", "proland"),
        ),
        array(
            'type'        => 'textfield',
            'heading'     => esc_html__('Heading', 'proland' ),
            'param_name'  => 'heading',
            "description" => esc_html__("Add your section heading", "proland"),
        ),
		array(
            'type'        => 'textarea',
            'heading'     => esc_html__('Description', 'proland' ),
            'param_name'  => 'description',
            "description" => esc_html__("Add your description", "proland"),
        ),
        array(
            'type'        => 'css_editor',
            'heading'     => esc_html__('Css', 'proland' ),
            'param_name'  => 'css',
            'group' 	  => esc_html__('Background options', 'proland' ),
        ),
      ),
   ) );
}
class WPBakeryShortCode_proland_heading_type extends WPBakeryShortCode {
}


// Filter to replace default css class names for vc_row shortcode and vc_column
add_filter( 'vc_shortcodes_css_class', 'proland_custom_css_classes_for_vc_row_and_vc_column', 10, 2 );
function proland_custom_css_classes_for_vc_row_and_vc_column( $class_string, $tag ) {
  if (  $tag == 'vc_row_inner' ) {
    $class_string = str_replace( 'vc_row-fluid', 'container bootstrap', $class_string ); // This will replace "vc_row-fluid" with "my_row-fluid"
  }
  return $class_string; // Important: you should always return modified or original $class_string
}
