( function($) {
  'use strict';


  	(function(){
		var map;
		map = new GMaps({
			el: '.js-gmap',
			lat:prefix.lat,
			lng:prefix.lng,
			scrollwheel:false,
			zoom: prefix.zoom,
			zoomControl : true,
			panControl : false,
			streetViewControl : false,
			mapTypeControl: false,
			overviewMapControl: false,
			clickable: false
		});


		var image = prefix.mapmarkerimg;

		map.addMarker({
			lat: prefix.lat,
			lng:prefix.lng,
			icon : image,
			animation: google.maps.Animation.DROP,
			verticalAlign: 'bottom',
			horizontalAlign: 'center',
			backgroundColor: prefix.mapbgcolor,
			infoWindow:{
				content: prefix.addresscontent
			}
		});
		  
		var styles = [ 

			{
			  "featureType": "road",
			  "stylers": [
				{ "color": prefix.roadcolor }
			  ]
			},
			{
			  "featureType": "landscape",
			  "stylers": [
				{ "color": prefix.landscapecolor }
			  ]
			},
			{
			  "featureType": "water",
			  "stylers": [
				{ "color": prefix.watercolor }
			  ]
			},
			{
			  "elementType": "labels.text.fill",
			  "stylers": [
				{ "color": prefix.labelstextfillcolor }
			  ]
			},
			{
			  "featureType": "poi",
			  "stylers": [
				{ "color": prefix.poicolor }
			  ]
			},
			{
			  "elementType": "labels.text",
			  "stylers": [
				{ "saturation": prefix.saturation },
				{ "weight": prefix.weight },
				{ "color": prefix.labelstextcolor }
			  ]
			}
	  
		];

		map.addStyle({
			styledMapName:"Styled Map",
			styles: styles,
			mapTypeId: "map_style"  
		});

		map.setStyle("map_style");
		$(window).resize(function(){
			google.maps.event.trigger(map, "resize");
		});
	}()); 




})(jQuery);
