<?php
	$proland_vertical_middle = 'vertical-middle';
	$proland_vertical_top    = 'vertical-top';
	$proland_mp3 = rwmb_meta('proland_audio_mp3', 'type=text');
	$proland_oga = rwmb_meta('proland_audio_ogg', 'type=text');
	$proland_sc_url = rwmb_meta('proland_audio_sc', 'type=text');
	$proland_wp_audio = '[audio mp3="'.$proland_mp3.'"  ogg="'.$proland_oga.'"]';
?>


<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<div class="row blog-custom-class wow fadeInUp">
		<div class="featured-img row m0">

			<?php	if( $proland_sc_url!='' ) : ?>
				<div class="post-thumb blog-bg">
				<?php echo echo wp_kses($proland_sc_url,proland_allowed_html()); ?>
				</div>

				<?php else : ?>
				<div class="post-thumb blog-bg">
					<?php if( has_post_thumbnail() ) : the_post_thumbnail(); endif; ?>
					<?php echo do_shortcode($proland_wp_audio); ?>
				</div>
			<?php endif; ?>
		</div>
		<div class="media">
			<div class="media-left">
				<div class="post-activity">
					<?php
						if( ot_get_option( 'proland_content_social' ) != 'off' ) {
							get_template_part('template-part/content-social');
						}
					?>
					<?php  if( ot_get_option( 'proland_content_comment' ) != 'off' ) { ?>
					<div class="activity"><a href="<?php esc_url( comments_link() ); ?>"><i class="fa fa-commenting"></i><?php comments_number( '0', '1', '%' ); ?></a></div>
					<?php }  ?>
					<?php  if( ot_get_option( 'proland_content_like' ) != 'off' ) { ?>
					<div class="like activity"><?php echo get_simple_likes_button( get_the_ID() ); ?></div>
					<?php }  ?>
				</div>
			</div>

			<?php 	if ( has_post_thumbnail() !='' ) : 	?>
			<div class="media-body  <?php echo esc_attr($proland_vertical_top); ?>"><!-- Article Image -->
			<?php else : ?>
			<div class="media-body <?php echo esc_attr($proland_vertical_middle); ?>"><!-- Article Image -->
			<?php endif; ?>

				<?php
					if ( ! is_single() ) :
						the_title( sprintf( '<h2 class="entry-title-off all-caps-off"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h2>' );
					endif;
				?>

				<?php if ( ! is_single() ) : ?>
					<h5 class="post-meta">
						<?php esc_html_e('By', 'proland'); ?> <a href="<?php echo esc_url( get_permalink() ); ?>"><?php the_author(); ?></a>
						<?php esc_html_e('in', 'proland'); ?> <a><?php the_category(', '); ?></a>
						<?php esc_html_e('Posted', 'proland'); ?> <a href="<?php echo esc_url( get_permalink() ); ?>"><?php the_time('F j, Y'); ?></a>
						<?php esc_html_e('Tags', 'proland'); ?> <?php the_tags( '', ',', '</li> '); ?>
					</h5>
				<?php endif; ?>

				<?php
					if( ot_get_option( 'proland_format_content_type' ) == 'd' ) {
						the_content( sprintf(
							esc_html__( 'Continue reading %s', 'proland' ),
							the_title( '<span class="screen-reader-text">', '</span>', false )
						) );
					} else {
						if ( is_single() ) :
							the_content();
							else :
							the_excerpt();
						endif ;
					}
				?>

				<?php
				$proland_readm_display = ot_get_option( 'proland_readm_display' );
				$proland_readm_title = ot_get_option( 'proland_readm_title' );

				if($proland_readm_title !=''){
					$readm_title = $proland_readm_title;
				}else{
					$readm_title = 'READ MORE';
				}
				?>
				<?php if ( ! is_single() ) : ?>
					<?php if ( $proland_readm_display !='off' ) : ?>
						<a class="btn btn-primary" href="<?php echo esc_url( get_permalink() ); ?>" role="button"><?php echo esc_html($readm_title); ?></a>
					<?php endif; // is_single() ?>
				<?php endif; // is_single() ?>

			</div>
		</div>
	</div>

	<?php
		if (  is_single() ) :
			if ( 'off' != ot_get_option( 'proland_bottom_social' ) ) {
				get_template_part('template-part/single-social');
			}
		endif; // single page social share button

		if (  is_single() ) :
			get_template_part('template-part/biography');
		endif; // single page author box
	?>

</article><!-- #post-## -->
