<?php
	/**
	* The template for displaying posts in the Link post format.
	*
	* @package WordPress
	* @subpackage proland
	* @since proland 1.0
	*/

	$proland_vertical_middle 	= 'vertical-middle';
	$proland_vertical_top    	= 'vertical-top';
	$proland_link 				= rwmb_meta('proland_the_link', 'type=text');
	$proland_image_id 			= get_post_thumbnail_id();
	$proland_image_url 			= wp_get_attachment_image_src( $proland_image_id, true );
	$proland_color 				= rwmb_meta( 'proland_link_bg', 'type=color');
	$proland_opacity 			= rwmb_meta( 'proland_link_bg_opacity', 'type=slider' );
	$proland_opacity 			= $proland_opacity / 100;
?>


<!-- Start .hentry -->
<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<div class="hentry-box">
		<div class="post-thumb">
			<div class="ql_wrapper">
				<div class="entry-media" <?php if(has_post_thumbnail()) : ?> style="background-image: url(<?php echo esc_url( $proland_image_url[0] ); ?>); " <?php endif; ?>>
					<div class="ql_overlay" style="background-color: <?php echo esc_attr($proland_color); ?>; opacity: <?php echo esc_attr($proland_opacity); ?>;"></div>
					<div class="row blog-custom-class wow fadeInUp margin-b-none">
						<div class="ql_textwrap">
							<h2><a class="white-link-color" href="<?php esc_url(  get_permalink() ); ?>"><?php the_title(); ?></a></h2>
							<p><a href="<?php echo esc_url($proland_link); ?>" target="_blank" style="color: #ffffff;"><?php echo esc_url( $proland_link ); ?></a></p>
						</div>
					</div>
				</div>
			</div>
		</div>

	<div class="margin-t-50"> </div>

	<?php
		if (  is_single() ) :
			if ( 'off' != ot_get_option( 'proland_bottom_social' ) ) {
				get_template_part('template-part/single-social');
			}
		endif; // single page social share button

		if (  is_single() ) :
			get_template_part('template-part/biography');
		endif; // single page author box
	?>

</article><!-- #post-## -->
