<?php
	/**
	* The template for displaying posts in the Status post format.
	*
	* @package WordPress
	* @subpackage proland
	* @since proland 1.0
	*/

	$proland_vertical_middle = 'vertical-middle';
	$proland_vertical_top    = 'vertical-top';
	$proland_status_style = rwmb_meta('proland_status_style', 'type=select');
	$proland_image_id = get_post_thumbnail_id();
	$proland_image_url = wp_get_attachment_image_src($proland_image_id, true);
	$proland_color = rwmb_meta('proland_status_bg', 'type=color');
	$proland_opacity = rwmb_meta('proland_status_bg_opacity', 'type=slider');
	$proland_opacity = $proland_opacity / 100;

?>

<!-- Start .hentry -->
<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<div class="hentry-box">

		<?php if( $proland_status_style == 'value1' ) : ?>
			<div class="post-thumb">
				<div class="entry-status-twitter"><?php the_content(); ?></div>
			</div>
		<?php elseif( $proland_status_style == 'value2' ) : ?>
			<div class="post-thumb">
				<div class="ql_wrapper">
					<div class="entry-media" <?php if(has_post_thumbnail()) : ?> style="background-image: url(<?php echo esc_url($proland_image_url[0]); ?>);" <?php endif; ?>>
						<div class="ql_overlay" style="background-color: <?php echo esc_attr($proland_color); ?>; opacity: <?php echo esc_attr($proland_opacity); ?>;"></div>
						<div class="ql_textwrap">
							<h3><a href="<?php esc_url(  get_permalink() ); ?>"><?php the_title(); ?></a></h3>
						</div>
					</div>
				</div>
			</div>
		<?php endif; ?>
	</div>

	<div class="margin-t-50"> </div>

	<?php
		if (  is_single() ) :
			if ( 'off' != ot_get_option( 'proland_bottom_social' ) ) {
				get_template_part('template-part/single-social');
			}
		endif; // single page social share button

		if (  is_single() ) :
			get_template_part('template-part/biography');
		endif; // single page author box
	?>

</article>
