
	<?php

		wp_enqueue_script('fitvids');
		wp_enqueue_script('proland-blog-script');
		wp_enqueue_script('flexslider');

		$proland_embed 		= rwmb_meta('proland_video_embed', 'type=textarea');
		$proland_m4v 		= rwmb_meta('proland_video_m4v', 'type=text');
		$proland_ogv 		= rwmb_meta('proland_video_ogv', 'type=text');
		$proland_webm 		= rwmb_meta('proland_video_webm', 'type=text');
		$proland_image_id 	= get_post_thumbnail_id();
		$proland_image_url 	= wp_get_attachment_image_src($proland_image_id, true);
		$proland_wp_video 	= '[video poster="'.$proland_image_url[0].'" mp4="'.$proland_m4v.'"  webm="'.$proland_webm.'"]';

		$proland_vertical_middle = 'vertical-middle';
		$proland_vertical_top    = 'vertical-top';

	?>

	<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
		<div class=" blog-custom-class wow fadeInUp">

			<div class="featured-img row m0">
				<?php if($proland_embed!='') : ?>
				<div class="post-thumb blog-bg">
					<div class="media-element video-responsive"><?php echo wp_kses($proland_embed,proland_allowed_html()); ?></div>
				</div>

				<?php else : ?>
				<div class="post-thumb"><?php echo do_shortcode($proland_wp_video); ?></div>
				<?php endif; ?>
			</div>

			<div class="media">
				<div class="media-left">
					<div class="post-activity">
						<?php
							if( ot_get_option( 'proland_content_social' ) != 'off' ) {
								get_template_part('template-part/content-social');
							}
						?>
						<?php  if( ot_get_option( 'proland_content_comment' ) != 'off' ) { ?>
						<div class="activity"><a href="<?php esc_url( comments_link() ); ?>"><i class="fa fa-commenting"></i><?php comments_number( '0', '1', '%' ); ?></a></div>
						<?php }  ?>
						<?php  if( ot_get_option( 'proland_content_like' ) != 'off' ) { ?>
						<div class="like activity"><?php echo get_simple_likes_button( get_the_ID() ); ?></div>
						<?php }  ?>
					</div>
				</div>

				<?php 	if ( $proland_embed !='' ) : 	?>
				<div class="media-body  <?php echo esc_attr( $proland_vertical_top ); ?>"><!-- Article Image -->
				<?php else : ?>
				<div class="media-body <?php echo esc_attr( $proland_vertical_middle ); ?>"><!-- Article Image -->
				<?php endif; ?>

					<?php
						if ( ! is_single() ) :
							the_title( sprintf( '<h2 class="entry-title-off all-caps-off"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h2>' );
						endif;
					?>

					<?php if ( ! is_single() ) : ?>
						<h5 class="post-meta">
							<?php esc_html_e('By', 'proland'); ?> <a href="<?php echo esc_url( get_permalink() ); ?>"><?php the_author(); ?></a>
							<?php esc_html_e('in', 'proland'); ?> <a><?php the_category(', '); ?></a>
							<?php esc_html_e('Posted', 'proland'); ?> <a href="<?php echo esc_url( get_permalink() ); ?>"><?php the_time('F j, Y'); ?></a>
							<?php esc_html_e('Tags', 'proland'); ?> <?php the_tags( '', ',', '</li> '); ?>
						</h5>
					<?php endif; ?>


					<?php
						if( ot_get_option( 'proland_format_content_type' ) == 'd' ) {
							the_content( sprintf(
								esc_html__( 'Continue reading %s', 'proland' ),
								the_title( '<span class="screen-reader-text">', '</span>', false )
							) );
						} else {
                            if ( is_single() ) :
								the_content();
								else :
                                echo '<p>';
								the_excerpt();
                                echo '</p>';

							endif ;
						}
					?>

					<?php
					$proland_readm_display = ot_get_option( 'proland_readm_display' );
					$proland_readm_title = ot_get_option( 'proland_readm_title' );

					if($proland_readm_title !=''){
						$readm_title = $proland_readm_title;
					}else{
						$readm_title = 'READ MORE';
					}
					?>
					<?php if ( ! is_single() ) : ?>
						<?php if ( $proland_readm_display !='off' ) : ?>
							<a class="btn btn-primary" href="<?php echo esc_url( get_permalink() ); ?>" role="button"><?php echo esc_html($readm_title); ?></a>
						<?php endif; // is_single() ?>
					<?php endif; // is_single() ?>

				</div>
			</div>
		</div>

		<?php
			if (  is_single() ) :
				if ( 'off' != ot_get_option( 'proland_bottom_social' ) ) {
					get_template_part('template-part/single-social');
				}
			endif; // single page social share button

			if (  is_single() ) :
				get_template_part('template-part/biography');
			endif; // single page author box
		?>

	</article><!-- #post-## -->
