<?php
/**
 * The template part for displaying an Author social
 *
 * @package WordPress
 * @subpackage proland
 * @since proland 1.0
 
	global $post;
	
*/

	$proland_author 			= 	setup_userdata( $post->post_author );
	$proland_authordesc 		= 	get_the_author_meta( 'description' );
	$proland_author_post_url 	= 	get_author_posts_url( $post->post_author);

?>

<div class="media author-about">
	<div class="media-left">
		<a href="<?php echo get_author_posts_url( $post->post_author); ?>">
		<?php
		/**
		 * Filter the Kepler author bio avatar size.
		 *
		 * @since Kepler 1.0
		 *
		 * @param int $size The avatar height and width size in pixels.
		 */
		$proland_author_bio_avatar_size = apply_filters( 'proland_author_bio_avatar_size', 140 );

		echo get_avatar( get_the_author_meta( 'user_email' ), $proland_author_bio_avatar_size );
		?>
		</a>
	</div>
	<div class="media-body">
		<h3><a href="<?php echo esc_url( $proland_author_post_url ); ?>"><?php echo get_the_author(); ?></a></h3>
		<p>
			<?php 
				
				if  ( $proland_authordesc !='' ) : 
					echo esc_html( $proland_authordesc );
					else : 
					echo esc_html_e('This is a paragraph.It is justify aligned. It gets really mad when people associate it with Justin Timberlake. Typically, justified is pretty straight laced. It likes everything to be in its place and not all cattywampus like the rest of the aligns. I am not saying that makes it better than the rest of the aligns, but it does tend to put off more of an elitist attitude.', 'proland' );
				endif 
			?>
		</p>
		<ul class="nav">
			<?php if ( get_the_author_meta('email')!='') :?>
			<li><a href="mailto:<?php echo get_the_author_meta('email'); ?>" target="_blank"><i class="fa fa-envelope"></i></a></li><?php endif;?>
			<?php if ( get_the_author_meta('user_url')!='') :?>
			<li><a href="<?php echo get_the_author_meta('user_url'); ?>"><i class="fa fa-globe"></i></a></li><?php endif;?>
			<?php if ( get_the_author_meta('behance')!='') :?>
			<li><a href="<?php echo get_the_author_meta('behance'); ?>"><i class="fa fa-behance"></i></a></li><?php endif;?>
			<?php if ( get_the_author_meta('delicious')!='') :?>
			<li><a href="<?php echo get_the_author_meta('delicious'); ?>"><i class="fa fa-delicious"></i></a></li><?php endif;?>
			<?php if ( get_the_author_meta('deviantart')!='') :?>
			<li><a href="<?php echo get_the_author_meta('deviantart'); ?>"><i class="fa fa-deviantart"></i></a></li><?php endif;?>
			<?php if ( get_the_author_meta('digg')!='') :?>
			<li><a href="<?php echo get_the_author_meta('digg'); ?>"><i class="fa fa-digg"></i></a></li><?php endif;?>
			<?php if ( get_the_author_meta('dribbble')!='') :?>
			<li><a href="<?php echo get_the_author_meta('dribbble'); ?>"><i class="fa fa-dribbble"></i></a></li><?php endif;?>
			<?php if ( get_the_author_meta('facebook')!='') :?>
			<li><a href="<?php echo get_the_author_meta('facebook'); ?>"><i class="fa fa-facebook"></i></a></li><?php endif;?>
			<?php if ( get_the_author_meta('flickr')!='') :?>
			<li><a href="<?php echo get_the_author_meta('flickr'); ?>"><i class="fa fa-flickr"></i></a></li><?php endif;?>
			<?php if ( get_the_author_meta('github')!='') :?>
			<li><a href="<?php echo get_the_author_meta('github'); ?>"><i class="fa fa-github"></i></a></li><?php endif;?>
			<?php if ( get_the_author_meta('google')!='') :?>
			<li><a href="<?php echo get_the_author_meta('google'); ?>"><i class="fa fa-google"></i></a></li><?php endif;?>
			<?php if ( get_the_author_meta('googleplus')!='') :?>
			<li><a href="<?php echo get_the_author_meta('googleplus'); ?>"><i class="fa fa-google-plus"></i></a></li><?php endif;?>
			<?php if ( get_the_author_meta('html5')!='') :?>
			<li><a href="<?php echo get_the_author_meta('html5'); ?>"><i class="fa fa-html5"></i></a></li><?php endif;?>
			<?php if ( get_the_author_meta('instagram')!='') :?>
			<li><a href="<?php echo get_the_author_meta('instagram'); ?>"><i class="fa fa-instagram"></i></a></li><?php endif;?>
			<?php if ( get_the_author_meta('linkedin')!='') :?>
			<li><a href="<?php echo get_the_author_meta('linkedin'); ?>"><i class="fa fa-linkedin"></i></a></li><?php endif;?>
			<?php if ( get_the_author_meta('pinterest')!='') :?>
			<li><a href="<?php echo get_the_author_meta('pinterest'); ?>"><i class="fa fa-pinterest"></i></a></li><?php endif;?>
			<?php if ( get_the_author_meta('reddit')!='') :?>
			<li><a href="<?php echo get_the_author_meta('reddit'); ?>"><i class="fa fa-reddit"></i></a></li><?php endif;?>
			<?php if ( get_the_author_meta('rss')!='') :?>
			<li><a href="<?php echo get_the_author_meta('rss'); ?>"><i class="fa fa-rss"></i></a></li><?php endif;?>
			<?php if ( get_the_author_meta('sharethis')!='') :?>
			<li><a href="<?php echo get_the_author_meta('sharethis'); ?>"><i class="fa fa-share-alt"></i></a></li><?php endif;?>
			<?php if ( get_the_author_meta('skype')!='') :?>
			<li><a href="<?php echo get_the_author_meta('skype'); ?>"><i class="fa fa-skype"></i></a></li><?php endif;?>
			<?php if ( get_the_author_meta('soundcloud')!='') :?>
			<li><a href="<?php echo get_the_author_meta('soundcloud'); ?>"><i class="fa fa-soundcloud"></i></a></li><?php endif;?>
			<?php if ( get_the_author_meta('spotify')!='') :?>
			<li><a href="<?php echo get_the_author_meta('spotify'); ?>"><i class="fa fa-spotify"></i></a></li><?php endif;?>
			<?php if ( get_the_author_meta('stackoverflow')!='') :?>
			<li><a href="<?php echo get_the_author_meta('stackoverflow'); ?>"><i class="fa fa-stack-overflow"></i></a></li><?php endif;?>
			<?php if ( get_the_author_meta('steam')!='') :?>
			<li><a href="<?php echo get_the_author_meta('steam'); ?>"><i class="fa fa-steam"></i></a></li><?php endif;?>
			<?php if ( get_the_author_meta('stumbleUpon')!='') :?>
			<li><a href="<?php echo get_the_author_meta('stumbleUpon'); ?>"><i class="fa fa-stumbleupon"></i></a></li><?php endif;?>
			<?php if ( get_the_author_meta('tumblr')!='') :?>
			<li><a href="<?php echo get_the_author_meta('tumblr'); ?>"><i class="fa fa-tumblr"></i></a></li><?php endif;?>
			<?php if ( get_the_author_meta('twitter')!='') :?>
			<li><a href="<?php echo get_the_author_meta('twitter'); ?>"><i class="fa fa-twitter"></i></a></li><?php endif;?>
			<?php if ( get_the_author_meta('vimeo')!='') :?>
			<li><a href="<?php echo get_the_author_meta('vimeo'); ?>"><i class="fa fa-vimeo-square"></i></a></li><?php endif;?>
			<?php if ( get_the_author_meta('windows')!='') :?>
			<li><a href="<?php echo get_the_author_meta('windows'); ?>"><i class="fa fa-windows"></i></a></li><?php endif;?>
			<?php if ( get_the_author_meta('wordpress')!='') :?>
			<li><a href="<?php echo get_the_author_meta('wordpress'); ?>"><i class="fa fa-wordpress"></i></a></li><?php endif;?>
			<?php if ( get_the_author_meta('yahoo')!='') :?>
			<li><a href="<?php echo get_the_author_meta('yahoo'); ?>"><i class="fa fa-yahoo"></i></a></li><?php endif;?>
			<?php if ( get_the_author_meta('youtube')!='') :?>
			<li><a href="<?php echo get_the_author_meta('youtube'); ?>"><i class="fa fa-youtube"></i></a></li><?php endif;?>
			<?php if ( get_the_author_meta('xing')!='') :?>
			<li><a href="<?php echo get_the_author_meta('xing'); ?>"><i class="fa fa-xing"></i></a></li><?php endif;?>
		</ul>
	</div>
</div>
